#include "sequence_-client.h"

int flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->_length * 1, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

oskit_s16_t TestSeq_Sequencer(mom_ref_t _obj, seq *a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(48, _flick_abort8);
      flick_fluke_encode_new_chunk(8 + 4 * a->_length);
      flick_fluke_encode_unsigned32(0, req_TestSeq_Sequencer, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, a->_length, oskit_u32_t );
      if (a->_length > 10)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort8);
      flick_fluke_encode_bcopy(8, a->_buffer, 4 * a->_length);
      if (a->_release)
        mom_flick_free(a->_buffer);
      a->_maximum = 0;
      a->_release = 0;
      a->_buffer = 0;
      flick_fluke_encode_end_chunk(8 + 4 * a->_length);
      flick_fluke_encode_end_glob(48);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort8);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(52);
      flick_fluke_check_span(4, _flick_abort8);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort21);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed16(0, _return, oskit_s16_t );
            flick_fluke_decode_unsigned32(4, a->_length, oskit_u32_t );
            if (a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort21);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_check_span(4 * a->_length * 1, _flick_abort21);
            flick_fluke_decode_new_chunk(4 * a->_length);
            {
              oskit_s32_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(a->_length * sizeof(oskit_s32_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21);
              a->_buffer = _t_alloc_ptr;
              a->_maximum = a->_length;
              a->_release = 1;
            }
            flick_fluke_decode_bcopy(0, a->_buffer, 4 * a->_length);
            flick_fluke_decode_end_chunk(4 * a->_length);
            flick_fluke_decode_end_glob(52);
            break;
            {
            _flick_abort21:
              goto _flick_abort8;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(52);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort25);
            break;
            {
            _flick_abort25:
              goto _flick_abort8;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort26);
            flick_fluke_decode_end_glob(52);
            break;
            {
            _flick_abort26:
              goto _flick_abort8;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8);
  return _return;
  {
  _flick_abort8:
    flick_mom_client_error(fluke, fluke, _flick_abort7);
  _flick_abort7:
    goto _flick_reaper;
  }
}

