#include "simple-client.h"

int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->_length * 1, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

oskit_s32_t simple_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort8);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_simple_op, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_signed32(8, *c, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort8);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort8);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(12, _flick_abort14);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_client_decode_port32(4, *b, 1);
            flick_fluke_decode_signed32(8, *c, oskit_s32_t );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort14:
              goto _flick_abort8;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(16);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort15);
            break;
            {
            _flick_abort15:
              goto _flick_abort8;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort16);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort16:
              goto _flick_abort8;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8);
  return _return;
  {
  _flick_abort8:
    flick_mom_client_error(fluke, fluke, _flick_abort7);
  _flick_abort7:
    goto _flick_reaper;
  }
}

oskit_s32_t simple2_op2(mom_ref_t _obj, oskit_s32_t a, const mom_ref_t b, mom_ref_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort18);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_simple2_op2, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_client_encode_port32(8, b, 0);
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort18);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort24);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_client_decode_port32(4, *c, 1);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort24:
              goto _flick_abort18;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(12);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort25);
            break;
            {
            _flick_abort25:
              goto _flick_abort18;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort26);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort26:
              goto _flick_abort18;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort18);
  return _return;
  {
  _flick_abort18:
    flick_mom_client_error(fluke, fluke, _flick_abort17);
  _flick_abort17:
    goto _flick_reaper;
  }
}

oskit_s32_t simple2_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort28);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_simple_op, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_signed32(8, *c, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort28);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort28);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(12, _flick_abort34);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_client_decode_port32(4, *b, 1);
            flick_fluke_decode_signed32(8, *c, oskit_s32_t );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort34:
              goto _flick_abort28;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(16);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort35);
            break;
            {
            _flick_abort35:
              goto _flick_abort28;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort36);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort36:
              goto _flick_abort28;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort28);
  return _return;
  {
  _flick_abort28:
    flick_mom_client_error(fluke, fluke, _flick_abort27);
  _flick_abort27:
    goto _flick_reaper;
  }
}

