#include "program-4-server.h"

/* This is the runtime type information */
char *flick_interface_parents_MATH[] = {
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:MATH:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort0);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed16(0, _data->a, short int );
  flick_cdr_encode_signed16(2, _data->b, short int );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort1);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed16(0, _data->a, short int );
  flick_cdr_decode_signed16(2, _data->b, short int );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_short_short_swap(flick_marshal_stream_t _stream, struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort2);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed16(0, _data->a, short int );
  flick_cdr_swap_decode_signed16(2, _data->b, short int );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort3);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a, int );
  flick_cdr_encode_signed32(4, _data->b, int );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort4);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a, int );
  flick_cdr_decode_signed32(4, _data->b, int );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_long_swap(flick_marshal_stream_t _stream, struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort5);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a, int );
  flick_cdr_swap_decode_signed32(4, _data->b, int );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(44, _flick_abort6);
  flick_iiop_encode_new_chunk(4 + 4 * _data->long_list_len);
  flick_cdr_encode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort6);
  flick_cdr_encode_bcopy(4, _data->long_list_val, 4 * _data->long_list_len);
  flick_iiop_encode_end_chunk(4 + 4 * _data->long_list_len);
  flick_iiop_encode_end_glob(44);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort9);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort9);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_check_span(4 * _data->long_list_len * 1, _flick_abort9);
  flick_iiop_decode_new_chunk(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_list_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_iiop_decode_end_chunk(4 * _data->long_list_len);
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list_swap(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned int _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort13);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort13);
  flick_iiop_decode_end_chunk(4);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_list_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_iiop_check_span(_data->long_list_len * 4, _flick_abort17);
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_list_val[_t0_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort17:
    sun_flick_free(_data->long_list_val);
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t math_1(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t56_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort22);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t56_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t56_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t57_principal_len;
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t58_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort260);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t57_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t57_principal_len);
            flick_iiop_check_span(_t57_principal_len * 1, _flick_abort260);
            flick_iiop_decode_new_chunk(_t57_principal_len);
            flick_iiop_decode_end_chunk(_t57_principal_len);
            flick_iiop_decode_end_glob(_t57_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct short_short *)(&_t58_storage);
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_iiop_check_span(4, _flick_abort260);
            flick_cdr_swap_decode_signed16(0, _local_arg->a, short int );
            flick_cdr_swap_decode_signed16(2, _local_arg->b, short int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort260);
              flick_iiop_encode_new_glob(6, _flick_abort260);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_iiop_encode_end_chunk(2);
                    flick_iiop_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort266);
                    break;
                    {
                    _flick_abort266:
                      goto _flick_abort260;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort267);
                    flick_iiop_encode_end_glob(6);
                    break;
                    {
                    _flick_abort267:
                      goto _flick_abort260;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort260:
              goto _flick_abort259;
            }
          }
          break;
          {
          _flick_abort259:
            goto _flick_abort22;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t59_principal_len;
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t60_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort269);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t59_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t59_principal_len);
            flick_iiop_check_span(_t59_principal_len * 1, _flick_abort269);
            flick_iiop_decode_new_chunk(_t59_principal_len);
            flick_iiop_decode_end_chunk(_t59_principal_len);
            flick_iiop_decode_end_glob(_t59_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct short_short *)(&_t60_storage);
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_iiop_check_span(4, _flick_abort269);
            flick_cdr_swap_decode_signed16(0, _local_arg->a, short int );
            flick_cdr_swap_decode_signed16(2, _local_arg->b, short int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = subshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort269);
              flick_iiop_encode_new_glob(6, _flick_abort269);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_iiop_encode_end_chunk(2);
                    flick_iiop_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort275);
                    break;
                    {
                    _flick_abort275:
                      goto _flick_abort269;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort276);
                    flick_iiop_encode_end_glob(6);
                    break;
                    {
                    _flick_abort276:
                      goto _flick_abort269;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort269:
              goto _flick_abort268;
            }
          }
          break;
          {
          _flick_abort268:
            goto _flick_abort22;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t61_principal_len;
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t62_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort278);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t61_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t61_principal_len);
            flick_iiop_check_span(_t61_principal_len * 1, _flick_abort278);
            flick_iiop_decode_new_chunk(_t61_principal_len);
            flick_iiop_decode_end_chunk(_t61_principal_len);
            flick_iiop_decode_end_glob(_t61_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct short_short *)(&_t62_storage);
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_iiop_check_span(4, _flick_abort278);
            flick_cdr_swap_decode_signed16(0, _local_arg->a, short int );
            flick_cdr_swap_decode_signed16(2, _local_arg->b, short int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort278);
              flick_iiop_encode_new_glob(6, _flick_abort278);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_iiop_encode_end_chunk(2);
                    flick_iiop_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort284);
                    break;
                    {
                    _flick_abort284:
                      goto _flick_abort278;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort285);
                    flick_iiop_encode_end_glob(6);
                    break;
                    {
                    _flick_abort285:
                      goto _flick_abort278;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort278:
              goto _flick_abort277;
            }
          }
          break;
          {
          _flick_abort277:
            goto _flick_abort22;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t63_principal_len;
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t64_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort287);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t63_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t63_principal_len);
            flick_iiop_check_span(_t63_principal_len * 1, _flick_abort287);
            flick_iiop_decode_new_chunk(_t63_principal_len);
            flick_iiop_decode_end_chunk(_t63_principal_len);
            flick_iiop_decode_end_glob(_t63_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct long_long *)(&_t64_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort287);
            flick_cdr_swap_decode_signed32(0, _local_arg->a, int );
            flick_cdr_swap_decode_signed32(4, _local_arg->b, int );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addlong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort287);
              flick_iiop_encode_new_glob(8, _flick_abort287);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort293);
                    break;
                    {
                    _flick_abort293:
                      goto _flick_abort287;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort294);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort294:
                      goto _flick_abort287;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort287:
              goto _flick_abort286;
            }
          }
          break;
          {
          _flick_abort286:
            goto _flick_abort22;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t65_principal_len;
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t66_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort296);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t65_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t65_principal_len);
            flick_iiop_check_span(_t65_principal_len * 1, _flick_abort296);
            flick_iiop_decode_new_chunk(_t65_principal_len);
            flick_iiop_decode_end_chunk(_t65_principal_len);
            flick_iiop_decode_end_glob(_t65_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct long_long *)(&_t66_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort296);
            flick_cdr_swap_decode_signed32(0, _local_arg->a, int );
            flick_cdr_swap_decode_signed32(4, _local_arg->b, int );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = sublong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort296);
              flick_iiop_encode_new_glob(8, _flick_abort296);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort302);
                    break;
                    {
                    _flick_abort302:
                      goto _flick_abort296;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort303:
                      goto _flick_abort296;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort296:
              goto _flick_abort295;
            }
          }
          break;
          {
          _flick_abort295:
            goto _flick_abort22;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t67_principal_len;
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t68_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort305);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t67_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t67_principal_len);
            flick_iiop_check_span(_t67_principal_len * 1, _flick_abort305);
            flick_iiop_decode_new_chunk(_t67_principal_len);
            flick_iiop_decode_end_chunk(_t67_principal_len);
            flick_iiop_decode_end_glob(_t67_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct long_long *)(&_t68_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort305);
            flick_cdr_swap_decode_signed32(0, _local_arg->a, int );
            flick_cdr_swap_decode_signed32(4, _local_arg->b, int );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multlong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort305);
              flick_iiop_encode_new_glob(8, _flick_abort305);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort311);
                    break;
                    {
                    _flick_abort311:
                      goto _flick_abort305;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort312);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort312:
                      goto _flick_abort305;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort305:
              goto _flick_abort304;
            }
          }
          break;
          {
          _flick_abort304:
            goto _flick_abort22;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t69_principal_len;
            int *_return;
            long_list *_local_arg;
            long_list _t70_storage;
            int _t71_storage[10];
            unsigned int _t72_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort314);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t69_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t69_principal_len);
            flick_iiop_check_span(_t69_principal_len * 1, _flick_abort314);
            flick_iiop_decode_new_chunk(_t69_principal_len);
            flick_iiop_decode_end_chunk(_t69_principal_len);
            flick_iiop_decode_end_glob(_t69_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t70_storage);
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort314);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            if (_local_arg->long_list_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort314);
            flick_iiop_decode_end_chunk(4);
            _local_arg->long_list_val = (int *)_t71_storage;
            flick_iiop_check_span(_local_arg->long_list_len * 4, _flick_abort314);
            for (_t72_array_iter = 0; _t72_array_iter < _local_arg->long_list_len; _t72_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_list_val[_t72_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addlonglist_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort314);
              flick_iiop_encode_new_glob(8, _flick_abort314);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort325);
                    break;
                    {
                    _flick_abort325:
                      goto _flick_abort314;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort326);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort326:
                      goto _flick_abort314;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort314:
              goto _flick_abort313;
            }
          }
          break;
          {
          _flick_abort313:
            goto _flick_abort22;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t73_principal_len;
            int *_return;
            long_list *_local_arg;
            long_list _t74_storage;
            int _t75_storage[10];
            unsigned int _t76_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort328);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t73_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t73_principal_len);
            flick_iiop_check_span(_t73_principal_len * 1, _flick_abort328);
            flick_iiop_decode_new_chunk(_t73_principal_len);
            flick_iiop_decode_end_chunk(_t73_principal_len);
            flick_iiop_decode_end_glob(_t73_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t74_storage);
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort328);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            if (_local_arg->long_list_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort328);
            flick_iiop_decode_end_chunk(4);
            _local_arg->long_list_val = (int *)_t75_storage;
            flick_iiop_check_span(_local_arg->long_list_len * 4, _flick_abort328);
            for (_t76_array_iter = 0; _t76_array_iter < _local_arg->long_list_len; _t76_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_list_val[_t76_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multlonglist_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort328);
              flick_iiop_encode_new_glob(8, _flick_abort328);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort339);
                    break;
                    {
                    _flick_abort339:
                      goto _flick_abort328;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort340);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort340:
                      goto _flick_abort328;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort328:
              goto _flick_abort327;
            }
          }
          break;
          {
          _flick_abort327:
            goto _flick_abort22;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t18_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort22);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t18_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t18_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t19_principal_len;
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t20_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort101);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t19_principal_len);
            flick_iiop_check_span(_t19_principal_len * 1, _flick_abort101);
            flick_iiop_decode_new_chunk(_t19_principal_len);
            flick_iiop_decode_end_chunk(_t19_principal_len);
            flick_iiop_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct short_short *)(&_t20_storage);
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_iiop_check_span(4, _flick_abort101);
            flick_cdr_decode_signed16(0, _local_arg->a, short int );
            flick_cdr_decode_signed16(2, _local_arg->b, short int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort101);
              flick_iiop_encode_new_glob(6, _flick_abort101);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_iiop_encode_end_chunk(2);
                    flick_iiop_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort107);
                    break;
                    {
                    _flick_abort107:
                      goto _flick_abort101;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
                    flick_iiop_encode_end_glob(6);
                    break;
                    {
                    _flick_abort108:
                      goto _flick_abort101;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort101:
              goto _flick_abort100;
            }
          }
          break;
          {
          _flick_abort100:
            goto _flick_abort22;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t21_principal_len;
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t22_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort110);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t21_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t21_principal_len);
            flick_iiop_check_span(_t21_principal_len * 1, _flick_abort110);
            flick_iiop_decode_new_chunk(_t21_principal_len);
            flick_iiop_decode_end_chunk(_t21_principal_len);
            flick_iiop_decode_end_glob(_t21_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct short_short *)(&_t22_storage);
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_iiop_check_span(4, _flick_abort110);
            flick_cdr_decode_signed16(0, _local_arg->a, short int );
            flick_cdr_decode_signed16(2, _local_arg->b, short int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = subshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort110);
              flick_iiop_encode_new_glob(6, _flick_abort110);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_iiop_encode_end_chunk(2);
                    flick_iiop_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort116);
                    break;
                    {
                    _flick_abort116:
                      goto _flick_abort110;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort117);
                    flick_iiop_encode_end_glob(6);
                    break;
                    {
                    _flick_abort117:
                      goto _flick_abort110;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort110:
              goto _flick_abort109;
            }
          }
          break;
          {
          _flick_abort109:
            goto _flick_abort22;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t23_principal_len;
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t24_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort119);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t23_principal_len);
            flick_iiop_check_span(_t23_principal_len * 1, _flick_abort119);
            flick_iiop_decode_new_chunk(_t23_principal_len);
            flick_iiop_decode_end_chunk(_t23_principal_len);
            flick_iiop_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct short_short *)(&_t24_storage);
            flick_iiop_decode_new_glob(5);
            flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
            flick_iiop_check_span(4, _flick_abort119);
            flick_cdr_decode_signed16(0, _local_arg->a, short int );
            flick_cdr_decode_signed16(2, _local_arg->b, short int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(5);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort119);
              flick_iiop_encode_new_glob(6, _flick_abort119);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_iiop_encode_end_chunk(2);
                    flick_iiop_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort125);
                    break;
                    {
                    _flick_abort125:
                      goto _flick_abort119;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                    flick_iiop_encode_end_glob(6);
                    break;
                    {
                    _flick_abort126:
                      goto _flick_abort119;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort119:
              goto _flick_abort118;
            }
          }
          break;
          {
          _flick_abort118:
            goto _flick_abort22;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t25_principal_len;
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t26_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort128);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t25_principal_len);
            flick_iiop_check_span(_t25_principal_len * 1, _flick_abort128);
            flick_iiop_decode_new_chunk(_t25_principal_len);
            flick_iiop_decode_end_chunk(_t25_principal_len);
            flick_iiop_decode_end_glob(_t25_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct long_long *)(&_t26_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort128);
            flick_cdr_decode_signed32(0, _local_arg->a, int );
            flick_cdr_decode_signed32(4, _local_arg->b, int );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addlong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort128);
              flick_iiop_encode_new_glob(8, _flick_abort128);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort134);
                    break;
                    {
                    _flick_abort134:
                      goto _flick_abort128;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort135:
                      goto _flick_abort128;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort128:
              goto _flick_abort127;
            }
          }
          break;
          {
          _flick_abort127:
            goto _flick_abort22;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t27_principal_len;
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t28_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort137);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t27_principal_len);
            flick_iiop_check_span(_t27_principal_len * 1, _flick_abort137);
            flick_iiop_decode_new_chunk(_t27_principal_len);
            flick_iiop_decode_end_chunk(_t27_principal_len);
            flick_iiop_decode_end_glob(_t27_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct long_long *)(&_t28_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort137);
            flick_cdr_decode_signed32(0, _local_arg->a, int );
            flick_cdr_decode_signed32(4, _local_arg->b, int );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = sublong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort137);
              flick_iiop_encode_new_glob(8, _flick_abort137);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort143);
                    break;
                    {
                    _flick_abort143:
                      goto _flick_abort137;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort144);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort144:
                      goto _flick_abort137;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort137:
              goto _flick_abort136;
            }
          }
          break;
          {
          _flick_abort136:
            goto _flick_abort22;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t29_principal_len;
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t30_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort146);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t29_principal_len);
            flick_iiop_check_span(_t29_principal_len * 1, _flick_abort146);
            flick_iiop_decode_new_chunk(_t29_principal_len);
            flick_iiop_decode_end_chunk(_t29_principal_len);
            flick_iiop_decode_end_glob(_t29_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct long_long *)(&_t30_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort146);
            flick_cdr_decode_signed32(0, _local_arg->a, int );
            flick_cdr_decode_signed32(4, _local_arg->b, int );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multlong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort146);
              flick_iiop_encode_new_glob(8, _flick_abort146);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort152);
                    break;
                    {
                    _flick_abort152:
                      goto _flick_abort146;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort153);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort153:
                      goto _flick_abort146;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort146:
              goto _flick_abort145;
            }
          }
          break;
          {
          _flick_abort145:
            goto _flick_abort22;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t31_principal_len;
            int *_return;
            long_list *_local_arg;
            long_list _t32_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort155);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t31_principal_len);
            flick_iiop_check_span(_t31_principal_len * 1, _flick_abort155);
            flick_iiop_decode_new_chunk(_t31_principal_len);
            flick_iiop_decode_end_chunk(_t31_principal_len);
            flick_iiop_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t32_storage);
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort155);
            flick_cdr_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            if (_local_arg->long_list_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort155);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(4 * _local_arg->long_list_len * 1, _flick_abort155);
            flick_iiop_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_cdr_decode_msgptr(0, _local_arg->long_list_val, int *);
            flick_iiop_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addlonglist_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort155);
              flick_iiop_encode_new_glob(8, _flick_abort155);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort163);
                    break;
                    {
                    _flick_abort163:
                      goto _flick_abort155;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort164);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort164:
                      goto _flick_abort155;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort155:
              goto _flick_abort154;
            }
          }
          break;
          {
          _flick_abort154:
            goto _flick_abort22;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t33_principal_len;
            int *_return;
            long_list *_local_arg;
            long_list _t34_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort166);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t33_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t33_principal_len);
            flick_iiop_check_span(_t33_principal_len * 1, _flick_abort166);
            flick_iiop_decode_new_chunk(_t33_principal_len);
            flick_iiop_decode_end_chunk(_t33_principal_len);
            flick_iiop_decode_end_glob(_t33_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t34_storage);
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort166);
            flick_cdr_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            if (_local_arg->long_list_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort166);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(4 * _local_arg->long_list_len * 1, _flick_abort166);
            flick_iiop_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_cdr_decode_msgptr(0, _local_arg->long_list_val, int *);
            flick_iiop_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multlonglist_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort166);
              flick_iiop_encode_new_glob(8, _flick_abort166);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort174);
                    break;
                    {
                    _flick_abort174:
                      goto _flick_abort166;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort175:
                      goto _flick_abort166;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort166:
              goto _flick_abort165;
            }
          }
          break;
          {
          _flick_abort165:
            goto _flick_abort22;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort22:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort21);
  _flick_abort21:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

