#include "simple-server.h"

/* This is the runtime type information */
char *flick_interface_parents_simple[] = {
	0
};

char *flick_interface_parents_simple2[] = {
	"IDL:simple:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(44, _flick_abort0);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort3);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_check_span(4 * _data->_length * 1, _flick_abort3);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort7);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_iiop_decode_end_chunk(4);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_iiop_check_span(_data->_length * 4, _flick_abort11);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort11:
    CORBA_flick_free(_data->_buffer);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort14);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_simple_swap(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t simple_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t37_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort19);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t37_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t37_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t38_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t38_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t38_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t39_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t39_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t39_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        unsigned int _t40_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t41_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t42_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t43_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort83);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t40_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t40_principal_len);
                        flick_iiop_check_span(_t40_principal_len * 1, _flick_abort83);
                        flick_iiop_decode_new_chunk(_t40_principal_len);
                        flick_iiop_decode_end_chunk(_t40_principal_len);
                        flick_iiop_decode_end_glob(_t40_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort83);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t41_storage);
                        _local_c = (CORBA_long *)(&_t42_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t43_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort83);
                          flick_iiop_encode_new_glob(8, _flick_abort83);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort88);
                                flick_iiop_encode_new_glob(7, _flick_abort88);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort83;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort89);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort83;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort90);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort90:
                                  goto _flick_abort83;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort83:
                          goto _flick_abort82;
                        }
                      }
                      break;
                      {
                      _flick_abort82:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t44_switch_tag;

          flick_iiop_check_span(12, _flick_abort19);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t44_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t44_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t45_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t45_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t45_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t46_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t47_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t48_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort92);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t46_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t46_principal_len);
                        flick_iiop_check_span(_t46_principal_len * 1, _flick_abort92);
                        flick_iiop_decode_new_chunk(_t46_principal_len);
                        flick_iiop_decode_end_chunk(_t46_principal_len);
                        flick_iiop_decode_end_glob(_t46_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort92);
                        flick_cdr_swap_decode_unsigned32(0, _t47_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t47_temp_string_len);
                        flick_iiop_check_span(1 * _t47_temp_string_len * 1, _flick_abort92);
                        flick_iiop_decode_new_chunk(1 * _t47_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t47_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t47_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t48_storage);
                        _par = flick_interface_parents_simple;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort92);
                          flick_iiop_encode_new_glob(5, _flick_abort92);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort100);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort92;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort101:
                                  goto _flick_abort92;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort92:
                          goto _flick_abort91;
                        }
                      }
                      break;
                      {
                      _flick_abort91:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t13_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort19);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t13_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t14_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t14_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t14_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t15_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t15_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t15_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        unsigned int _t16_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t17_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t18_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t19_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort42);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t16_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t16_principal_len);
                        flick_iiop_check_span(_t16_principal_len * 1, _flick_abort42);
                        flick_iiop_decode_new_chunk(_t16_principal_len);
                        flick_iiop_decode_end_chunk(_t16_principal_len);
                        flick_iiop_decode_end_glob(_t16_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort42);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t17_storage);
                        _local_c = (CORBA_long *)(&_t18_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t19_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort42);
                          flick_iiop_encode_new_glob(8, _flick_abort42);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort47);
                                flick_iiop_encode_new_glob(7, _flick_abort47);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort47:
                                  goto _flick_abort42;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort48);
                                break;
                                {
                                _flick_abort48:
                                  goto _flick_abort42;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort49:
                                  goto _flick_abort42;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort42:
                          goto _flick_abort41;
                        }
                      }
                      break;
                      {
                      _flick_abort41:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t20_switch_tag;

          flick_iiop_check_span(12, _flick_abort19);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t20_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t20_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t21_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t21_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t21_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t22_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t23_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t24_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort51);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t22_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t22_principal_len);
                        flick_iiop_check_span(_t22_principal_len * 1, _flick_abort51);
                        flick_iiop_decode_new_chunk(_t22_principal_len);
                        flick_iiop_decode_end_chunk(_t22_principal_len);
                        flick_iiop_decode_end_glob(_t22_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort51);
                        flick_cdr_decode_unsigned32(0, _t23_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t23_temp_string_len);
                        flick_iiop_check_span(1 * _t23_temp_string_len * 1, _flick_abort51);
                        flick_iiop_decode_new_chunk(1 * _t23_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t23_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t23_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t24_storage);
                        _par = flick_interface_parents_simple;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort51);
                          flick_iiop_encode_new_glob(5, _flick_abort51);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort59);
                                break;
                                {
                                _flick_abort59:
                                  goto _flick_abort51;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort60);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort60:
                                  goto _flick_abort51;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort51:
                          goto _flick_abort50;
                        }
                      }
                      break;
                      {
                      _flick_abort50:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort19:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort18);
  _flick_abort18:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort102);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_simple2_swap(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t simple2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t97_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort107);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t97_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t97_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t98_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t98_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t98_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  unsigned int _t99_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t100_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t101_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort198);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t99_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t99_principal_len);
                  flick_iiop_check_span(_t99_principal_len * 1, _flick_abort198);
                  flick_iiop_decode_new_chunk(_t99_principal_len);
                  flick_iiop_decode_end_chunk(_t99_principal_len);
                  flick_iiop_decode_end_glob(_t99_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort198);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_swap_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t100_storage);
                  _ev = (CORBA_Environment *)(&_t101_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort198);
                    flick_iiop_encode_new_glob(8, _flick_abort198);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(8);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort203);
                          break;
                          {
                          _flick_abort203:
                            goto _flick_abort198;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort204);
                          break;
                          {
                          _flick_abort204:
                            goto _flick_abort198;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
                          flick_iiop_encode_end_glob(8);
                          break;
                          {
                          _flick_abort205:
                            goto _flick_abort198;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort198:
                    goto _flick_abort197;
                  }
                }
                break;
                {
                _flick_abort197:
                  goto _flick_abort107;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t102_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t102_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t102_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t103_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t103_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t103_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        unsigned int _t104_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t105_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t106_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t107_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort207);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t104_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t104_principal_len);
                        flick_iiop_check_span(_t104_principal_len * 1, _flick_abort207);
                        flick_iiop_decode_new_chunk(_t104_principal_len);
                        flick_iiop_decode_end_chunk(_t104_principal_len);
                        flick_iiop_decode_end_glob(_t104_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort207);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t105_storage);
                        _local_c = (CORBA_long *)(&_t106_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t107_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort207);
                          flick_iiop_encode_new_glob(8, _flick_abort207);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort212);
                                flick_iiop_encode_new_glob(7, _flick_abort212);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort212:
                                  goto _flick_abort207;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort213);
                                break;
                                {
                                _flick_abort213:
                                  goto _flick_abort207;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort214);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort214:
                                  goto _flick_abort207;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort207:
                          goto _flick_abort206;
                        }
                      }
                      break;
                      {
                      _flick_abort206:
                        goto _flick_abort107;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t108_switch_tag;

          flick_iiop_check_span(12, _flick_abort107);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t108_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t108_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t109_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t109_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t109_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t110_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t111_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t112_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort216);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t110_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t110_principal_len);
                        flick_iiop_check_span(_t110_principal_len * 1, _flick_abort216);
                        flick_iiop_decode_new_chunk(_t110_principal_len);
                        flick_iiop_decode_end_chunk(_t110_principal_len);
                        flick_iiop_decode_end_glob(_t110_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort216);
                        flick_cdr_swap_decode_unsigned32(0, _t111_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t111_temp_string_len);
                        flick_iiop_check_span(1 * _t111_temp_string_len * 1, _flick_abort216);
                        flick_iiop_decode_new_chunk(1 * _t111_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t111_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t111_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t112_storage);
                        _par = flick_interface_parents_simple2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort216);
                          flick_iiop_encode_new_glob(5, _flick_abort216);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort224);
                                break;
                                {
                                _flick_abort224:
                                  goto _flick_abort216;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort225);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort225:
                                  goto _flick_abort216;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort216:
                          goto _flick_abort215;
                        }
                      }
                      break;
                      {
                      _flick_abort215:
                        goto _flick_abort107;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t65_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort107);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t65_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t66_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t66_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t66_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  unsigned int _t67_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t68_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t69_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort139);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t67_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t67_principal_len);
                  flick_iiop_check_span(_t67_principal_len * 1, _flick_abort139);
                  flick_iiop_decode_new_chunk(_t67_principal_len);
                  flick_iiop_decode_end_chunk(_t67_principal_len);
                  flick_iiop_decode_end_glob(_t67_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort139);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t68_storage);
                  _ev = (CORBA_Environment *)(&_t69_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort139);
                    flick_iiop_encode_new_glob(8, _flick_abort139);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(8);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort144);
                          break;
                          {
                          _flick_abort144:
                            goto _flick_abort139;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort145);
                          break;
                          {
                          _flick_abort145:
                            goto _flick_abort139;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort146);
                          flick_iiop_encode_end_glob(8);
                          break;
                          {
                          _flick_abort146:
                            goto _flick_abort139;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort139:
                    goto _flick_abort138;
                  }
                }
                break;
                {
                _flick_abort138:
                  goto _flick_abort107;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t70_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t70_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t70_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t71_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t71_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t71_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        unsigned int _t72_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t73_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t74_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t75_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort148);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t72_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t72_principal_len);
                        flick_iiop_check_span(_t72_principal_len * 1, _flick_abort148);
                        flick_iiop_decode_new_chunk(_t72_principal_len);
                        flick_iiop_decode_end_chunk(_t72_principal_len);
                        flick_iiop_decode_end_glob(_t72_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort148);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t73_storage);
                        _local_c = (CORBA_long *)(&_t74_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t75_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort148);
                          flick_iiop_encode_new_glob(8, _flick_abort148);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort153);
                                flick_iiop_encode_new_glob(7, _flick_abort153);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort148;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort154);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort148;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort155);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort155:
                                  goto _flick_abort148;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort148:
                          goto _flick_abort147;
                        }
                      }
                      break;
                      {
                      _flick_abort147:
                        goto _flick_abort107;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t76_switch_tag;

          flick_iiop_check_span(12, _flick_abort107);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t76_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t76_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t77_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t77_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t77_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t78_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t79_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t80_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort157);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t78_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t78_principal_len);
                        flick_iiop_check_span(_t78_principal_len * 1, _flick_abort157);
                        flick_iiop_decode_new_chunk(_t78_principal_len);
                        flick_iiop_decode_end_chunk(_t78_principal_len);
                        flick_iiop_decode_end_glob(_t78_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort157);
                        flick_cdr_decode_unsigned32(0, _t79_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t79_temp_string_len);
                        flick_iiop_check_span(1 * _t79_temp_string_len * 1, _flick_abort157);
                        flick_iiop_decode_new_chunk(1 * _t79_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t79_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t79_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t80_storage);
                        _par = flick_interface_parents_simple2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort157);
                          flick_iiop_encode_new_glob(5, _flick_abort157);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort165);
                                break;
                                {
                                _flick_abort165:
                                  goto _flick_abort157;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort166:
                                  goto _flick_abort157;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort157:
                          goto _flick_abort156;
                        }
                      }
                      break;
                      {
                      _flick_abort156:
                        goto _flick_abort107;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort107:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort106);
  _flick_abort106:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

