#include "any-server.h"

POA_I::POA_I()
{}

POA_I::POA_I(const POA_I &rhs)
  : TAO_ServantBase(rhs)
{}

POA_I::~POA_I()
{}

I *POA_I::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_I(this, stub);
}

CORBA::Boolean POA_I::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:I:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_I::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:I:1.0") == 0)
    return ACE_static_cast(POA_I_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_I::_interface_repository_id() const
{
  return "IDL:I:1.0";
}

template <class T>
  POA_I_tie<T>::POA_I_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_I_tie<T>::POA_I_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_I_tie<T>::POA_I_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_I_tie<T>::POA_I_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_I_tie<T>::~POA_I_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_I_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_I_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_I_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_I_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_I_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_I_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_I_tie<T>::POA_I_tie(const POA_I_tie &c)
{}

template <class T>
  void POA_I_tie<T>::operator=(const POA_I_tie &c)
{}

template <class T>
  CORBA::Any *POA_I_tie<T>::op_any(/* POA_I *this, */ const CORBA::Any &a, CORBA::Any &b, CORBA::Any_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op_any (a, b, c, _ev);
}

template <class T>
  any_seq *POA_I_tie<T>::op_any_seq(/* POA_I *this, */ const any_seq &a, any_seq &b, any_seq_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op_any_seq (a, b, c, _ev);
}

template <class T>
  struct any_struct *POA_I_tie<T>::op_any_struct(/* POA_I *this, */ const struct any_struct &a, struct any_struct &b, any_struct_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op_any_struct (a, b, c, _ev);
}

_tao_collocated_I::_tao_collocated_I(POA_I_ptr servant, TAO_Stub *stub)
  : I(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_I_ptr _tao_collocated_I::_get_servant() const
{
  return this->servant_;
}

CORBA::Any *_tao_collocated_I::op_any(const CORBA::Any &a, CORBA::Any &b, CORBA::Any_out c, CORBA::Environment &_ev)
{
  return this->servant_->op_any (a, b, c, _ev);
}

any_seq *_tao_collocated_I::op_any_seq(const any_seq &a, any_seq &b, any_seq_out c, CORBA::Environment &_ev)
{
  return this->servant_->op_any_seq (a, b, c, _ev);
}

struct any_struct *_tao_collocated_I::op_any_struct(const struct any_struct &a, struct any_struct &b, any_struct_out c, CORBA::Environment &_ev)
{
  return this->servant_->op_any_struct (a, b, c, _ev);
}

CORBA::Boolean _tao_collocated_I::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, I_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, I , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, I_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, I , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, I_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, I , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_I::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t93_switch_tag;

    flick_iiopxx_decode_new_glob(24);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t93_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t93_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t94_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t94_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t94_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned short int _t95_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t95_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t95_switch_tag)
                  {
                  case /* ny */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28281):
                    {
                      char _t96_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t96_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t96_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_I *_local_this;
                              unsigned int _t97_principal_len;
                              CORBA::Any *_return;
                              CORBA::Any _local_a;
                              CORBA::Any _local_b;
                              CORBA::Any *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort243);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t97_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_decode_new_glob(_t97_principal_len);
                              flick_iiopxx_check_span(_t97_principal_len * 1, _flick_abort243);
                              flick_iiopxx_decode_new_chunk(_t97_principal_len);
                              flick_iiopxx_decode_end_chunk(_t97_principal_len);
                              flick_iiopxx_decode_end_glob(_t97_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_a, _flick_label168, _flick_abort243);
                              flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_b, _flick_label169, _flick_abort243);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->op_any(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t98_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t98_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort243);
                                flick_iiopxx_encode_new_glob(4, _flick_abort243);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t98_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t98_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdr_encode_type_tag_and_value(iiopxx, *_return, _flick_label173, _flick_abort248);
                                      delete _return;
                                      _return = 0;
                                      flick_cdr_encode_type_tag_and_value(iiopxx, _local_b, _flick_label174, _flick_abort248);
                                      flick_cdr_encode_type_tag_and_value(iiopxx, *_local_c, _flick_label175, _flick_abort248);
                                      delete _local_c;
                                      _local_c = 0;
                                      break;
                                      {
                                      _flick_abort248:
                                        goto _flick_abort243;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort249);
                                      break;
                                      {
                                      _flick_abort249:
                                        goto _flick_abort243;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort250);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort250:
                                        goto _flick_abort243;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort243:
                                goto _flick_abort242;
                              }
                            }
                            break;
                            {
                            _flick_abort242:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t99_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t99_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t99_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t100_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t100_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t100_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned short int _t101_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t101_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t101_switch_tag)
                        {
                        case /* eq */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25969):
                          {
                            char _t102_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t102_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t102_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_I *_local_this;
                                    unsigned int _t103_principal_len;
                                    any_seq *_return;
                                    any_seq _local_a;
                                    CORBA::ULong _t104_array_iter;
                                    any_seq _local_b;
                                    CORBA::ULong _t105_array_iter;
                                    any_seq *_local_c;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort252);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t103_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_decode_new_glob(_t103_principal_len);
                                    flick_iiopxx_check_span(_t103_principal_len * 1, _flick_abort252);
                                    flick_iiopxx_decode_new_chunk(_t103_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t103_principal_len);
                                    flick_iiopxx_decode_end_glob(_t103_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort252);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    {
                                      CORBA::Any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Any *)new (CORBA::Any [_local_a._length]);
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort252);
                                      _local_a._buffer = _t_alloc_ptr;
                                      _local_a._maximum = _local_a._length;
                                      _local_a._release = 1;
                                    }
                                    flick_iiopxx_check_span(_local_a._length * 0, _flick_abort252);
                                    for (_t104_array_iter = 0; _t104_array_iter < _local_a._length; _t104_array_iter++)
                                      {
                                        flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_a._buffer[_t104_array_iter], _flick_label180, _flick_abort256);
                                        continue;
                                        {
                                        _flick_abort256:
                                          goto _flick_abort252;
                                        }
                                      }
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort252);
                                    flick_cdr_swap_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    {
                                      CORBA::Any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Any *)new (CORBA::Any [_local_b._length]);
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort252);
                                      _local_b._buffer = _t_alloc_ptr;
                                      _local_b._maximum = _local_b._length;
                                      _local_b._release = 1;
                                    }
                                    flick_iiopxx_check_span(_local_b._length * 0, _flick_abort252);
                                    for (_t105_array_iter = 0; _t105_array_iter < _local_b._length; _t105_array_iter++)
                                      {
                                        flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_b._buffer[_t105_array_iter], _flick_label185, _flick_abort261);
                                        continue;
                                        {
                                        _flick_abort261:
                                          goto _flick_abort252;
                                        }
                                      }
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->op_any_seq(_local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t106_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t106_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort252);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort252);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t106_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t106_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            CORBA::ULong _t110_array_iter;
                                            CORBA::ULong _t111_array_iter;
                                            CORBA::ULong _t112_array_iter;

                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            for (_t110_array_iter = 0; _t110_array_iter < _return->_length; _t110_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiopxx, _return->_buffer[_t110_array_iter], _flick_label205, _flick_abort286);
                                                continue;
                                                {
                                                _flick_abort286:
                                                  goto _flick_abort282;
                                                }
                                              }
                                            delete _return;
                                            _return = 0;
                                            flick_iiopxx_encode_new_glob(7, _flick_abort282);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            for (_t111_array_iter = 0; _t111_array_iter < _local_b._length; _t111_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiopxx, _local_b._buffer[_t111_array_iter], _flick_label210, _flick_abort291);
                                                continue;
                                                {
                                                _flick_abort291:
                                                  goto _flick_abort282;
                                                }
                                              }
                                            if (_local_b._release)
                                              delete [] _local_b._buffer;
                                            _local_b._maximum = 0;
                                            _local_b._release = 0;
                                            _local_b._buffer = 0;
                                            flick_iiopxx_encode_new_glob(7, _flick_abort282);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            for (_t112_array_iter = 0; _t112_array_iter < _local_c->_length; _t112_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiopxx, _local_c->_buffer[_t112_array_iter], _flick_label215, _flick_abort296);
                                                continue;
                                                {
                                                _flick_abort296:
                                                  goto _flick_abort282;
                                                }
                                              }
                                            delete _local_c;
                                            _local_c = 0;
                                            break;
                                            {
                                            _flick_abort282:
                                              goto _flick_abort252;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort298);
                                            break;
                                            {
                                            _flick_abort298:
                                              goto _flick_abort252;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort299);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort299:
                                              goto _flick_abort252;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort252:
                                      goto _flick_abort251;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort251:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 14:
        {
          unsigned int _t113_switch_tag;

          flick_iiopxx_check_span(20, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t113_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t114_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t114_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t114_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned int _t115_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t115_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t115_switch_tag)
                        {
                        case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                          {
                            unsigned short int _t116_switch_tag;

                            flick_iiopxx_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t116_switch_tag, unsigned short int );
                            flick_iiopxx_decode_end_chunk(2);
                            switch ((unsigned short int )_t116_switch_tag)
                              {
                              case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                                {
                                  {
                                    POA_I *_local_this;
                                    unsigned int _t117_principal_len;
                                    struct any_struct *_return;
                                    struct any_struct _local_a;
                                    struct any_struct _local_b;
                                    struct any_struct *_local_c;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort301);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(6);
                                    flick_cdr_swap_decode_unsigned32(2, _t117_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(6);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_decode_new_glob(_t117_principal_len);
                                    flick_iiopxx_check_span(_t117_principal_len * 1, _flick_abort301);
                                    flick_iiopxx_decode_new_chunk(_t117_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t117_principal_len);
                                    flick_iiopxx_decode_end_glob(_t117_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort301);
                                    flick_cdr_swap_decode_signed32(0, _local_a.slot_1, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_a.slot_2, _flick_label216, _flick_abort301);
                                    flick_iiopxx_decode_new_glob(11);
                                    flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_iiopxx_check_span(8, _flick_abort301);
                                    flick_cdr_swap_decode_signed32(0, _local_a.slot_3, CORBA::Long );
                                    flick_cdr_swap_decode_signed32(4, _local_b.slot_1, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(8);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_b.slot_2, _flick_label217, _flick_abort301);
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort301);
                                    flick_cdr_swap_decode_signed32(0, _local_b.slot_3, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->op_any_struct(_local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t118_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t118_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort301);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort301);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t118_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t118_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->slot_1, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_cdr_encode_type_tag_and_value(iiopxx, _return->slot_2, _flick_label221, _flick_abort306);
                                            flick_iiopxx_encode_new_glob(11, _flick_abort306);
                                            flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _return->slot_3, CORBA::Long );
                                            delete _return;
                                            _return = 0;
                                            flick_cdr_encode_signed32(4, _local_b.slot_1, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(8);
                                            flick_iiopxx_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(iiopxx, _local_b.slot_2, _flick_label222, _flick_abort306);
                                            flick_iiopxx_encode_new_glob(11, _flick_abort306);
                                            flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b.slot_3, CORBA::Long );
                                            flick_cdr_encode_signed32(4, _local_c->slot_1, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(8);
                                            flick_iiopxx_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(iiopxx, _local_c->slot_2, _flick_label223, _flick_abort306);
                                            flick_iiopxx_encode_new_glob(7, _flick_abort306);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_c->slot_3, CORBA::Long );
                                            delete _local_c;
                                            _local_c = 0;
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort306:
                                              goto _flick_abort301;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort307);
                                            break;
                                            {
                                            _flick_abort307:
                                              goto _flick_abort301;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort308);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort308:
                                              goto _flick_abort301;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort301:
                                      goto _flick_abort300;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort300:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t119_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t119_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t119_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t120_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t120_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t120_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_I *_local_this;
                        unsigned int _t121_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t122_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort310);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t121_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_decode_new_glob(_t121_principal_len);
                        flick_iiopxx_check_span(_t121_principal_len * 1, _flick_abort310);
                        flick_iiopxx_decode_new_chunk(_t121_principal_len);
                        flick_iiopxx_decode_end_chunk(_t121_principal_len);
                        flick_iiopxx_decode_end_glob(_t121_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort310);
                        flick_cdr_swap_decode_unsigned32(0, _t122_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t122_temp_string_len);
                        flick_iiopxx_check_span(1 * _t122_temp_string_len * 1, _flick_abort310);
                        flick_iiopxx_decode_new_chunk(1 * _t122_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t122_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort310);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t122_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t122_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t122_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t123_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t123_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort310);
                          flick_iiopxx_encode_new_glob(5, _flick_abort310);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t123_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t123_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort318);
                                break;
                                {
                                _flick_abort318:
                                  goto _flick_abort310;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort319);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort319:
                                  goto _flick_abort310;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort310:
                          goto _flick_abort309;
                        }
                      }
                      break;
                      {
                      _flick_abort309:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t31_switch_tag;

    flick_iiopxx_decode_new_glob(24);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t31_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t32_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t32_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t32_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned short int _t33_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t33_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t33_switch_tag)
                  {
                  case /* ny */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28281):
                    {
                      char _t34_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t34_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t34_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_I *_local_this;
                              unsigned int _t35_principal_len;
                              CORBA::Any *_return;
                              CORBA::Any _local_a;
                              CORBA::Any _local_b;
                              CORBA::Any *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort86);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t35_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_decode_new_glob(_t35_principal_len);
                              flick_iiopxx_check_span(_t35_principal_len * 1, _flick_abort86);
                              flick_iiopxx_decode_new_chunk(_t35_principal_len);
                              flick_iiopxx_decode_end_chunk(_t35_principal_len);
                              flick_iiopxx_decode_end_glob(_t35_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_cdr_decode_type_tag_and_value(iiopxx, _local_a, _flick_label56, _flick_abort86);
                              flick_cdr_decode_type_tag_and_value(iiopxx, _local_b, _flick_label57, _flick_abort86);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->op_any(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t36_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t36_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort86);
                                flick_iiopxx_encode_new_glob(4, _flick_abort86);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t36_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t36_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdr_encode_type_tag_and_value(iiopxx, *_return, _flick_label61, _flick_abort91);
                                      delete _return;
                                      _return = 0;
                                      flick_cdr_encode_type_tag_and_value(iiopxx, _local_b, _flick_label62, _flick_abort91);
                                      flick_cdr_encode_type_tag_and_value(iiopxx, *_local_c, _flick_label63, _flick_abort91);
                                      delete _local_c;
                                      _local_c = 0;
                                      break;
                                      {
                                      _flick_abort91:
                                        goto _flick_abort86;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort92);
                                      break;
                                      {
                                      _flick_abort92:
                                        goto _flick_abort86;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort93:
                                        goto _flick_abort86;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort86:
                                goto _flick_abort85;
                              }
                            }
                            break;
                            {
                            _flick_abort85:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t37_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t37_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t38_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t38_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned short int _t39_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t39_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t39_switch_tag)
                        {
                        case /* eq */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25969):
                          {
                            char _t40_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t40_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t40_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_I *_local_this;
                                    unsigned int _t41_principal_len;
                                    any_seq *_return;
                                    any_seq _local_a;
                                    CORBA::ULong _t42_array_iter;
                                    any_seq _local_b;
                                    CORBA::ULong _t43_array_iter;
                                    any_seq *_local_c;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort95);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t41_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_decode_new_glob(_t41_principal_len);
                                    flick_iiopxx_check_span(_t41_principal_len * 1, _flick_abort95);
                                    flick_iiopxx_decode_new_chunk(_t41_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t41_principal_len);
                                    flick_iiopxx_decode_end_glob(_t41_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort95);
                                    flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    {
                                      CORBA::Any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Any *)new (CORBA::Any [_local_a._length]);
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
                                      _local_a._buffer = _t_alloc_ptr;
                                      _local_a._maximum = _local_a._length;
                                      _local_a._release = 1;
                                    }
                                    flick_iiopxx_check_span(_local_a._length * 0, _flick_abort95);
                                    for (_t42_array_iter = 0; _t42_array_iter < _local_a._length; _t42_array_iter++)
                                      {
                                        flick_cdr_decode_type_tag_and_value(iiopxx, _local_a._buffer[_t42_array_iter], _flick_label68, _flick_abort99);
                                        continue;
                                        {
                                        _flick_abort99:
                                          goto _flick_abort95;
                                        }
                                      }
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort95);
                                    flick_cdr_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    {
                                      CORBA::Any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Any *)new (CORBA::Any [_local_b._length]);
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
                                      _local_b._buffer = _t_alloc_ptr;
                                      _local_b._maximum = _local_b._length;
                                      _local_b._release = 1;
                                    }
                                    flick_iiopxx_check_span(_local_b._length * 0, _flick_abort95);
                                    for (_t43_array_iter = 0; _t43_array_iter < _local_b._length; _t43_array_iter++)
                                      {
                                        flick_cdr_decode_type_tag_and_value(iiopxx, _local_b._buffer[_t43_array_iter], _flick_label73, _flick_abort104);
                                        continue;
                                        {
                                        _flick_abort104:
                                          goto _flick_abort95;
                                        }
                                      }
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->op_any_seq(_local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t44_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t44_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort95);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort95);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t44_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t44_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            CORBA::ULong _t48_array_iter;
                                            CORBA::ULong _t49_array_iter;
                                            CORBA::ULong _t50_array_iter;

                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            for (_t48_array_iter = 0; _t48_array_iter < _return->_length; _t48_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiopxx, _return->_buffer[_t48_array_iter], _flick_label93, _flick_abort129);
                                                continue;
                                                {
                                                _flick_abort129:
                                                  goto _flick_abort125;
                                                }
                                              }
                                            delete _return;
                                            _return = 0;
                                            flick_iiopxx_encode_new_glob(7, _flick_abort125);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            for (_t49_array_iter = 0; _t49_array_iter < _local_b._length; _t49_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiopxx, _local_b._buffer[_t49_array_iter], _flick_label98, _flick_abort134);
                                                continue;
                                                {
                                                _flick_abort134:
                                                  goto _flick_abort125;
                                                }
                                              }
                                            if (_local_b._release)
                                              delete [] _local_b._buffer;
                                            _local_b._maximum = 0;
                                            _local_b._release = 0;
                                            _local_b._buffer = 0;
                                            flick_iiopxx_encode_new_glob(7, _flick_abort125);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            for (_t50_array_iter = 0; _t50_array_iter < _local_c->_length; _t50_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiopxx, _local_c->_buffer[_t50_array_iter], _flick_label103, _flick_abort139);
                                                continue;
                                                {
                                                _flick_abort139:
                                                  goto _flick_abort125;
                                                }
                                              }
                                            delete _local_c;
                                            _local_c = 0;
                                            break;
                                            {
                                            _flick_abort125:
                                              goto _flick_abort95;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort141);
                                            break;
                                            {
                                            _flick_abort141:
                                              goto _flick_abort95;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort142);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort142:
                                              goto _flick_abort95;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort95:
                                      goto _flick_abort94;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort94:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 14:
        {
          unsigned int _t51_switch_tag;

          flick_iiopxx_check_span(20, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t51_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t51_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t52_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t52_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t52_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned int _t53_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t53_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t53_switch_tag)
                        {
                        case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                          {
                            unsigned short int _t54_switch_tag;

                            flick_iiopxx_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t54_switch_tag, unsigned short int );
                            flick_iiopxx_decode_end_chunk(2);
                            switch ((unsigned short int )_t54_switch_tag)
                              {
                              case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                                {
                                  {
                                    POA_I *_local_this;
                                    unsigned int _t55_principal_len;
                                    struct any_struct *_return;
                                    struct any_struct _local_a;
                                    struct any_struct _local_b;
                                    struct any_struct *_local_c;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort144);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(6);
                                    flick_cdr_decode_unsigned32(2, _t55_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(6);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_decode_new_glob(_t55_principal_len);
                                    flick_iiopxx_check_span(_t55_principal_len * 1, _flick_abort144);
                                    flick_iiopxx_decode_new_chunk(_t55_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t55_principal_len);
                                    flick_iiopxx_decode_end_glob(_t55_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort144);
                                    flick_cdr_decode_signed32(0, _local_a.slot_1, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_cdr_decode_type_tag_and_value(iiopxx, _local_a.slot_2, _flick_label104, _flick_abort144);
                                    flick_iiopxx_decode_new_glob(11);
                                    flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_iiopxx_check_span(8, _flick_abort144);
                                    flick_cdr_decode_signed32(0, _local_a.slot_3, CORBA::Long );
                                    flick_cdr_decode_signed32(4, _local_b.slot_1, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(8);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_cdr_decode_type_tag_and_value(iiopxx, _local_b.slot_2, _flick_label105, _flick_abort144);
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort144);
                                    flick_cdr_decode_signed32(0, _local_b.slot_3, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->op_any_struct(_local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t56_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t56_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort144);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort144);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t56_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t56_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->slot_1, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_cdr_encode_type_tag_and_value(iiopxx, _return->slot_2, _flick_label109, _flick_abort149);
                                            flick_iiopxx_encode_new_glob(11, _flick_abort149);
                                            flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _return->slot_3, CORBA::Long );
                                            delete _return;
                                            _return = 0;
                                            flick_cdr_encode_signed32(4, _local_b.slot_1, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(8);
                                            flick_iiopxx_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(iiopxx, _local_b.slot_2, _flick_label110, _flick_abort149);
                                            flick_iiopxx_encode_new_glob(11, _flick_abort149);
                                            flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b.slot_3, CORBA::Long );
                                            flick_cdr_encode_signed32(4, _local_c->slot_1, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(8);
                                            flick_iiopxx_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(iiopxx, _local_c->slot_2, _flick_label111, _flick_abort149);
                                            flick_iiopxx_encode_new_glob(7, _flick_abort149);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_c->slot_3, CORBA::Long );
                                            delete _local_c;
                                            _local_c = 0;
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort149:
                                              goto _flick_abort144;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort150);
                                            break;
                                            {
                                            _flick_abort150:
                                              goto _flick_abort144;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort151);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort151:
                                              goto _flick_abort144;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort144:
                                      goto _flick_abort143;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort143:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t57_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t57_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t57_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t58_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t58_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_I *_local_this;
                        unsigned int _t59_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t60_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort153);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t59_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_decode_new_glob(_t59_principal_len);
                        flick_iiopxx_check_span(_t59_principal_len * 1, _flick_abort153);
                        flick_iiopxx_decode_new_chunk(_t59_principal_len);
                        flick_iiopxx_decode_end_chunk(_t59_principal_len);
                        flick_iiopxx_decode_end_glob(_t59_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort153);
                        flick_cdr_decode_unsigned32(0, _t60_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t60_temp_string_len);
                        flick_iiopxx_check_span(1 * _t60_temp_string_len * 1, _flick_abort153);
                        flick_iiopxx_decode_new_chunk(1 * _t60_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t60_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort153);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t60_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t60_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t60_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t61_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t61_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort153);
                          flick_iiopxx_encode_new_glob(5, _flick_abort153);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t61_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t61_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort161);
                                break;
                                {
                                _flick_abort161:
                                  goto _flick_abort153;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort162);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort162:
                                  goto _flick_abort153;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort153:
                          goto _flick_abort152;
                        }
                      }
                      break;
                      {
                      _flick_abort152:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

