#ifndef _impldef_client_h_
#define _impldef_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

TAO_NAMESPACE CORBA {
  class StringSequence {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    char **_buffer;
    CORBA::Boolean _release;
    StringSequence();
    StringSequence(CORBA::ULong max);
    StringSequence(CORBA::ULong max, CORBA::ULong length, char **buffer, CORBA::Boolean release = 0);
    StringSequence(const CORBA::StringSequence &o);
    virtual ~StringSequence();
    CORBA::StringSequence &operator=(const CORBA::StringSequence &rhs);
    static char **allocbuf(CORBA::ULong size);
    static void freebuf(char **buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    char **get_buffer(CORBA::Boolean orphan = 0);
    const char **get_buffer() const;
    TAO_SeqElem_String_Manager operator[](CORBA::ULong i) const;
  } ;

  typedef CORBA::StringSequence *StringSequence_ptr;
  class StringSequence_var {

  public:
    StringSequence_var();
    StringSequence_var(CORBA::StringSequence *p);
    StringSequence_var(const CORBA::StringSequence_var &a);
    ~StringSequence_var();
    CORBA::StringSequence_var &operator=(CORBA::StringSequence *p);
    CORBA::StringSequence_var &operator=(const CORBA::StringSequence_var &p);
    CORBA::StringSequence *operator->();
    const CORBA::StringSequence *operator->() const;
    operator const CORBA::StringSequence &() const;
    operator CORBA::StringSequence &();
    operator CORBA::StringSequence &() const;
    const CORBA::StringSequence &in() const;
    CORBA::StringSequence &inout();
    CORBA::StringSequence *&out();
    CORBA::StringSequence *_retn();
    CORBA::StringSequence *ptr() const;
    TAO_SeqElem_String_Manager operator[](CORBA::ULong i);

  private:
    CORBA::StringSequence_ptr ptr_;
    CORBA::StringSequence_ptr ptr_;
  } ;

  class StringSequence_out {

  public:
    StringSequence_out(CORBA::StringSequence *&r);
    StringSequence_out(CORBA::StringSequence_var &r);
    StringSequence_out(const CORBA::StringSequence_out &r);
    CORBA::StringSequence_out &operator=(const CORBA::StringSequence_out &r);

  private:
    CORBA::StringSequence_out &operator=(const CORBA::StringSequence_var &r);

  public:
    CORBA::StringSequence_out &operator=(CORBA::StringSequence *r);
    operator CORBA::StringSequence *&();
    CORBA::StringSequence *&ptr();
    CORBA::StringSequence *operator->();
    TAO_SeqElem_String_Manager operator[](CORBA::ULong i);

  private:
    CORBA::StringSequence_ptr &ptr_;
    CORBA::StringSequence_ptr &ptr_;
  } ;

  class OctetSequence {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    CORBA::Octet *_buffer;
    CORBA::Boolean _release;
    OctetSequence();
    OctetSequence(CORBA::ULong max);
    OctetSequence(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release = 0);
    OctetSequence(const CORBA::OctetSequence &o);
    virtual ~OctetSequence();
    CORBA::OctetSequence &operator=(const CORBA::OctetSequence &rhs);
    CORBA::Octet &operator[](CORBA::ULong i);
    const CORBA::Octet &operator[](CORBA::ULong i) const;
    static CORBA::Octet *allocbuf(CORBA::ULong size);
    static void freebuf(CORBA::Octet *buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    CORBA::Octet *get_buffer(CORBA::Boolean orphan = 0);
    const CORBA::Octet *get_buffer() const;
  } ;

  typedef CORBA::OctetSequence *OctetSequence_ptr;
  class OctetSequence_var {

  public:
    OctetSequence_var();
    OctetSequence_var(CORBA::OctetSequence *p);
    OctetSequence_var(const CORBA::OctetSequence_var &a);
    ~OctetSequence_var();
    CORBA::OctetSequence_var &operator=(CORBA::OctetSequence *p);
    CORBA::OctetSequence_var &operator=(const CORBA::OctetSequence_var &p);
    CORBA::Octet &operator[](CORBA::ULong index);
    const CORBA::Octet &operator[](CORBA::ULong index) const;
    CORBA::OctetSequence *operator->();
    const CORBA::OctetSequence *operator->() const;
    operator const CORBA::OctetSequence &() const;
    operator CORBA::OctetSequence &();
    operator CORBA::OctetSequence &() const;
    const CORBA::OctetSequence &in() const;
    CORBA::OctetSequence &inout();
    CORBA::OctetSequence *&out();
    CORBA::OctetSequence *_retn();
    CORBA::OctetSequence *ptr() const;

  private:
    CORBA::OctetSequence_ptr ptr_;
    CORBA::OctetSequence_ptr ptr_;
  } ;

  class OctetSequence_out {

  public:
    OctetSequence_out(CORBA::OctetSequence *&r);
    OctetSequence_out(CORBA::OctetSequence_var &r);
    OctetSequence_out(const CORBA::OctetSequence_out &r);
    CORBA::OctetSequence_out &operator=(const CORBA::OctetSequence_out &r);

  private:
    CORBA::OctetSequence_out &operator=(const CORBA::OctetSequence_var &r);

  public:
    CORBA::OctetSequence_out &operator=(CORBA::OctetSequence *r);
    operator CORBA::OctetSequence *&();
    CORBA::OctetSequence *&ptr();
    CORBA::Octet &operator[](CORBA::ULong index);
    const CORBA::Octet &operator[](CORBA::ULong index) const;
    CORBA::OctetSequence *operator->();

  private:
    CORBA::OctetSequence_ptr &ptr_;
    CORBA::OctetSequence_ptr &ptr_;
  } ;

  class LongSequence {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    CORBA::Long *_buffer;
    CORBA::Boolean _release;
    LongSequence();
    LongSequence(CORBA::ULong max);
    LongSequence(CORBA::ULong max, CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release = 0);
    LongSequence(const CORBA::LongSequence &o);
    virtual ~LongSequence();
    CORBA::LongSequence &operator=(const CORBA::LongSequence &rhs);
    CORBA::Long &operator[](CORBA::ULong i);
    const CORBA::Long &operator[](CORBA::ULong i) const;
    static CORBA::Long *allocbuf(CORBA::ULong size);
    static void freebuf(CORBA::Long *buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    CORBA::Long *get_buffer(CORBA::Boolean orphan = 0);
    const CORBA::Long *get_buffer() const;
  } ;

  typedef CORBA::LongSequence *LongSequence_ptr;
  class LongSequence_var {

  public:
    LongSequence_var();
    LongSequence_var(CORBA::LongSequence *p);
    LongSequence_var(const CORBA::LongSequence_var &a);
    ~LongSequence_var();
    CORBA::LongSequence_var &operator=(CORBA::LongSequence *p);
    CORBA::LongSequence_var &operator=(const CORBA::LongSequence_var &p);
    CORBA::Long &operator[](CORBA::ULong index);
    const CORBA::Long &operator[](CORBA::ULong index) const;
    CORBA::LongSequence *operator->();
    const CORBA::LongSequence *operator->() const;
    operator const CORBA::LongSequence &() const;
    operator CORBA::LongSequence &();
    operator CORBA::LongSequence &() const;
    const CORBA::LongSequence &in() const;
    CORBA::LongSequence &inout();
    CORBA::LongSequence *&out();
    CORBA::LongSequence *_retn();
    CORBA::LongSequence *ptr() const;

  private:
    CORBA::LongSequence_ptr ptr_;
    CORBA::LongSequence_ptr ptr_;
  } ;

  class LongSequence_out {

  public:
    LongSequence_out(CORBA::LongSequence *&r);
    LongSequence_out(CORBA::LongSequence_var &r);
    LongSequence_out(const CORBA::LongSequence_out &r);
    CORBA::LongSequence_out &operator=(const CORBA::LongSequence_out &r);

  private:
    CORBA::LongSequence_out &operator=(const CORBA::LongSequence_var &r);

  public:
    CORBA::LongSequence_out &operator=(CORBA::LongSequence *r);
    operator CORBA::LongSequence *&();
    CORBA::LongSequence *&ptr();
    CORBA::Long &operator[](CORBA::ULong index);
    const CORBA::Long &operator[](CORBA::ULong index) const;
    CORBA::LongSequence *operator->();

  private:
    CORBA::LongSequence_ptr &ptr_;
    CORBA::LongSequence_ptr &ptr_;
  } ;

  typedef CORBA::OctetSequence ReferenceData;
  typedef CORBA::OctetSequence_ptr ReferenceData_ptr;
  typedef CORBA::OctetSequence_var ReferenceData_var;
  typedef CORBA::OctetSequence_out ReferenceData_out;
  typedef CORBA::StringSequence ReferenceString;
  typedef CORBA::StringSequence_ptr ReferenceString_ptr;
  typedef CORBA::StringSequence_var ReferenceString_var;
  typedef CORBA::StringSequence_out ReferenceString_out;
  typedef CORBA::LongSequence ReferenceLong;
  typedef CORBA::LongSequence_ptr ReferenceLong_ptr;
  typedef CORBA::LongSequence_var ReferenceLong_var;
  typedef CORBA::LongSequence_out ReferenceLong_out;
  class ImplementationDef ;

  typedef ImplementationDef *ImplementationDef_ptr;
  class ImplementationDef_var {

  public:
    ImplementationDef_var();
    ImplementationDef_var(CORBA::ImplementationDef_ptr p);
    ImplementationDef_var(const CORBA::ImplementationDef_var &a);
    ~ImplementationDef_var();
    CORBA::ImplementationDef_var &operator=(CORBA::ImplementationDef_ptr p);
    CORBA::ImplementationDef_var &operator=(const CORBA::ImplementationDef_var &p);
    CORBA::ImplementationDef_ptr operator->() const;
    operator const CORBA::ImplementationDef_ptr &() const;
    operator CORBA::ImplementationDef_ptr &();
    CORBA::ImplementationDef_ptr in() const;
    CORBA::ImplementationDef_ptr &inout();
    CORBA::ImplementationDef_ptr &out();
    CORBA::ImplementationDef_ptr _retn();
    CORBA::ImplementationDef_ptr ptr() const;

  private:
    CORBA::ImplementationDef_ptr ptr_;
  } ;

  class ImplementationDef_out {

  public:
    ImplementationDef_out(CORBA::ImplementationDef_ptr &r);
    ImplementationDef_out(CORBA::ImplementationDef_var &r);
    ImplementationDef_out(const CORBA::ImplementationDef_out &r);
    CORBA::ImplementationDef_out &operator=(const CORBA::ImplementationDef_out &r);
    CORBA::ImplementationDef_out &operator=(const CORBA::ImplementationDef_var &r);
    CORBA::ImplementationDef_out &operator=(CORBA::ImplementationDef_ptr r);
    operator CORBA::ImplementationDef_ptr &();
    CORBA::ImplementationDef_ptr &ptr();
    CORBA::ImplementationDef_ptr operator->();

  private:
    CORBA::ImplementationDef_ptr &ptr_;
  } ;

  class ImplementationDef : public virtual ACE_CORBA_1 (Object) {

  public:
    static CORBA::ImplementationDef_ptr _duplicate(CORBA::ImplementationDef_ptr obj);
    static CORBA::ImplementationDef_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
    static CORBA::ImplementationDef_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
    static CORBA::ImplementationDef_ptr _nil();
    virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
    virtual const char *_interface_repository_id() const;

  protected:
    ImplementationDef();
    virtual ~ImplementationDef();

  private:
    ImplementationDef(const ImplementationDef &v);
    void operator=(const ImplementationDef &v);

  public:
    virtual char *interface_name(/* CORBA::ImplementationDef *this, */ CORBA::Environment &_ev);
    virtual void interface_name(/* CORBA::ImplementationDef *this, */ const char *interface_name, CORBA::Environment &_ev);
    virtual char *object_name(/* CORBA::ImplementationDef *this, */ CORBA::Environment &_ev);
    virtual void object_name(/* CORBA::ImplementationDef *this, */ const char *object_name, CORBA::Environment &_ev);
    virtual CORBA::ReferenceData *id(/* CORBA::ImplementationDef *this, */ CORBA::Environment &_ev);
    virtual void id(/* CORBA::ImplementationDef *this, */ const CORBA::ReferenceData &id, CORBA::Environment &_ev);

  protected:
    ImplementationDef(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
  } ;

  enum Policy {
    SHARED_SERVER = 0,
    UNSHARED_SERVER = 1,
    SERVER_PER_METHOD = 2
  } ;

  typedef enum CORBA::Policy &Policy_out;
  class CreationImplDef ;

  typedef CreationImplDef *CreationImplDef_ptr;
  class CreationImplDef_var {

  public:
    CreationImplDef_var();
    CreationImplDef_var(CORBA::CreationImplDef_ptr p);
    CreationImplDef_var(const CORBA::CreationImplDef_var &a);
    ~CreationImplDef_var();
    CORBA::CreationImplDef_var &operator=(CORBA::CreationImplDef_ptr p);
    CORBA::CreationImplDef_var &operator=(const CORBA::CreationImplDef_var &p);
    CORBA::CreationImplDef_ptr operator->() const;
    operator const CORBA::CreationImplDef_ptr &() const;
    operator CORBA::CreationImplDef_ptr &();
    CORBA::CreationImplDef_ptr in() const;
    CORBA::CreationImplDef_ptr &inout();
    CORBA::CreationImplDef_ptr &out();
    CORBA::CreationImplDef_ptr _retn();
    CORBA::CreationImplDef_ptr ptr() const;

  private:
    CORBA::CreationImplDef_ptr ptr_;
  } ;

  class CreationImplDef_out {

  public:
    CreationImplDef_out(CORBA::CreationImplDef_ptr &r);
    CreationImplDef_out(CORBA::CreationImplDef_var &r);
    CreationImplDef_out(const CORBA::CreationImplDef_out &r);
    CORBA::CreationImplDef_out &operator=(const CORBA::CreationImplDef_out &r);
    CORBA::CreationImplDef_out &operator=(const CORBA::CreationImplDef_var &r);
    CORBA::CreationImplDef_out &operator=(CORBA::CreationImplDef_ptr r);
    operator CORBA::CreationImplDef_ptr &();
    CORBA::CreationImplDef_ptr &ptr();
    CORBA::CreationImplDef_ptr operator->();

  private:
    CORBA::CreationImplDef_ptr &ptr_;
  } ;

  class CreationImplDef : public virtual ACE_CORBA_1 (Object) {

  public:
    static CORBA::CreationImplDef_ptr _duplicate(CORBA::CreationImplDef_ptr obj);
    static CORBA::CreationImplDef_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
    static CORBA::CreationImplDef_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
    static CORBA::CreationImplDef_ptr _nil();
    virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
    virtual const char *_interface_repository_id() const;

  protected:
    CreationImplDef();
    virtual ~CreationImplDef();

  private:
    CreationImplDef(const CreationImplDef &v);
    void operator=(const CreationImplDef &v);

  public:
    virtual char *path_name(/* CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
    virtual void path_name(/* CORBA::CreationImplDef *this, */ const char *path_name, CORBA::Environment &_ev);
    virtual enum CORBA::Policy activation_policy(/* CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
    virtual void activation_policy(/* CORBA::CreationImplDef *this, */ enum CORBA::Policy activation_policy, CORBA::Environment &_ev);
    virtual CORBA::StringSequence *args(/* CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
    virtual void args(/* CORBA::CreationImplDef *this, */ const CORBA::StringSequence &args, CORBA::Environment &_ev);
    virtual CORBA::StringSequence *env(/* CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
    virtual void env(/* CORBA::CreationImplDef *this, */ const CORBA::StringSequence &env, CORBA::Environment &_ev);
    virtual char *interface_name(/* CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
    virtual void interface_name(/* CORBA::CreationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev);
    virtual char *object_name(/* CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
    virtual void object_name(/* CORBA::CreationImplDef *this, */ const char *object_name, CORBA::Environment &_ev);
    virtual CORBA::ReferenceData *id(/* CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
    virtual void id(/* CORBA::CreationImplDef *this, */ const CORBA::ReferenceData &id, CORBA::Environment &_ev);

  protected:
    CreationImplDef(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
  } ;

  class Activator ;

  typedef Activator *Activator_ptr;
  class Activator_var {

  public:
    Activator_var();
    Activator_var(CORBA::Activator_ptr p);
    Activator_var(const CORBA::Activator_var &a);
    ~Activator_var();
    CORBA::Activator_var &operator=(CORBA::Activator_ptr p);
    CORBA::Activator_var &operator=(const CORBA::Activator_var &p);
    CORBA::Activator_ptr operator->() const;
    operator const CORBA::Activator_ptr &() const;
    operator CORBA::Activator_ptr &();
    CORBA::Activator_ptr in() const;
    CORBA::Activator_ptr &inout();
    CORBA::Activator_ptr &out();
    CORBA::Activator_ptr _retn();
    CORBA::Activator_ptr ptr() const;

  private:
    CORBA::Activator_ptr ptr_;
  } ;

  class Activator_out {

  public:
    Activator_out(CORBA::Activator_ptr &r);
    Activator_out(CORBA::Activator_var &r);
    Activator_out(const CORBA::Activator_out &r);
    CORBA::Activator_out &operator=(const CORBA::Activator_out &r);
    CORBA::Activator_out &operator=(const CORBA::Activator_var &r);
    CORBA::Activator_out &operator=(CORBA::Activator_ptr r);
    operator CORBA::Activator_ptr &();
    CORBA::Activator_ptr &ptr();
    CORBA::Activator_ptr operator->();

  private:
    CORBA::Activator_ptr &ptr_;
  } ;

  class Activator : public virtual ACE_CORBA_1 (Object) {

  public:
    static CORBA::Activator_ptr _duplicate(CORBA::Activator_ptr obj);
    static CORBA::Activator_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
    static CORBA::Activator_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
    static CORBA::Activator_ptr _nil();
    virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
    virtual const char *_interface_repository_id() const;

  protected:
    Activator();
    virtual ~Activator();

  private:
    Activator(const Activator &v);
    void operator=(const Activator &v);

  public:
    virtual CORBA::Object_ptr activate(/* CORBA::Activator *this, */ CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev);
    virtual void deactivate(/* CORBA::Activator *this, */ CORBA::Object_ptr obj, CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev);

  protected:
    Activator(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
  } ;

  class ActivationImplDef ;

  typedef ActivationImplDef *ActivationImplDef_ptr;
  class ActivationImplDef_var {

  public:
    ActivationImplDef_var();
    ActivationImplDef_var(CORBA::ActivationImplDef_ptr p);
    ActivationImplDef_var(const CORBA::ActivationImplDef_var &a);
    ~ActivationImplDef_var();
    CORBA::ActivationImplDef_var &operator=(CORBA::ActivationImplDef_ptr p);
    CORBA::ActivationImplDef_var &operator=(const CORBA::ActivationImplDef_var &p);
    CORBA::ActivationImplDef_ptr operator->() const;
    operator const CORBA::ActivationImplDef_ptr &() const;
    operator CORBA::ActivationImplDef_ptr &();
    CORBA::ActivationImplDef_ptr in() const;
    CORBA::ActivationImplDef_ptr &inout();
    CORBA::ActivationImplDef_ptr &out();
    CORBA::ActivationImplDef_ptr _retn();
    CORBA::ActivationImplDef_ptr ptr() const;

  private:
    CORBA::ActivationImplDef_ptr ptr_;
  } ;

  class ActivationImplDef_out {

  public:
    ActivationImplDef_out(CORBA::ActivationImplDef_ptr &r);
    ActivationImplDef_out(CORBA::ActivationImplDef_var &r);
    ActivationImplDef_out(const CORBA::ActivationImplDef_out &r);
    CORBA::ActivationImplDef_out &operator=(const CORBA::ActivationImplDef_out &r);
    CORBA::ActivationImplDef_out &operator=(const CORBA::ActivationImplDef_var &r);
    CORBA::ActivationImplDef_out &operator=(CORBA::ActivationImplDef_ptr r);
    operator CORBA::ActivationImplDef_ptr &();
    CORBA::ActivationImplDef_ptr &ptr();
    CORBA::ActivationImplDef_ptr operator->();

  private:
    CORBA::ActivationImplDef_ptr &ptr_;
  } ;

  class ActivationImplDef : public virtual ACE_CORBA_1 (Object) {

  public:
    static CORBA::ActivationImplDef_ptr _duplicate(CORBA::ActivationImplDef_ptr obj);
    static CORBA::ActivationImplDef_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
    static CORBA::ActivationImplDef_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
    static CORBA::ActivationImplDef_ptr _nil();
    virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
    virtual const char *_interface_repository_id() const;

  protected:
    ActivationImplDef();
    virtual ~ActivationImplDef();

  private:
    ActivationImplDef(const ActivationImplDef &v);
    void operator=(const ActivationImplDef &v);

  public:
    virtual CORBA::Activator_ptr activator_obj(/* CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev);
    virtual void activator_obj(/* CORBA::ActivationImplDef *this, */ CORBA::Activator_ptr activator_obj, CORBA::Environment &_ev);
    virtual char *interface_name(/* CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev);
    virtual void interface_name(/* CORBA::ActivationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev);
    virtual char *object_name(/* CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev);
    virtual void object_name(/* CORBA::ActivationImplDef *this, */ const char *object_name, CORBA::Environment &_ev);
    virtual CORBA::ReferenceData *id(/* CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev);
    virtual void id(/* CORBA::ActivationImplDef *this, */ const CORBA::ReferenceData &id, CORBA::Environment &_ev);

  protected:
    ActivationImplDef(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
  } ;

}


void operator<<=(CORBA::Any &a, const CORBA::StringSequence &o);

void operator<<=(CORBA::Any &a, CORBA::StringSequence *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, CORBA::StringSequence *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::StringSequence *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::StringSequence *_data);

void operator<<=(CORBA::Any &a, const CORBA::OctetSequence &o);

void operator<<=(CORBA::Any &a, CORBA::OctetSequence *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, CORBA::OctetSequence *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::OctetSequence *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::OctetSequence *_data);

void operator<<=(CORBA::Any &a, const CORBA::LongSequence &o);

void operator<<=(CORBA::Any &a, CORBA::LongSequence *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, CORBA::LongSequence *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::LongSequence *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::LongSequence *_data);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::ReferenceData *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::ReferenceData *_data);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::ReferenceString *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::ReferenceString *_data);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::ReferenceLong *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::ReferenceLong *_data);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::ImplementationDef_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::ImplementationDef_ptr *_data);

void operator<<=(CORBA::Any &a, CORBA::ImplementationDef_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, CORBA::ImplementationDef_ptr &o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const enum CORBA::Policy *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, enum CORBA::Policy *_data);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::CreationImplDef_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::CreationImplDef_ptr *_data);

void operator<<=(CORBA::Any &a, CORBA::CreationImplDef_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, CORBA::CreationImplDef_ptr &o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::Activator_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::Activator_ptr *_data);

void operator<<=(CORBA::Any &a, CORBA::Activator_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, CORBA::Activator_ptr &o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const CORBA::ActivationImplDef_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::ActivationImplDef_ptr *_data);

void operator<<=(CORBA::Any &a, CORBA::ActivationImplDef_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, CORBA::ActivationImplDef_ptr &o);

#endif /* _impldef_client_h_ */
