#include "string_-server.h"

POA_test::POA_test()
{}

POA_test::POA_test(const POA_test &rhs)
  : TAO_ServantBase(rhs)
{}

POA_test::~POA_test()
{}

test *POA_test::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_test(this, stub);
}

CORBA::Boolean POA_test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_test::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:test:1.0") == 0)
    return ACE_static_cast(POA_test_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_test::_interface_repository_id() const
{
  return "IDL:test:1.0";
}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::~POA_test_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_test_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_test_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_test_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_test_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_test_tie<T>::POA_test_tie(const POA_test_tie &c)
{}

template <class T>
  void POA_test_tie<T>::operator=(const POA_test_tie &c)
{}

template <class T>
  char *POA_test_tie<T>::String(/* POA_test *this, */ const char *a, char *&b, CORBA::String_out c, CORBA::Environment &_ev)
{
  return this->ptr_->String (a, b, c, _ev);
}

template <class T>
  char *POA_test_tie<T>::LongString(/* POA_test *this, */ const char *a, char *&b, longstr_out c, CORBA::Environment &_ev)
{
  return this->ptr_->LongString (a, b, c, _ev);
}

template <class T>
  char *POA_test_tie<T>::ShortString(/* POA_test *this, */ const char *a, char *&b, shortstr_out c, CORBA::Environment &_ev)
{
  return this->ptr_->ShortString (a, b, c, _ev);
}

template <class T>
  struct str *POA_test_tie<T>::Struct(/* POA_test *this, */ const struct str &a, struct str &b, str_out c, CORBA::Environment &_ev)
{
  return this->ptr_->Struct (a, b, c, _ev);
}

_tao_collocated_test::_tao_collocated_test(POA_test_ptr servant, TAO_Stub *stub)
  : test(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_test_ptr _tao_collocated_test::_get_servant() const
{
  return this->servant_;
}

char *_tao_collocated_test::String(const char *a, char *&b, CORBA::String_out c, CORBA::Environment &_ev)
{
  return this->servant_->String (a, b, c, _ev);
}

char *_tao_collocated_test::LongString(const char *a, char *&b, longstr_out c, CORBA::Environment &_ev)
{
  return this->servant_->LongString (a, b, c, _ev);
}

char *_tao_collocated_test::ShortString(const char *a, char *&b, shortstr_out c, CORBA::Environment &_ev)
{
  return this->servant_->ShortString (a, b, c, _ev);
}

struct str *_tao_collocated_test::Struct(const struct str &a, struct str &b, str_out c, CORBA::Environment &_ev)
{
  return this->servant_->Struct (a, b, c, _ev);
}

CORBA::Boolean _tao_collocated_test::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, test , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_test::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t198_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t198_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t198_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t199_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t199_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t199_switch_tag)
            {
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t200_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t200_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t200_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t201_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t201_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t201_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t202_principal_len;
                              char *_return;
                              char *_local_a;
                              flick_unsigned32_t _t203_temp_string_len;
                              char *_local_b;
                              flick_unsigned32_t _t204_temp_string_len;
                              char *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort390);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t202_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t202_principal_len);
                              flick_iiopxx_check_span(_t202_principal_len * 1, _flick_abort390);
                              flick_iiopxx_decode_new_chunk(_t202_principal_len);
                              flick_iiopxx_decode_end_chunk(_t202_principal_len);
                              flick_iiopxx_decode_end_glob(_t202_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort390);
                              flick_cdr_swap_decode_unsigned32(0, _t203_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t203_temp_string_len);
                              flick_iiopxx_check_span(1 * _t203_temp_string_len * 1, _flick_abort390);
                              flick_iiopxx_decode_new_chunk(1 * _t203_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t203_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort390);
                                _local_a = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_a, 1 * _t203_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t203_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t203_temp_string_len);
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort390);
                              flick_cdr_swap_decode_unsigned32(0, _t204_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t204_temp_string_len);
                              flick_iiopxx_check_span(1 * _t204_temp_string_len * 1, _flick_abort390);
                              flick_iiopxx_decode_new_chunk(1 * _t204_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t204_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort390);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b, 1 * _t204_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t204_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t204_temp_string_len);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->String(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t205_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t205_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort390);
                                flick_iiopxx_encode_new_glob(8, _flick_abort390);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t205_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t205_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t209_temp_string_len;
                                      flick_unsigned32_t _t210_temp_string_len;
                                      flick_unsigned32_t _t211_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t209_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t210_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t211_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t209_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _t209_temp_string_len, _flick_abort405);
                                      flick_iiopxx_encode_new_chunk(1 * _t209_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t209_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t209_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t209_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort405);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t210_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t210_temp_string_len, _flick_abort405);
                                      flick_iiopxx_encode_new_chunk(1 * _t210_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b, 1 * _t210_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t210_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t210_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort405);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t211_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t211_temp_string_len, _flick_abort405);
                                      flick_iiopxx_encode_new_chunk(1 * _t211_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_c, 1 * _t211_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t211_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t211_temp_string_len);
                                      break;
                                      {
                                      _flick_abort405:
                                        goto _flick_abort390;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort412);
                                      break;
                                      {
                                      _flick_abort412:
                                        goto _flick_abort390;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort413);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort413:
                                        goto _flick_abort390;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort390:
                                goto _flick_abort389;
                              }
                            }
                            break;
                            {
                            _flick_abort389:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140405):
              {
                unsigned short int _t212_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t212_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t212_switch_tag)
                  {
                  case /* ct */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25460):
                    {
                      char _t213_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t213_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t213_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t214_principal_len;
                              struct str *_return;
                              struct str _local_a;
                              flick_unsigned32_t _t215_temp_string_len;
                              flick_unsigned32_t _t216_temp_string_len;
                              struct str _local_b;
                              flick_unsigned32_t _t217_temp_string_len;
                              flick_unsigned32_t _t218_temp_string_len;
                              struct str *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort415);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t214_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t214_principal_len);
                              flick_iiopxx_check_span(_t214_principal_len * 1, _flick_abort415);
                              flick_iiopxx_decode_new_chunk(_t214_principal_len);
                              flick_iiopxx_decode_end_chunk(_t214_principal_len);
                              flick_iiopxx_decode_end_glob(_t214_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(29);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort415);
                              flick_cdr_swap_decode_unsigned32(0, _t215_temp_string_len, flick_unsigned32_t );
                              if (_t215_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort415);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t215_temp_string_len * 1, _flick_abort415);
                              flick_iiopxx_decode_new_chunk(1 * _t215_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t215_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort415);
                                _local_a.s10 = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_a.s10, 1 * _t215_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t215_temp_string_len);
                              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort415);
                              flick_cdr_swap_decode_signed32(0, _local_a.a, CORBA::Long );
                              flick_cdr_swap_decode_unsigned32(4, _t216_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(29);
                              flick_iiopxx_decode_new_glob(1 * _t216_temp_string_len);
                              flick_iiopxx_check_span(1 * _t216_temp_string_len * 1, _flick_abort415);
                              flick_iiopxx_decode_new_chunk(1 * _t216_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t216_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort415);
                                _local_a.sx = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_a.sx, 1 * _t216_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t216_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t216_temp_string_len);
                              flick_iiopxx_decode_new_glob(31);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort415);
                              flick_cdr_swap_decode_signed16(0, _local_a.b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
                              flick_iiopxx_check_span(4, _flick_abort415);
                              flick_cdr_swap_decode_unsigned32(0, _t217_temp_string_len, flick_unsigned32_t );
                              if (_t217_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort415);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t217_temp_string_len * 1, _flick_abort415);
                              flick_iiopxx_decode_new_chunk(1 * _t217_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t217_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort415);
                                _local_b.s10 = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b.s10, 1 * _t217_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t217_temp_string_len);
                              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort415);
                              flick_cdr_swap_decode_signed32(0, _local_b.a, CORBA::Long );
                              flick_cdr_swap_decode_unsigned32(4, _t218_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(31);
                              flick_iiopxx_decode_new_glob(1 * _t218_temp_string_len);
                              flick_iiopxx_check_span(1 * _t218_temp_string_len * 1, _flick_abort415);
                              flick_iiopxx_decode_new_chunk(1 * _t218_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t218_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort415);
                                _local_b.sx = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b.sx, 1 * _t218_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t218_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t218_temp_string_len);
                              flick_iiopxx_decode_new_glob(3);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort415);
                              flick_cdr_swap_decode_signed16(0, _local_b.b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_end_glob(3);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->Struct(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t219_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t219_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort415);
                                flick_iiopxx_encode_new_glob(30, _flick_abort415);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t219_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t219_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t226_temp_string_len;
                                      flick_unsigned32_t _t227_temp_string_len;
                                      flick_unsigned32_t _t228_temp_string_len;
                                      flick_unsigned32_t _t229_temp_string_len;
                                      flick_unsigned32_t _t230_temp_string_len;
                                      flick_unsigned32_t _t231_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return->s10, flick_unsigned32_t , _t226_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _return->sx, flick_unsigned32_t , _t227_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b.s10, flick_unsigned32_t , _t228_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b.sx, flick_unsigned32_t , _t229_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c->s10, flick_unsigned32_t , _t230_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c->sx, flick_unsigned32_t , _t231_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4 + 1 * _t226_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t226_temp_string_len, flick_unsigned32_t );
                                      if (_t226_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort440);
                                      flick_cdr_encode_bcopy(4, _return->s10, 1 * _t226_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t226_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _return->a, CORBA::Long );
                                      flick_cdr_encode_unsigned32(4, _t227_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(8);
                                      flick_iiopxx_encode_end_glob(30);
                                      flick_iiopxx_encode_new_glob(1 * _t227_temp_string_len, _flick_abort440);
                                      flick_iiopxx_encode_new_chunk(1 * _t227_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->sx, 1 * _t227_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t227_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t227_temp_string_len);
                                      flick_iiopxx_encode_new_glob(31, _flick_abort440);
                                      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _return->b, CORBA::Short );
                                      delete _return;
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t228_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t228_temp_string_len, flick_unsigned32_t );
                                      if (_t228_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort440);
                                      flick_cdr_encode_bcopy(4, _local_b.s10, 1 * _t228_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t228_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b.a, CORBA::Long );
                                      flick_cdr_encode_unsigned32(4, _t229_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(8);
                                      flick_iiopxx_encode_end_glob(31);
                                      flick_iiopxx_encode_new_glob(1 * _t229_temp_string_len, _flick_abort440);
                                      flick_iiopxx_encode_new_chunk(1 * _t229_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b.sx, 1 * _t229_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t229_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t229_temp_string_len);
                                      flick_iiopxx_encode_new_glob(31, _flick_abort440);
                                      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _local_b.b, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t230_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t230_temp_string_len, flick_unsigned32_t );
                                      if (_t230_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort440);
                                      flick_cdr_encode_bcopy(4, _local_c->s10, 1 * _t230_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t230_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_c->a, CORBA::Long );
                                      flick_cdr_encode_unsigned32(4, _t231_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(8);
                                      flick_iiopxx_encode_end_glob(31);
                                      flick_iiopxx_encode_new_glob(1 * _t231_temp_string_len, _flick_abort440);
                                      flick_iiopxx_encode_new_chunk(1 * _t231_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_c->sx, 1 * _t231_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t231_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t231_temp_string_len);
                                      flick_iiopxx_encode_new_glob(3, _flick_abort440);
                                      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _local_c->b, CORBA::Short );
                                      delete _local_c;
                                      _local_c = 0;
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(3);
                                      break;
                                      {
                                      _flick_abort440:
                                        goto _flick_abort415;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(30);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort453);
                                      break;
                                      {
                                      _flick_abort453:
                                        goto _flick_abort415;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort454);
                                      flick_iiopxx_encode_end_glob(30);
                                      break;
                                      {
                                      _flick_abort454:
                                        goto _flick_abort415;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort415:
                                goto _flick_abort414;
                              }
                            }
                            break;
                            {
                            _flick_abort414:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t232_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t232_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t232_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                unsigned int _t233_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t233_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t233_switch_tag)
                  {
                  case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
                    {
                      unsigned short int _t234_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t234_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t234_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t235_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t235_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t235_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test *_local_this;
                                    unsigned int _t236_principal_len;
                                    char *_return;
                                    char *_local_a;
                                    flick_unsigned32_t _t237_temp_string_len;
                                    char *_local_b;
                                    flick_unsigned32_t _t238_temp_string_len;
                                    char *_local_c;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort456);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t236_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t236_principal_len);
                                    flick_iiopxx_check_span(_t236_principal_len * 1, _flick_abort456);
                                    flick_iiopxx_decode_new_chunk(_t236_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t236_principal_len);
                                    flick_iiopxx_decode_end_glob(_t236_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort456);
                                    flick_cdr_swap_decode_unsigned32(0, _t237_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t237_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t237_temp_string_len * 1, _flick_abort456);
                                    flick_iiopxx_decode_new_chunk(1 * _t237_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t237_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort456);
                                      _local_a = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_a, 1 * _t237_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t237_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t237_temp_string_len);
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort456);
                                    flick_cdr_swap_decode_unsigned32(0, _t238_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t238_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t238_temp_string_len * 1, _flick_abort456);
                                    flick_iiopxx_decode_new_chunk(1 * _t238_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t238_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort456);
                                      _local_b = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_b, 1 * _t238_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t238_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t238_temp_string_len);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->LongString(_local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t239_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t239_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort456);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort456);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t239_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t239_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t243_temp_string_len;
                                            flick_unsigned32_t _t244_temp_string_len;
                                            flick_unsigned32_t _t245_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t243_temp_string_len);
                                            flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t244_temp_string_len);
                                            flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t245_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t243_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_iiopxx_encode_new_glob(1 * _t243_temp_string_len, _flick_abort471);
                                            flick_iiopxx_encode_new_chunk(1 * _t243_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t243_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t243_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t243_temp_string_len);
                                            flick_iiopxx_encode_new_glob(7, _flick_abort471);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t244_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t244_temp_string_len, _flick_abort471);
                                            flick_iiopxx_encode_new_chunk(1 * _t244_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b, 1 * _t244_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t244_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t244_temp_string_len);
                                            flick_iiopxx_encode_new_glob(7, _flick_abort471);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t245_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t245_temp_string_len, _flick_abort471);
                                            flick_iiopxx_encode_new_chunk(1 * _t245_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_c, 1 * _t245_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t245_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t245_temp_string_len);
                                            break;
                                            {
                                            _flick_abort471:
                                              goto _flick_abort456;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort478);
                                            break;
                                            {
                                            _flick_abort478:
                                              goto _flick_abort456;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort479);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort479:
                                              goto _flick_abort456;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort456:
                                      goto _flick_abort455;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort455:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t246_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t246_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t246_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned int _t247_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t247_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t247_switch_tag)
                  {
                  case /* tStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1951626354):
                    {
                      unsigned int _t248_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t248_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t248_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t249_principal_len;
                              char *_return;
                              char *_local_a;
                              flick_unsigned32_t _t250_temp_string_len;
                              char *_local_b;
                              flick_unsigned32_t _t251_temp_string_len;
                              char *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort481);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t249_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t249_principal_len);
                              flick_iiopxx_check_span(_t249_principal_len * 1, _flick_abort481);
                              flick_iiopxx_decode_new_chunk(_t249_principal_len);
                              flick_iiopxx_decode_end_chunk(_t249_principal_len);
                              flick_iiopxx_decode_end_glob(_t249_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(66);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort481);
                              flick_cdr_swap_decode_unsigned32(0, _t250_temp_string_len, flick_unsigned32_t );
                              if (_t250_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort481);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t250_temp_string_len * 1, _flick_abort481);
                              flick_iiopxx_decode_new_chunk(1 * _t250_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t250_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort481);
                                _local_a = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_a, 1 * _t250_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t250_temp_string_len);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort481);
                              flick_cdr_swap_decode_unsigned32(0, _t251_temp_string_len, flick_unsigned32_t );
                              if (_t251_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort481);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t251_temp_string_len * 1, _flick_abort481);
                              flick_iiopxx_decode_new_chunk(1 * _t251_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t251_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort481);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b, 1 * _t251_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t251_temp_string_len);
                              flick_iiopxx_decode_end_glob(66);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->ShortString(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t252_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t252_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort481);
                                flick_iiopxx_encode_new_glob(100, _flick_abort481);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t252_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t252_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t256_temp_string_len;
                                      flick_unsigned32_t _t257_temp_string_len;
                                      flick_unsigned32_t _t258_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t256_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t257_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t258_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4 + 1 * _t256_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t256_temp_string_len, flick_unsigned32_t );
                                      if (_t256_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort496);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t256_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t256_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t257_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t257_temp_string_len, flick_unsigned32_t );
                                      if (_t257_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort496);
                                      flick_cdr_encode_bcopy(4, _local_b, 1 * _t257_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t257_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t258_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t258_temp_string_len, flick_unsigned32_t );
                                      if (_t258_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort496);
                                      flick_cdr_encode_bcopy(4, _local_c, 1 * _t258_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t258_temp_string_len);
                                      flick_iiopxx_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort496:
                                        goto _flick_abort481;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(100);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort503);
                                      break;
                                      {
                                      _flick_abort503:
                                        goto _flick_abort481;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort504);
                                      flick_iiopxx_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort504:
                                        goto _flick_abort481;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort481:
                                goto _flick_abort480;
                              }
                            }
                            break;
                            {
                            _flick_abort480:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t259_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t259_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t259_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t260_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t260_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t260_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t261_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t262_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort506);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t261_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t261_principal_len);
                        flick_iiopxx_check_span(_t261_principal_len * 1, _flick_abort506);
                        flick_iiopxx_decode_new_chunk(_t261_principal_len);
                        flick_iiopxx_decode_end_chunk(_t261_principal_len);
                        flick_iiopxx_decode_end_glob(_t261_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort506);
                        flick_cdr_swap_decode_unsigned32(0, _t262_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t262_temp_string_len);
                        flick_iiopxx_check_span(1 * _t262_temp_string_len * 1, _flick_abort506);
                        flick_iiopxx_decode_new_chunk(1 * _t262_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t262_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort506);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t262_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t262_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t262_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t263_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t263_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort506);
                          flick_iiopxx_encode_new_glob(5, _flick_abort506);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t263_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t263_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort514);
                                break;
                                {
                                _flick_abort514:
                                  goto _flick_abort506;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort515);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort515:
                                  goto _flick_abort506;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort506:
                          goto _flick_abort505;
                        }
                      }
                      break;
                      {
                      _flick_abort505:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t66_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t66_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t66_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t67_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t67_switch_tag)
            {
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t68_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t68_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t68_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t69_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t69_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t69_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t70_principal_len;
                              char *_return;
                              char *_local_a;
                              flick_unsigned32_t _t71_temp_string_len;
                              char *_local_b;
                              flick_unsigned32_t _t72_temp_string_len;
                              char *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort135);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t70_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t70_principal_len);
                              flick_iiopxx_check_span(_t70_principal_len * 1, _flick_abort135);
                              flick_iiopxx_decode_new_chunk(_t70_principal_len);
                              flick_iiopxx_decode_end_chunk(_t70_principal_len);
                              flick_iiopxx_decode_end_glob(_t70_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort135);
                              flick_cdr_decode_unsigned32(0, _t71_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t71_temp_string_len);
                              flick_iiopxx_check_span(1 * _t71_temp_string_len * 1, _flick_abort135);
                              flick_iiopxx_decode_new_chunk(1 * _t71_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t71_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                                _local_a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_a, 1 * _t71_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t71_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t71_temp_string_len);
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort135);
                              flick_cdr_decode_unsigned32(0, _t72_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t72_temp_string_len);
                              flick_iiopxx_check_span(1 * _t72_temp_string_len * 1, _flick_abort135);
                              flick_iiopxx_decode_new_chunk(1 * _t72_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t72_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b, 1 * _t72_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t72_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t72_temp_string_len);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->String(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t73_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t73_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort135);
                                flick_iiopxx_encode_new_glob(8, _flick_abort135);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t73_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t73_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t77_temp_string_len;
                                      flick_unsigned32_t _t78_temp_string_len;
                                      flick_unsigned32_t _t79_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t77_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t78_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t79_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t77_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _t77_temp_string_len, _flick_abort150);
                                      flick_iiopxx_encode_new_chunk(1 * _t77_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t77_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t77_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t77_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort150);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t78_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t78_temp_string_len, _flick_abort150);
                                      flick_iiopxx_encode_new_chunk(1 * _t78_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b, 1 * _t78_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t78_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t78_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort150);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t79_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t79_temp_string_len, _flick_abort150);
                                      flick_iiopxx_encode_new_chunk(1 * _t79_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_c, 1 * _t79_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t79_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t79_temp_string_len);
                                      break;
                                      {
                                      _flick_abort150:
                                        goto _flick_abort135;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort157);
                                      break;
                                      {
                                      _flick_abort157:
                                        goto _flick_abort135;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort158);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort158:
                                        goto _flick_abort135;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort135:
                                goto _flick_abort134;
                              }
                            }
                            break;
                            {
                            _flick_abort134:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140405):
              {
                unsigned short int _t80_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t80_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t80_switch_tag)
                  {
                  case /* ct */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25460):
                    {
                      char _t81_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t81_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t81_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t82_principal_len;
                              struct str *_return;
                              struct str _local_a;
                              flick_unsigned32_t _t83_temp_string_len;
                              flick_unsigned32_t _t84_temp_string_len;
                              struct str _local_b;
                              flick_unsigned32_t _t85_temp_string_len;
                              flick_unsigned32_t _t86_temp_string_len;
                              struct str *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort160);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t82_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t82_principal_len);
                              flick_iiopxx_check_span(_t82_principal_len * 1, _flick_abort160);
                              flick_iiopxx_decode_new_chunk(_t82_principal_len);
                              flick_iiopxx_decode_end_chunk(_t82_principal_len);
                              flick_iiopxx_decode_end_glob(_t82_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(29);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort160);
                              flick_cdr_decode_unsigned32(0, _t83_temp_string_len, flick_unsigned32_t );
                              if (_t83_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort160);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t83_temp_string_len * 1, _flick_abort160);
                              flick_iiopxx_decode_new_chunk(1 * _t83_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t83_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort160);
                                _local_a.s10 = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_a.s10, 1 * _t83_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t83_temp_string_len);
                              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort160);
                              flick_cdr_decode_signed32(0, _local_a.a, CORBA::Long );
                              flick_cdr_decode_unsigned32(4, _t84_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(29);
                              flick_iiopxx_decode_new_glob(1 * _t84_temp_string_len);
                              flick_iiopxx_check_span(1 * _t84_temp_string_len * 1, _flick_abort160);
                              flick_iiopxx_decode_new_chunk(1 * _t84_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t84_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort160);
                                _local_a.sx = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_a.sx, 1 * _t84_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t84_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t84_temp_string_len);
                              flick_iiopxx_decode_new_glob(31);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort160);
                              flick_cdr_decode_signed16(0, _local_a.b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
                              flick_iiopxx_check_span(4, _flick_abort160);
                              flick_cdr_decode_unsigned32(0, _t85_temp_string_len, flick_unsigned32_t );
                              if (_t85_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort160);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t85_temp_string_len * 1, _flick_abort160);
                              flick_iiopxx_decode_new_chunk(1 * _t85_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t85_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort160);
                                _local_b.s10 = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b.s10, 1 * _t85_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t85_temp_string_len);
                              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort160);
                              flick_cdr_decode_signed32(0, _local_b.a, CORBA::Long );
                              flick_cdr_decode_unsigned32(4, _t86_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(31);
                              flick_iiopxx_decode_new_glob(1 * _t86_temp_string_len);
                              flick_iiopxx_check_span(1 * _t86_temp_string_len * 1, _flick_abort160);
                              flick_iiopxx_decode_new_chunk(1 * _t86_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t86_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort160);
                                _local_b.sx = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b.sx, 1 * _t86_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t86_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t86_temp_string_len);
                              flick_iiopxx_decode_new_glob(3);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort160);
                              flick_cdr_decode_signed16(0, _local_b.b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_end_glob(3);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->Struct(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t87_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t87_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort160);
                                flick_iiopxx_encode_new_glob(30, _flick_abort160);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t87_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t87_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t94_temp_string_len;
                                      flick_unsigned32_t _t95_temp_string_len;
                                      flick_unsigned32_t _t96_temp_string_len;
                                      flick_unsigned32_t _t97_temp_string_len;
                                      flick_unsigned32_t _t98_temp_string_len;
                                      flick_unsigned32_t _t99_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return->s10, flick_unsigned32_t , _t94_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _return->sx, flick_unsigned32_t , _t95_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b.s10, flick_unsigned32_t , _t96_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b.sx, flick_unsigned32_t , _t97_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c->s10, flick_unsigned32_t , _t98_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c->sx, flick_unsigned32_t , _t99_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4 + 1 * _t94_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                                      if (_t94_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort185);
                                      flick_cdr_encode_bcopy(4, _return->s10, 1 * _t94_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t94_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _return->a, CORBA::Long );
                                      flick_cdr_encode_unsigned32(4, _t95_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(8);
                                      flick_iiopxx_encode_end_glob(30);
                                      flick_iiopxx_encode_new_glob(1 * _t95_temp_string_len, _flick_abort185);
                                      flick_iiopxx_encode_new_chunk(1 * _t95_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->sx, 1 * _t95_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t95_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t95_temp_string_len);
                                      flick_iiopxx_encode_new_glob(31, _flick_abort185);
                                      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _return->b, CORBA::Short );
                                      delete _return;
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t96_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t96_temp_string_len, flick_unsigned32_t );
                                      if (_t96_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort185);
                                      flick_cdr_encode_bcopy(4, _local_b.s10, 1 * _t96_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t96_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b.a, CORBA::Long );
                                      flick_cdr_encode_unsigned32(4, _t97_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(8);
                                      flick_iiopxx_encode_end_glob(31);
                                      flick_iiopxx_encode_new_glob(1 * _t97_temp_string_len, _flick_abort185);
                                      flick_iiopxx_encode_new_chunk(1 * _t97_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b.sx, 1 * _t97_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t97_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t97_temp_string_len);
                                      flick_iiopxx_encode_new_glob(31, _flick_abort185);
                                      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _local_b.b, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t98_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t98_temp_string_len, flick_unsigned32_t );
                                      if (_t98_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort185);
                                      flick_cdr_encode_bcopy(4, _local_c->s10, 1 * _t98_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t98_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_c->a, CORBA::Long );
                                      flick_cdr_encode_unsigned32(4, _t99_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(8);
                                      flick_iiopxx_encode_end_glob(31);
                                      flick_iiopxx_encode_new_glob(1 * _t99_temp_string_len, _flick_abort185);
                                      flick_iiopxx_encode_new_chunk(1 * _t99_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_c->sx, 1 * _t99_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t99_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t99_temp_string_len);
                                      flick_iiopxx_encode_new_glob(3, _flick_abort185);
                                      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _local_c->b, CORBA::Short );
                                      delete _local_c;
                                      _local_c = 0;
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(3);
                                      break;
                                      {
                                      _flick_abort185:
                                        goto _flick_abort160;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(30);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort198);
                                      break;
                                      {
                                      _flick_abort198:
                                        goto _flick_abort160;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort199);
                                      flick_iiopxx_encode_end_glob(30);
                                      break;
                                      {
                                      _flick_abort199:
                                        goto _flick_abort160;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort160:
                                goto _flick_abort159;
                              }
                            }
                            break;
                            {
                            _flick_abort159:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t100_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t100_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t100_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                unsigned int _t101_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t101_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t101_switch_tag)
                  {
                  case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
                    {
                      unsigned short int _t102_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t102_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t102_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t103_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t103_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t103_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test *_local_this;
                                    unsigned int _t104_principal_len;
                                    char *_return;
                                    char *_local_a;
                                    flick_unsigned32_t _t105_temp_string_len;
                                    char *_local_b;
                                    flick_unsigned32_t _t106_temp_string_len;
                                    char *_local_c;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort201);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t104_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t104_principal_len);
                                    flick_iiopxx_check_span(_t104_principal_len * 1, _flick_abort201);
                                    flick_iiopxx_decode_new_chunk(_t104_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t104_principal_len);
                                    flick_iiopxx_decode_end_glob(_t104_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort201);
                                    flick_cdr_decode_unsigned32(0, _t105_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t105_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t105_temp_string_len * 1, _flick_abort201);
                                    flick_iiopxx_decode_new_chunk(1 * _t105_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t105_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort201);
                                      _local_a = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_a, 1 * _t105_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t105_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t105_temp_string_len);
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort201);
                                    flick_cdr_decode_unsigned32(0, _t106_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t106_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t106_temp_string_len * 1, _flick_abort201);
                                    flick_iiopxx_decode_new_chunk(1 * _t106_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t106_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort201);
                                      _local_b = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_b, 1 * _t106_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t106_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t106_temp_string_len);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->LongString(_local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t107_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t107_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort201);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort201);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t107_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t107_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t111_temp_string_len;
                                            flick_unsigned32_t _t112_temp_string_len;
                                            flick_unsigned32_t _t113_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t111_temp_string_len);
                                            flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t112_temp_string_len);
                                            flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t113_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t111_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_iiopxx_encode_new_glob(1 * _t111_temp_string_len, _flick_abort216);
                                            flick_iiopxx_encode_new_chunk(1 * _t111_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t111_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t111_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t111_temp_string_len);
                                            flick_iiopxx_encode_new_glob(7, _flick_abort216);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t112_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t112_temp_string_len, _flick_abort216);
                                            flick_iiopxx_encode_new_chunk(1 * _t112_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b, 1 * _t112_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t112_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t112_temp_string_len);
                                            flick_iiopxx_encode_new_glob(7, _flick_abort216);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t113_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t113_temp_string_len, _flick_abort216);
                                            flick_iiopxx_encode_new_chunk(1 * _t113_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_c, 1 * _t113_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t113_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t113_temp_string_len);
                                            break;
                                            {
                                            _flick_abort216:
                                              goto _flick_abort201;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort223);
                                            break;
                                            {
                                            _flick_abort223:
                                              goto _flick_abort201;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort224);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort224:
                                              goto _flick_abort201;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort201:
                                      goto _flick_abort200;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort200:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t114_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t114_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t114_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned int _t115_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t115_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t115_switch_tag)
                  {
                  case /* tStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1951626354):
                    {
                      unsigned int _t116_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t116_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t116_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t117_principal_len;
                              char *_return;
                              char *_local_a;
                              flick_unsigned32_t _t118_temp_string_len;
                              char *_local_b;
                              flick_unsigned32_t _t119_temp_string_len;
                              char *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort226);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t117_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t117_principal_len);
                              flick_iiopxx_check_span(_t117_principal_len * 1, _flick_abort226);
                              flick_iiopxx_decode_new_chunk(_t117_principal_len);
                              flick_iiopxx_decode_end_chunk(_t117_principal_len);
                              flick_iiopxx_decode_end_glob(_t117_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(66);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort226);
                              flick_cdr_decode_unsigned32(0, _t118_temp_string_len, flick_unsigned32_t );
                              if (_t118_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort226);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t118_temp_string_len * 1, _flick_abort226);
                              flick_iiopxx_decode_new_chunk(1 * _t118_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t118_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort226);
                                _local_a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_a, 1 * _t118_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t118_temp_string_len);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort226);
                              flick_cdr_decode_unsigned32(0, _t119_temp_string_len, flick_unsigned32_t );
                              if (_t119_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort226);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t119_temp_string_len * 1, _flick_abort226);
                              flick_iiopxx_decode_new_chunk(1 * _t119_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t119_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort226);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b, 1 * _t119_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t119_temp_string_len);
                              flick_iiopxx_decode_end_glob(66);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->ShortString(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t120_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t120_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort226);
                                flick_iiopxx_encode_new_glob(100, _flick_abort226);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t120_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t120_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t124_temp_string_len;
                                      flick_unsigned32_t _t125_temp_string_len;
                                      flick_unsigned32_t _t126_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t124_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t125_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t126_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4 + 1 * _t124_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t124_temp_string_len, flick_unsigned32_t );
                                      if (_t124_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort241);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t124_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t124_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t125_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t125_temp_string_len, flick_unsigned32_t );
                                      if (_t125_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort241);
                                      flick_cdr_encode_bcopy(4, _local_b, 1 * _t125_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t125_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t126_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t126_temp_string_len, flick_unsigned32_t );
                                      if (_t126_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort241);
                                      flick_cdr_encode_bcopy(4, _local_c, 1 * _t126_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t126_temp_string_len);
                                      flick_iiopxx_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort241:
                                        goto _flick_abort226;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(100);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort248);
                                      break;
                                      {
                                      _flick_abort248:
                                        goto _flick_abort226;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort249);
                                      flick_iiopxx_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort249:
                                        goto _flick_abort226;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort226:
                                goto _flick_abort225;
                              }
                            }
                            break;
                            {
                            _flick_abort225:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t127_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t127_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t127_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t128_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t128_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t128_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t129_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t130_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort251);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t129_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t129_principal_len);
                        flick_iiopxx_check_span(_t129_principal_len * 1, _flick_abort251);
                        flick_iiopxx_decode_new_chunk(_t129_principal_len);
                        flick_iiopxx_decode_end_chunk(_t129_principal_len);
                        flick_iiopxx_decode_end_glob(_t129_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort251);
                        flick_cdr_decode_unsigned32(0, _t130_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t130_temp_string_len);
                        flick_iiopxx_check_span(1 * _t130_temp_string_len * 1, _flick_abort251);
                        flick_iiopxx_decode_new_chunk(1 * _t130_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t130_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort251);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t130_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t130_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t130_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t131_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t131_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort251);
                          flick_iiopxx_encode_new_glob(5, _flick_abort251);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t131_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t131_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort259);
                                break;
                                {
                                _flick_abort259:
                                  goto _flick_abort251;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort260);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort260:
                                  goto _flick_abort251;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort251:
                          goto _flick_abort250;
                        }
                      }
                      break;
                      {
                      _flick_abort250:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

