#include "structnestez_-server.h"

POA_test::POA_test()
{}

POA_test::POA_test(const POA_test &rhs)
  : TAO_ServantBase(rhs)
{}

POA_test::~POA_test()
{}

test *POA_test::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_test(this, stub);
}

CORBA::Boolean POA_test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_test::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:test:1.0") == 0)
    return ACE_static_cast(POA_test_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_test::_interface_repository_id() const
{
  return "IDL:test:1.0";
}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::~POA_test_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_test_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_test_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_test_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_test_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_test_tie<T>::POA_test_tie(const POA_test_tie &c)
{}

template <class T>
  void POA_test_tie<T>::operator=(const POA_test_tie &c)
{}

template <class T>
  struct bar POA_test_tie<T>::op(/* POA_test *this, */ const struct bar &arg, CORBA::Environment &_ev)
{
  return this->ptr_->op (arg, _ev);
}

template <class T>
  struct b POA_test_tie<T>::op2(/* POA_test *this, */ const struct b &arg, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (arg, _ev);
}

_tao_collocated_test::_tao_collocated_test(POA_test_ptr servant, TAO_Stub *stub)
  : test(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_test_ptr _tao_collocated_test::_get_servant() const
{
  return this->servant_;
}

struct bar _tao_collocated_test::op(const struct bar &arg, CORBA::Environment &_ev)
{
  return this->servant_->op (arg, _ev);
}

struct b _tao_collocated_test::op2(const struct b &arg, CORBA::Environment &_ev)
{
  return this->servant_->op2 (arg, _ev);
}

CORBA::Boolean _tao_collocated_test::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, test , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_test::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t39_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t39_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t39_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t40_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t40_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t41_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t41_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t41_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t42_principal_len;
                        struct bar _return;
                        struct bar _local_arg;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort96);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t42_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t42_principal_len);
                        flick_iiopxx_check_span(_t42_principal_len * 1, _flick_abort96);
                        flick_iiopxx_decode_new_chunk(_t42_principal_len);
                        flick_iiopxx_decode_end_chunk(_t42_principal_len);
                        flick_iiopxx_decode_end_glob(_t42_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(3);
                        flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiopxx_check_span(2, _flick_abort96);
                        flick_cdr_swap_decode_signed16(0, _local_arg.f.f, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(3);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_arg, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t43_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t43_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort96);
                          flick_iiopxx_encode_new_glob(6, _flick_abort96);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t43_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t43_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return.f.f, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(2);
                                flick_iiopxx_encode_end_glob(6);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(6);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort102);
                                break;
                                {
                                _flick_abort102:
                                  goto _flick_abort96;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort103);
                                flick_iiopxx_encode_end_glob(6);
                                break;
                                {
                                _flick_abort103:
                                  goto _flick_abort96;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort96:
                          goto _flick_abort95;
                        }
                      }
                      break;
                      {
                      _flick_abort95:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t44_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t44_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t44_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_test *_local_this;
                  unsigned int _t45_principal_len;
                  struct b _return;
                  struct b _local_arg;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort105);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t45_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t45_principal_len);
                  flick_iiopxx_check_span(_t45_principal_len * 1, _flick_abort105);
                  flick_iiopxx_decode_new_chunk(_t45_principal_len);
                  flick_iiopxx_decode_end_chunk(_t45_principal_len);
                  flick_iiopxx_decode_end_glob(_t45_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(3);
                  flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                  flick_iiopxx_check_span(2, _flick_abort105);
                  flick_cdr_swap_decode_signed16(0, _local_arg.f.f, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(3);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_arg, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t46_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t46_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort105);
                    flick_iiopxx_encode_new_glob(6, _flick_abort105);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t46_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t46_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return.f.f, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort111);
                          break;
                          {
                          _flick_abort111:
                            goto _flick_abort105;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort112);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort112:
                            goto _flick_abort105;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort105:
                    goto _flick_abort104;
                  }
                }
                break;
                {
                _flick_abort104:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t47_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t47_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t47_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t48_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t48_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t48_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t49_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t50_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort114);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t49_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t49_principal_len);
                        flick_iiopxx_check_span(_t49_principal_len * 1, _flick_abort114);
                        flick_iiopxx_decode_new_chunk(_t49_principal_len);
                        flick_iiopxx_decode_end_chunk(_t49_principal_len);
                        flick_iiopxx_decode_end_glob(_t49_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort114);
                        flick_cdr_swap_decode_unsigned32(0, _t50_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t50_temp_string_len);
                        flick_iiopxx_check_span(1 * _t50_temp_string_len * 1, _flick_abort114);
                        flick_iiopxx_decode_new_chunk(1 * _t50_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t50_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort114);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t50_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t50_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t50_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t51_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t51_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort114);
                          flick_iiopxx_encode_new_glob(5, _flick_abort114);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t51_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t51_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort122);
                                break;
                                {
                                _flick_abort122:
                                  goto _flick_abort114;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort123);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort123:
                                  goto _flick_abort114;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort114:
                          goto _flick_abort113;
                        }
                      }
                      break;
                      {
                      _flick_abort113:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t13_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t13_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t14_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t14_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t14_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t15_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t15_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t15_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t16_principal_len;
                        struct bar _return;
                        struct bar _local_arg;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort37);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t16_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t16_principal_len);
                        flick_iiopxx_check_span(_t16_principal_len * 1, _flick_abort37);
                        flick_iiopxx_decode_new_chunk(_t16_principal_len);
                        flick_iiopxx_decode_end_chunk(_t16_principal_len);
                        flick_iiopxx_decode_end_glob(_t16_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(3);
                        flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiopxx_check_span(2, _flick_abort37);
                        flick_cdr_decode_signed16(0, _local_arg.f.f, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(3);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_arg, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t17_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t17_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort37);
                          flick_iiopxx_encode_new_glob(6, _flick_abort37);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t17_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t17_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return.f.f, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(2);
                                flick_iiopxx_encode_end_glob(6);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(6);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort43);
                                break;
                                {
                                _flick_abort43:
                                  goto _flick_abort37;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort44);
                                flick_iiopxx_encode_end_glob(6);
                                break;
                                {
                                _flick_abort44:
                                  goto _flick_abort37;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort37:
                          goto _flick_abort36;
                        }
                      }
                      break;
                      {
                      _flick_abort36:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t18_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t18_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t18_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_test *_local_this;
                  unsigned int _t19_principal_len;
                  struct b _return;
                  struct b _local_arg;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort46);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t19_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t19_principal_len);
                  flick_iiopxx_check_span(_t19_principal_len * 1, _flick_abort46);
                  flick_iiopxx_decode_new_chunk(_t19_principal_len);
                  flick_iiopxx_decode_end_chunk(_t19_principal_len);
                  flick_iiopxx_decode_end_glob(_t19_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(3);
                  flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                  flick_iiopxx_check_span(2, _flick_abort46);
                  flick_cdr_decode_signed16(0, _local_arg.f.f, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(3);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_arg, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t20_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t20_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort46);
                    flick_iiopxx_encode_new_glob(6, _flick_abort46);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t20_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t20_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return.f.f, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort52);
                          break;
                          {
                          _flick_abort52:
                            goto _flick_abort46;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort53);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort53:
                            goto _flick_abort46;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort46:
                    goto _flick_abort45;
                  }
                }
                break;
                {
                _flick_abort45:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t21_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t21_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t22_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t22_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t22_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t23_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t24_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort55);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t23_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t23_principal_len);
                        flick_iiopxx_check_span(_t23_principal_len * 1, _flick_abort55);
                        flick_iiopxx_decode_new_chunk(_t23_principal_len);
                        flick_iiopxx_decode_end_chunk(_t23_principal_len);
                        flick_iiopxx_decode_end_glob(_t23_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort55);
                        flick_cdr_decode_unsigned32(0, _t24_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t24_temp_string_len);
                        flick_iiopxx_check_span(1 * _t24_temp_string_len * 1, _flick_abort55);
                        flick_iiopxx_decode_new_chunk(1 * _t24_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t24_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort55);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t24_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t24_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t24_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t25_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t25_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort55);
                          flick_iiopxx_encode_new_glob(5, _flick_abort55);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t25_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t25_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort63);
                                break;
                                {
                                _flick_abort63:
                                  goto _flick_abort55;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort64);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort64:
                                  goto _flick_abort55;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort55:
                          goto _flick_abort54;
                        }
                      }
                      break;
                      {
                      _flick_abort54:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

