#include "string_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_unsigned32_t _t0_temp_string_len;
  flick_unsigned32_t _t1_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->s10, flick_unsigned32_t , _t0_temp_string_len);
  flick_cdr_stringlen(CORBA_char *, _data->sx, flick_unsigned32_t , _t1_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(26, _flick_abort0);
  flick_khazana_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_cdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->s10, 1 * _t0_temp_string_len);
  CORBA_flick_free(_data->s10);
  flick_khazana_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a, CORBA_long );
  flick_cdr_encode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(26);
  flick_khazana_encode_new_glob(1 * _t1_temp_string_len, _flick_abort0);
  flick_khazana_encode_new_chunk(1 * _t1_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->sx, 1 * _t1_temp_string_len);
  CORBA_flick_free(_data->sx);
  flick_khazana_encode_end_chunk(1 * _t1_temp_string_len);
  flick_khazana_encode_end_glob(1 * _t1_temp_string_len);
  flick_khazana_encode_new_glob(3, _flick_abort0);
  flick_khazana_encode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_encode_signed16(0, _data->b, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_end_glob(3);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_unsigned32_t _t2_temp_string_len;
  flick_unsigned32_t _t3_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(26);
  flick_khazana_check_span(4, _flick_abort5);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort5);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t2_temp_string_len * 1, _flick_abort5);
  flick_khazana_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5);
    _data->s10 = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->s10, 1 * _t2_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t2_temp_string_len);
  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
  flick_khazana_check_span(8, _flick_abort8);
  flick_cdr_decode_signed32(0, _data->a, CORBA_long );
  flick_cdr_decode_unsigned32(4, _t3_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(26);
  flick_khazana_decode_new_glob(1 * _t3_temp_string_len);
  flick_khazana_check_span(1 * _t3_temp_string_len * 1, _flick_abort8);
  flick_khazana_decode_new_chunk(1 * _t3_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t3_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8);
    _data->sx = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->sx, 1 * _t3_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t3_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t3_temp_string_len);
  flick_khazana_decode_new_glob(3);
  flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
  flick_khazana_check_span(2, _flick_abort11);
  flick_cdr_decode_signed16(0, _data->b, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(3);
  return 0;
  {
  _flick_abort11:
    CORBA_flick_free(_data->sx);
  _flick_abort8:
    CORBA_flick_free(_data->s10);
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_str_swap(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_unsigned32_t _t4_temp_string_len;
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(26);
  flick_khazana_check_span(4, _flick_abort12);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  if (_t4_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort12);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t4_temp_string_len * 1, _flick_abort12);
  flick_khazana_decode_new_chunk(1 * _t4_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12);
    _data->s10 = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->s10, 1 * _t4_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t4_temp_string_len);
  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
  flick_khazana_check_span(8, _flick_abort15);
  flick_cdr_swap_decode_signed32(0, _data->a, CORBA_long );
  flick_cdr_swap_decode_unsigned32(4, _t5_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(26);
  flick_khazana_decode_new_glob(1 * _t5_temp_string_len);
  flick_khazana_check_span(1 * _t5_temp_string_len * 1, _flick_abort15);
  flick_khazana_decode_new_chunk(1 * _t5_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t5_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
    _data->sx = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->sx, 1 * _t5_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t5_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t5_temp_string_len);
  flick_khazana_decode_new_glob(3);
  flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
  flick_khazana_check_span(2, _flick_abort18);
  flick_cdr_swap_decode_signed16(0, _data->b, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(3);
  return 0;
  {
  _flick_abort18:
    CORBA_flick_free(_data->sx);
  _flick_abort15:
    CORBA_flick_free(_data->s10);
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_longstr(flick_marshal_stream_t _stream, longstr *_data)
{
  flick_unsigned32_t _t6_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, *_data, flick_unsigned32_t , _t6_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort19);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(1 * _t6_temp_string_len, _flick_abort19);
  flick_khazana_encode_new_chunk(1 * _t6_temp_string_len);
  flick_cdr_encode_bcopy(0, *_data, 1 * _t6_temp_string_len);
  CORBA_flick_free(*_data);
  flick_khazana_encode_end_chunk(1 * _t6_temp_string_len);
  flick_khazana_encode_end_glob(1 * _t6_temp_string_len);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_longstr(flick_marshal_stream_t _stream, longstr *_data)
{
  flick_unsigned32_t _t7_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort22);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(1 * _t7_temp_string_len);
  flick_khazana_check_span(1 * _t7_temp_string_len * 1, _flick_abort22);
  flick_khazana_decode_new_chunk(1 * _t7_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t7_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort22);
    *_data = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, *_data, 1 * _t7_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t7_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t7_temp_string_len);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_longstr_swap(flick_marshal_stream_t _stream, longstr *_data)
{
  flick_unsigned32_t _t8_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort26);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t8_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(1 * _t8_temp_string_len);
  flick_khazana_check_span(1 * _t8_temp_string_len * 1, _flick_abort26);
  flick_khazana_decode_new_chunk(1 * _t8_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t8_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort26);
    *_data = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, *_data, 1 * _t8_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t8_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t8_temp_string_len);
  return 0;
  {
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_shortstr(flick_marshal_stream_t _stream, shortstr *_data)
{
  flick_unsigned32_t _t9_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, *_data, flick_unsigned32_t , _t9_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(30, _flick_abort30);
  flick_khazana_encode_new_chunk(4 + 1 * _t9_temp_string_len);
  flick_cdr_encode_unsigned32(0, _t9_temp_string_len, flick_unsigned32_t );
  if (_t9_temp_string_len > 26)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort30);
  flick_cdr_encode_bcopy(4, *_data, 1 * _t9_temp_string_len);
  CORBA_flick_free(*_data);
  flick_khazana_encode_end_chunk(4 + 1 * _t9_temp_string_len);
  flick_khazana_encode_end_glob(30);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_shortstr(flick_marshal_stream_t _stream, shortstr *_data)
{
  flick_unsigned32_t _t10_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(30);
  flick_khazana_check_span(4, _flick_abort33);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t10_temp_string_len, flick_unsigned32_t );
  if (_t10_temp_string_len > 26)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort33);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t10_temp_string_len * 1, _flick_abort33);
  flick_khazana_decode_new_chunk(1 * _t10_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
    *_data = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, *_data, 1 * _t10_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t10_temp_string_len);
  flick_khazana_decode_end_glob(30);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_shortstr_swap(flick_marshal_stream_t _stream, shortstr *_data)
{
  flick_unsigned32_t _t11_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(30);
  flick_khazana_check_span(4, _flick_abort37);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t11_temp_string_len, flick_unsigned32_t );
  if (_t11_temp_string_len > 26)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort37);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t11_temp_string_len * 1, _flick_abort37);
  flick_khazana_decode_new_chunk(1 * _t11_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
    *_data = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, *_data, 1 * _t11_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t11_temp_string_len);
  flick_khazana_decode_end_glob(30);
  return 0;
  {
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort41);
  return 0;
  {
  _flick_abort41:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t237_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort46);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t237_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t237_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t238_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t238_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t238_switch_tag)
            {
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t239_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t239_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t239_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t240_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t240_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t240_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t241_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t242_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t243_storage;
                              flick_unsigned32_t _t244_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t245_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t246_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort446);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t241_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_decode_new_glob(_t241_principal_len);
                              flick_khazana_check_span(_t241_principal_len * 1, _flick_abort446);
                              flick_khazana_decode_new_chunk(_t241_principal_len);
                              flick_khazana_decode_end_chunk(_t241_principal_len);
                              flick_khazana_decode_end_glob(_t241_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort446);
                              flick_cdr_swap_decode_unsigned32(0, _t242_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _t242_temp_string_len);
                              flick_khazana_check_span(1 * _t242_temp_string_len * 1, _flick_abort446);
                              flick_khazana_decode_new_chunk(1 * _t242_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t242_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t242_temp_string_len);
                              _local_b = (CORBA_char **)(&_t243_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort446);
                              flick_cdr_swap_decode_unsigned32(0, _t244_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _t244_temp_string_len);
                              flick_khazana_check_span(1 * _t244_temp_string_len * 1, _flick_abort446);
                              flick_khazana_decode_new_chunk(1 * _t244_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t244_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort446);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t244_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t244_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t244_temp_string_len);
                              _local_c = (CORBA_char **)(&_t245_storage);
                              _ev = (CORBA_Environment *)(&_t246_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort451);
                                flick_khazana_encode_new_glob(8, _flick_abort451);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t250_temp_string_len;
                                      flick_unsigned32_t _t251_temp_string_len;
                                      flick_unsigned32_t _t252_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t250_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t251_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t252_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t250_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      flick_khazana_encode_new_glob(1 * _t250_temp_string_len, _flick_abort462);
                                      flick_khazana_encode_new_chunk(1 * _t250_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t250_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_khazana_encode_end_chunk(1 * _t250_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t250_temp_string_len);
                                      flick_khazana_encode_new_glob(7, _flick_abort462);
                                      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t251_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(7);
                                      flick_khazana_encode_new_glob(1 * _t251_temp_string_len, _flick_abort462);
                                      flick_khazana_encode_new_chunk(1 * _t251_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_b, 1 * _t251_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_khazana_encode_end_chunk(1 * _t251_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t251_temp_string_len);
                                      flick_khazana_encode_new_glob(7, _flick_abort462);
                                      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t252_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(7);
                                      flick_khazana_encode_new_glob(1 * _t252_temp_string_len, _flick_abort462);
                                      flick_khazana_encode_new_chunk(1 * _t252_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_c, 1 * _t252_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_khazana_encode_end_chunk(1 * _t252_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t252_temp_string_len);
                                      break;
                                      {
                                      _flick_abort462:
                                        goto _flick_abort451;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort469);
                                      break;
                                      {
                                      _flick_abort469:
                                        goto _flick_abort451;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort470);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort470:
                                        goto _flick_abort451;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort451:
                                CORBA_flick_free(*_local_b);
                              _flick_abort446:
                                goto _flick_abort445;
                              }
                            }
                            break;
                            {
                            _flick_abort445:
                              goto _flick_abort46;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140405):
              {
                unsigned short int _t253_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t253_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t253_switch_tag)
                  {
                  case /* ct */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25460):
                    {
                      char _t254_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t254_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t254_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t255_principal_len;
                              struct str *_return;
                              struct str *_local_a;
                              struct str _t256_storage;
                              flick_unsigned32_t _t257_temp_string_len;
                              flick_unsigned32_t _t258_temp_string_len;
                              struct str *_local_b;
                              struct str _t259_storage;
                              flick_unsigned32_t _t260_temp_string_len;
                              flick_unsigned32_t _t261_temp_string_len;
                              struct str **_local_c;
                              struct str *_t262_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t263_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort472);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t255_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_decode_new_glob(_t255_principal_len);
                              flick_khazana_check_span(_t255_principal_len * 1, _flick_abort472);
                              flick_khazana_decode_new_chunk(_t255_principal_len);
                              flick_khazana_decode_end_chunk(_t255_principal_len);
                              flick_khazana_decode_end_glob(_t255_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct str *)(&_t256_storage);
                              flick_khazana_decode_new_glob(29);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort472);
                              flick_cdr_swap_decode_unsigned32(0, _t257_temp_string_len, flick_unsigned32_t );
                              if (_t257_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort472);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(1 * _t257_temp_string_len * 1, _flick_abort472);
                              flick_khazana_decode_new_chunk(1 * _t257_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a->s10, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t257_temp_string_len);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort472);
                              flick_cdr_swap_decode_signed32(0, _local_a->a, CORBA_long );
                              flick_cdr_swap_decode_unsigned32(4, _t258_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(29);
                              flick_khazana_decode_new_glob(1 * _t258_temp_string_len);
                              flick_khazana_check_span(1 * _t258_temp_string_len * 1, _flick_abort472);
                              flick_khazana_decode_new_chunk(1 * _t258_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a->sx, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t258_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t258_temp_string_len);
                              flick_khazana_decode_new_glob(31);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort472);
                              flick_cdr_swap_decode_signed16(0, _local_a->b, CORBA_short );
                              _local_b = (struct str *)(&_t259_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_new_chunk_align(4, 2, 1, 0);
                              flick_khazana_check_span(4, _flick_abort472);
                              flick_cdr_swap_decode_unsigned32(0, _t260_temp_string_len, flick_unsigned32_t );
                              if (_t260_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort472);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(1 * _t260_temp_string_len * 1, _flick_abort472);
                              flick_khazana_decode_new_chunk(1 * _t260_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort472);
                                _local_b->s10 = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b->s10, 1 * _t260_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t260_temp_string_len);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort479);
                              flick_cdr_swap_decode_signed32(0, _local_b->a, CORBA_long );
                              flick_cdr_swap_decode_unsigned32(4, _t261_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(31);
                              flick_khazana_decode_new_glob(1 * _t261_temp_string_len);
                              flick_khazana_check_span(1 * _t261_temp_string_len * 1, _flick_abort479);
                              flick_khazana_decode_new_chunk(1 * _t261_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t261_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort479);
                                _local_b->sx = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b->sx, 1 * _t261_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t261_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t261_temp_string_len);
                              flick_khazana_decode_new_glob(3);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort482);
                              flick_cdr_swap_decode_signed16(0, _local_b->b, CORBA_short );
                              _local_c = (struct str **)(&_t262_storage);
                              _ev = (CORBA_Environment *)(&_t263_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(3);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort482);
                                flick_khazana_encode_new_glob(30, _flick_abort482);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t270_temp_string_len;
                                      flick_unsigned32_t _t271_temp_string_len;
                                      flick_unsigned32_t _t272_temp_string_len;
                                      flick_unsigned32_t _t273_temp_string_len;
                                      flick_unsigned32_t _t274_temp_string_len;
                                      flick_unsigned32_t _t275_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->s10, flick_unsigned32_t , _t270_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _return->sx, flick_unsigned32_t , _t271_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->s10, flick_unsigned32_t , _t272_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->sx, flick_unsigned32_t , _t273_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->s10, flick_unsigned32_t , _t274_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->sx, flick_unsigned32_t , _t275_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4 + 1 * _t270_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t270_temp_string_len, flick_unsigned32_t );
                                      if (_t270_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort499);
                                      flick_cdr_encode_bcopy(4, _return->s10, 1 * _t270_temp_string_len);
                                      CORBA_flick_free(_return->s10);
                                      _return->s10 = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t270_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _return->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t271_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(30);
                                      flick_khazana_encode_new_glob(1 * _t271_temp_string_len, _flick_abort499);
                                      flick_khazana_encode_new_chunk(1 * _t271_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->sx, 1 * _t271_temp_string_len);
                                      CORBA_flick_free(_return->sx);
                                      _return->sx = 0;
                                      flick_khazana_encode_end_chunk(1 * _t271_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t271_temp_string_len);
                                      flick_khazana_encode_new_glob(31, _flick_abort499);
                                      flick_khazana_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _return->b, CORBA_short );
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_new_chunk_align(4 + 1 * _t272_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t272_temp_string_len, flick_unsigned32_t );
                                      if (_t272_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort499);
                                      flick_cdr_encode_bcopy(4, _local_b->s10, 1 * _t272_temp_string_len);
                                      CORBA_flick_free(_local_b->s10);
                                      _local_b->s10 = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t272_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t273_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(31);
                                      flick_khazana_encode_new_glob(1 * _t273_temp_string_len, _flick_abort499);
                                      flick_khazana_encode_new_chunk(1 * _t273_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->sx, 1 * _t273_temp_string_len);
                                      CORBA_flick_free(_local_b->sx);
                                      _local_b->sx = 0;
                                      flick_khazana_encode_end_chunk(1 * _t273_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t273_temp_string_len);
                                      flick_khazana_encode_new_glob(31, _flick_abort499);
                                      flick_khazana_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _local_b->b, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_new_chunk_align(4 + 1 * _t274_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t274_temp_string_len, flick_unsigned32_t );
                                      if (_t274_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort499);
                                      flick_cdr_encode_bcopy(4, (*_local_c)->s10, 1 * _t274_temp_string_len);
                                      CORBA_flick_free((*_local_c)->s10);
                                      (*_local_c)->s10 = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t274_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, (*_local_c)->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t275_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(31);
                                      flick_khazana_encode_new_glob(1 * _t275_temp_string_len, _flick_abort499);
                                      flick_khazana_encode_new_chunk(1 * _t275_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->sx, 1 * _t275_temp_string_len);
                                      CORBA_flick_free((*_local_c)->sx);
                                      (*_local_c)->sx = 0;
                                      flick_khazana_encode_end_chunk(1 * _t275_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t275_temp_string_len);
                                      flick_khazana_encode_new_glob(3, _flick_abort499);
                                      flick_khazana_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, (*_local_c)->b, CORBA_short );
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(3);
                                      break;
                                      {
                                      _flick_abort499:
                                        goto _flick_abort482;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(30);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort512);
                                      break;
                                      {
                                      _flick_abort512:
                                        goto _flick_abort482;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort513);
                                      flick_khazana_encode_end_glob(30);
                                      break;
                                      {
                                      _flick_abort513:
                                        goto _flick_abort482;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort482:
                                CORBA_flick_free(_local_b->sx);
                              _flick_abort479:
                                CORBA_flick_free(_local_b->s10);
                              _flick_abort472:
                                goto _flick_abort471;
                              }
                            }
                            break;
                            {
                            _flick_abort471:
                              goto _flick_abort46;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t276_switch_tag;

          flick_khazana_check_span(16, _flick_abort46);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t276_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t276_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                unsigned int _t277_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t277_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t277_switch_tag)
                  {
                  case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
                    {
                      unsigned short int _t278_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t278_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t278_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t279_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t279_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t279_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    unsigned int _t280_principal_len;
                                    longstr _return;
                                    longstr _local_a;
                                    flick_unsigned32_t _t281_temp_string_len;
                                    longstr *_local_b;
                                    longstr _t282_storage;
                                    flick_unsigned32_t _t283_temp_string_len;
                                    longstr *_local_c;
                                    longstr _t284_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t285_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort515);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t280_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(20);
                                    flick_khazana_decode_new_glob(_t280_principal_len);
                                    flick_khazana_check_span(_t280_principal_len * 1, _flick_abort515);
                                    flick_khazana_decode_new_chunk(_t280_principal_len);
                                    flick_khazana_decode_end_chunk(_t280_principal_len);
                                    flick_khazana_decode_end_glob(_t280_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort515);
                                    flick_cdr_swap_decode_unsigned32(0, _t281_temp_string_len, flick_unsigned32_t );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_decode_new_glob(1 * _t281_temp_string_len);
                                    flick_khazana_check_span(1 * _t281_temp_string_len * 1, _flick_abort515);
                                    flick_khazana_decode_new_chunk(1 * _t281_temp_string_len);
                                    flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                                    flick_khazana_decode_end_chunk(1 * _t281_temp_string_len);
                                    flick_khazana_decode_end_glob(1 * _t281_temp_string_len);
                                    _local_b = (longstr *)(&_t282_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort515);
                                    flick_cdr_swap_decode_unsigned32(0, _t283_temp_string_len, flick_unsigned32_t );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_decode_new_glob(1 * _t283_temp_string_len);
                                    flick_khazana_check_span(1 * _t283_temp_string_len * 1, _flick_abort515);
                                    flick_khazana_decode_new_chunk(1 * _t283_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t283_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort515);
                                      *_local_b = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t283_temp_string_len);
                                    flick_khazana_decode_end_chunk(1 * _t283_temp_string_len);
                                    flick_khazana_decode_end_glob(1 * _t283_temp_string_len);
                                    _local_c = (longstr *)(&_t284_storage);
                                    _ev = (CORBA_Environment *)(&_t285_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test_LongString(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort520);
                                      flick_khazana_encode_new_glob(8, _flick_abort520);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t289_temp_string_len;
                                            flick_unsigned32_t _t290_temp_string_len;
                                            flick_unsigned32_t _t291_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t289_temp_string_len);
                                            flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t290_temp_string_len);
                                            flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t291_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t289_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_khazana_encode_new_glob(1 * _t289_temp_string_len, _flick_abort531);
                                            flick_khazana_encode_new_chunk(1 * _t289_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t289_temp_string_len);
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_khazana_encode_end_chunk(1 * _t289_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t289_temp_string_len);
                                            flick_khazana_encode_new_glob(7, _flick_abort531);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t290_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            flick_khazana_encode_new_glob(1 * _t290_temp_string_len, _flick_abort531);
                                            flick_khazana_encode_new_chunk(1 * _t290_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_b, 1 * _t290_temp_string_len);
                                            CORBA_flick_free(*_local_b);
                                            *_local_b = 0;
                                            flick_khazana_encode_end_chunk(1 * _t290_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t290_temp_string_len);
                                            flick_khazana_encode_new_glob(7, _flick_abort531);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t291_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            flick_khazana_encode_new_glob(1 * _t291_temp_string_len, _flick_abort531);
                                            flick_khazana_encode_new_chunk(1 * _t291_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_c, 1 * _t291_temp_string_len);
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = 0;
                                            flick_khazana_encode_end_chunk(1 * _t291_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t291_temp_string_len);
                                            break;
                                            {
                                            _flick_abort531:
                                              goto _flick_abort520;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort538);
                                            break;
                                            {
                                            _flick_abort538:
                                              goto _flick_abort520;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort539);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort539:
                                              goto _flick_abort520;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort520:
                                      CORBA_flick_free(*_local_b);
                                    _flick_abort515:
                                      goto _flick_abort514;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort514:
                                    goto _flick_abort46;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                                  flick_khazana_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t292_switch_tag;

          flick_khazana_check_span(16, _flick_abort46);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t292_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t292_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned int _t293_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t293_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t293_switch_tag)
                  {
                  case /* tStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1951626354):
                    {
                      unsigned int _t294_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t294_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t294_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              unsigned int _t295_principal_len;
                              shortstr _return;
                              shortstr _local_a;
                              flick_unsigned32_t _t296_temp_string_len;
                              shortstr *_local_b;
                              shortstr _t297_storage;
                              flick_unsigned32_t _t298_temp_string_len;
                              shortstr *_local_c;
                              shortstr _t299_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t300_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort541);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t295_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_decode_new_glob(_t295_principal_len);
                              flick_khazana_check_span(_t295_principal_len * 1, _flick_abort541);
                              flick_khazana_decode_new_chunk(_t295_principal_len);
                              flick_khazana_decode_end_chunk(_t295_principal_len);
                              flick_khazana_decode_end_glob(_t295_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(66);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort541);
                              flick_cdr_swap_decode_unsigned32(0, _t296_temp_string_len, flick_unsigned32_t );
                              if (_t296_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort541);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(1 * _t296_temp_string_len * 1, _flick_abort541);
                              flick_khazana_decode_new_chunk(1 * _t296_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t296_temp_string_len);
                              _local_b = (shortstr *)(&_t297_storage);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort541);
                              flick_cdr_swap_decode_unsigned32(0, _t298_temp_string_len, flick_unsigned32_t );
                              if (_t298_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort541);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(1 * _t298_temp_string_len * 1, _flick_abort541);
                              flick_khazana_decode_new_chunk(1 * _t298_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort541);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t298_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t298_temp_string_len);
                              _local_c = (shortstr *)(&_t299_storage);
                              _ev = (CORBA_Environment *)(&_t300_storage);
                              flick_khazana_decode_end_glob(66);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_ShortString(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort546);
                                flick_khazana_encode_new_glob(100, _flick_abort546);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t304_temp_string_len;
                                      flick_unsigned32_t _t305_temp_string_len;
                                      flick_unsigned32_t _t306_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t304_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t305_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t306_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4 + 1 * _t304_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t304_temp_string_len, flick_unsigned32_t );
                                      if (_t304_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort557);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t304_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t304_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(4 + 1 * _t305_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t305_temp_string_len, flick_unsigned32_t );
                                      if (_t305_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort557);
                                      flick_cdr_encode_bcopy(4, *_local_b, 1 * _t305_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t305_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(4 + 1 * _t306_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t306_temp_string_len, flick_unsigned32_t );
                                      if (_t306_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort557);
                                      flick_cdr_encode_bcopy(4, *_local_c, 1 * _t306_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t306_temp_string_len);
                                      flick_khazana_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort557:
                                        goto _flick_abort546;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(100);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort564);
                                      break;
                                      {
                                      _flick_abort564:
                                        goto _flick_abort546;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort565);
                                      flick_khazana_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort565:
                                        goto _flick_abort546;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort546:
                                CORBA_flick_free(*_local_b);
                              _flick_abort541:
                                goto _flick_abort540;
                              }
                            }
                            break;
                            {
                            _flick_abort540:
                              goto _flick_abort46;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t307_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t307_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t307_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t308_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t308_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t308_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t309_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t310_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t311_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort567);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t309_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_decode_new_glob(_t309_principal_len);
                        flick_khazana_check_span(_t309_principal_len * 1, _flick_abort567);
                        flick_khazana_decode_new_chunk(_t309_principal_len);
                        flick_khazana_decode_end_chunk(_t309_principal_len);
                        flick_khazana_decode_end_glob(_t309_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort567);
                        flick_cdr_swap_decode_unsigned32(0, _t310_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t310_temp_string_len);
                        flick_khazana_check_span(1 * _t310_temp_string_len * 1, _flick_abort567);
                        flick_khazana_decode_new_chunk(1 * _t310_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t310_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t310_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t311_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort567);
                          flick_khazana_encode_new_glob(5, _flick_abort567);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort575);
                                break;
                                {
                                _flick_abort575:
                                  goto _flick_abort567;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort576);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort576:
                                  goto _flick_abort567;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort567:
                          goto _flick_abort566;
                        }
                      }
                      break;
                      {
                      _flick_abort566:
                        goto _flick_abort46;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t87_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort46);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t87_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t88_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t88_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t88_switch_tag)
            {
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t89_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t89_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t89_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t90_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t90_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t90_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t91_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t92_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t93_storage;
                              flick_unsigned32_t _t94_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t95_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t96_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort181);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t91_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_decode_new_glob(_t91_principal_len);
                              flick_khazana_check_span(_t91_principal_len * 1, _flick_abort181);
                              flick_khazana_decode_new_chunk(_t91_principal_len);
                              flick_khazana_decode_end_chunk(_t91_principal_len);
                              flick_khazana_decode_end_glob(_t91_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort181);
                              flick_cdr_decode_unsigned32(0, _t92_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _t92_temp_string_len);
                              flick_khazana_check_span(1 * _t92_temp_string_len * 1, _flick_abort181);
                              flick_khazana_decode_new_chunk(1 * _t92_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t92_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t92_temp_string_len);
                              _local_b = (CORBA_char **)(&_t93_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort181);
                              flick_cdr_decode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _t94_temp_string_len);
                              flick_khazana_check_span(1 * _t94_temp_string_len * 1, _flick_abort181);
                              flick_khazana_decode_new_chunk(1 * _t94_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t94_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort181);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, *_local_b, 1 * _t94_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t94_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t94_temp_string_len);
                              _local_c = (CORBA_char **)(&_t95_storage);
                              _ev = (CORBA_Environment *)(&_t96_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort186);
                                flick_khazana_encode_new_glob(8, _flick_abort186);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t100_temp_string_len;
                                      flick_unsigned32_t _t101_temp_string_len;
                                      flick_unsigned32_t _t102_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t100_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t101_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t102_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t100_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      flick_khazana_encode_new_glob(1 * _t100_temp_string_len, _flick_abort197);
                                      flick_khazana_encode_new_chunk(1 * _t100_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t100_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_khazana_encode_end_chunk(1 * _t100_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t100_temp_string_len);
                                      flick_khazana_encode_new_glob(7, _flick_abort197);
                                      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t101_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(7);
                                      flick_khazana_encode_new_glob(1 * _t101_temp_string_len, _flick_abort197);
                                      flick_khazana_encode_new_chunk(1 * _t101_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_b, 1 * _t101_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_khazana_encode_end_chunk(1 * _t101_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t101_temp_string_len);
                                      flick_khazana_encode_new_glob(7, _flick_abort197);
                                      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t102_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(7);
                                      flick_khazana_encode_new_glob(1 * _t102_temp_string_len, _flick_abort197);
                                      flick_khazana_encode_new_chunk(1 * _t102_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_c, 1 * _t102_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_khazana_encode_end_chunk(1 * _t102_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t102_temp_string_len);
                                      break;
                                      {
                                      _flick_abort197:
                                        goto _flick_abort186;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort204);
                                      break;
                                      {
                                      _flick_abort204:
                                        goto _flick_abort186;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort205:
                                        goto _flick_abort186;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort186:
                                CORBA_flick_free(*_local_b);
                              _flick_abort181:
                                goto _flick_abort180;
                              }
                            }
                            break;
                            {
                            _flick_abort180:
                              goto _flick_abort46;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140405):
              {
                unsigned short int _t103_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t103_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t103_switch_tag)
                  {
                  case /* ct */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25460):
                    {
                      char _t104_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t104_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t104_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t105_principal_len;
                              struct str *_return;
                              struct str *_local_a;
                              struct str _t106_storage;
                              flick_unsigned32_t _t107_temp_string_len;
                              flick_unsigned32_t _t108_temp_string_len;
                              struct str *_local_b;
                              struct str _t109_storage;
                              flick_unsigned32_t _t110_temp_string_len;
                              flick_unsigned32_t _t111_temp_string_len;
                              struct str **_local_c;
                              struct str *_t112_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t113_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort207);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t105_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_decode_new_glob(_t105_principal_len);
                              flick_khazana_check_span(_t105_principal_len * 1, _flick_abort207);
                              flick_khazana_decode_new_chunk(_t105_principal_len);
                              flick_khazana_decode_end_chunk(_t105_principal_len);
                              flick_khazana_decode_end_glob(_t105_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct str *)(&_t106_storage);
                              flick_khazana_decode_new_glob(29);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort207);
                              flick_cdr_decode_unsigned32(0, _t107_temp_string_len, flick_unsigned32_t );
                              if (_t107_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort207);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(1 * _t107_temp_string_len * 1, _flick_abort207);
                              flick_khazana_decode_new_chunk(1 * _t107_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a->s10, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t107_temp_string_len);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort207);
                              flick_cdr_decode_signed32(0, _local_a->a, CORBA_long );
                              flick_cdr_decode_unsigned32(4, _t108_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(29);
                              flick_khazana_decode_new_glob(1 * _t108_temp_string_len);
                              flick_khazana_check_span(1 * _t108_temp_string_len * 1, _flick_abort207);
                              flick_khazana_decode_new_chunk(1 * _t108_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a->sx, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t108_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t108_temp_string_len);
                              flick_khazana_decode_new_glob(31);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort207);
                              flick_cdr_decode_signed16(0, _local_a->b, CORBA_short );
                              _local_b = (struct str *)(&_t109_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_new_chunk_align(4, 2, 1, 0);
                              flick_khazana_check_span(4, _flick_abort207);
                              flick_cdr_decode_unsigned32(0, _t110_temp_string_len, flick_unsigned32_t );
                              if (_t110_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort207);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(1 * _t110_temp_string_len * 1, _flick_abort207);
                              flick_khazana_decode_new_chunk(1 * _t110_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort207);
                                _local_b->s10 = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b->s10, 1 * _t110_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t110_temp_string_len);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort214);
                              flick_cdr_decode_signed32(0, _local_b->a, CORBA_long );
                              flick_cdr_decode_unsigned32(4, _t111_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(31);
                              flick_khazana_decode_new_glob(1 * _t111_temp_string_len);
                              flick_khazana_check_span(1 * _t111_temp_string_len * 1, _flick_abort214);
                              flick_khazana_decode_new_chunk(1 * _t111_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t111_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort214);
                                _local_b->sx = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b->sx, 1 * _t111_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t111_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t111_temp_string_len);
                              flick_khazana_decode_new_glob(3);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort217);
                              flick_cdr_decode_signed16(0, _local_b->b, CORBA_short );
                              _local_c = (struct str **)(&_t112_storage);
                              _ev = (CORBA_Environment *)(&_t113_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(3);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort217);
                                flick_khazana_encode_new_glob(30, _flick_abort217);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t120_temp_string_len;
                                      flick_unsigned32_t _t121_temp_string_len;
                                      flick_unsigned32_t _t122_temp_string_len;
                                      flick_unsigned32_t _t123_temp_string_len;
                                      flick_unsigned32_t _t124_temp_string_len;
                                      flick_unsigned32_t _t125_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->s10, flick_unsigned32_t , _t120_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _return->sx, flick_unsigned32_t , _t121_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->s10, flick_unsigned32_t , _t122_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->sx, flick_unsigned32_t , _t123_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->s10, flick_unsigned32_t , _t124_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->sx, flick_unsigned32_t , _t125_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4 + 1 * _t120_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t120_temp_string_len, flick_unsigned32_t );
                                      if (_t120_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort234);
                                      flick_cdr_encode_bcopy(4, _return->s10, 1 * _t120_temp_string_len);
                                      CORBA_flick_free(_return->s10);
                                      _return->s10 = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t120_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _return->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t121_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(30);
                                      flick_khazana_encode_new_glob(1 * _t121_temp_string_len, _flick_abort234);
                                      flick_khazana_encode_new_chunk(1 * _t121_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->sx, 1 * _t121_temp_string_len);
                                      CORBA_flick_free(_return->sx);
                                      _return->sx = 0;
                                      flick_khazana_encode_end_chunk(1 * _t121_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t121_temp_string_len);
                                      flick_khazana_encode_new_glob(31, _flick_abort234);
                                      flick_khazana_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _return->b, CORBA_short );
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_new_chunk_align(4 + 1 * _t122_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t122_temp_string_len, flick_unsigned32_t );
                                      if (_t122_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort234);
                                      flick_cdr_encode_bcopy(4, _local_b->s10, 1 * _t122_temp_string_len);
                                      CORBA_flick_free(_local_b->s10);
                                      _local_b->s10 = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t122_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t123_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(31);
                                      flick_khazana_encode_new_glob(1 * _t123_temp_string_len, _flick_abort234);
                                      flick_khazana_encode_new_chunk(1 * _t123_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->sx, 1 * _t123_temp_string_len);
                                      CORBA_flick_free(_local_b->sx);
                                      _local_b->sx = 0;
                                      flick_khazana_encode_end_chunk(1 * _t123_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t123_temp_string_len);
                                      flick_khazana_encode_new_glob(31, _flick_abort234);
                                      flick_khazana_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _local_b->b, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_new_chunk_align(4 + 1 * _t124_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t124_temp_string_len, flick_unsigned32_t );
                                      if (_t124_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort234);
                                      flick_cdr_encode_bcopy(4, (*_local_c)->s10, 1 * _t124_temp_string_len);
                                      CORBA_flick_free((*_local_c)->s10);
                                      (*_local_c)->s10 = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t124_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, (*_local_c)->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t125_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(31);
                                      flick_khazana_encode_new_glob(1 * _t125_temp_string_len, _flick_abort234);
                                      flick_khazana_encode_new_chunk(1 * _t125_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->sx, 1 * _t125_temp_string_len);
                                      CORBA_flick_free((*_local_c)->sx);
                                      (*_local_c)->sx = 0;
                                      flick_khazana_encode_end_chunk(1 * _t125_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t125_temp_string_len);
                                      flick_khazana_encode_new_glob(3, _flick_abort234);
                                      flick_khazana_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, (*_local_c)->b, CORBA_short );
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(3);
                                      break;
                                      {
                                      _flick_abort234:
                                        goto _flick_abort217;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(30);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort247);
                                      break;
                                      {
                                      _flick_abort247:
                                        goto _flick_abort217;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort248);
                                      flick_khazana_encode_end_glob(30);
                                      break;
                                      {
                                      _flick_abort248:
                                        goto _flick_abort217;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort217:
                                CORBA_flick_free(_local_b->sx);
                              _flick_abort214:
                                CORBA_flick_free(_local_b->s10);
                              _flick_abort207:
                                goto _flick_abort206;
                              }
                            }
                            break;
                            {
                            _flick_abort206:
                              goto _flick_abort46;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t126_switch_tag;

          flick_khazana_check_span(16, _flick_abort46);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t126_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t126_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                unsigned int _t127_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t127_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t127_switch_tag)
                  {
                  case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
                    {
                      unsigned short int _t128_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t128_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t128_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t129_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t129_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t129_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    unsigned int _t130_principal_len;
                                    longstr _return;
                                    longstr _local_a;
                                    flick_unsigned32_t _t131_temp_string_len;
                                    longstr *_local_b;
                                    longstr _t132_storage;
                                    flick_unsigned32_t _t133_temp_string_len;
                                    longstr *_local_c;
                                    longstr _t134_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t135_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort250);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t130_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(20);
                                    flick_khazana_decode_new_glob(_t130_principal_len);
                                    flick_khazana_check_span(_t130_principal_len * 1, _flick_abort250);
                                    flick_khazana_decode_new_chunk(_t130_principal_len);
                                    flick_khazana_decode_end_chunk(_t130_principal_len);
                                    flick_khazana_decode_end_glob(_t130_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort250);
                                    flick_cdr_decode_unsigned32(0, _t131_temp_string_len, flick_unsigned32_t );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_decode_new_glob(1 * _t131_temp_string_len);
                                    flick_khazana_check_span(1 * _t131_temp_string_len * 1, _flick_abort250);
                                    flick_khazana_decode_new_chunk(1 * _t131_temp_string_len);
                                    flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                                    flick_khazana_decode_end_chunk(1 * _t131_temp_string_len);
                                    flick_khazana_decode_end_glob(1 * _t131_temp_string_len);
                                    _local_b = (longstr *)(&_t132_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort250);
                                    flick_cdr_decode_unsigned32(0, _t133_temp_string_len, flick_unsigned32_t );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_decode_new_glob(1 * _t133_temp_string_len);
                                    flick_khazana_check_span(1 * _t133_temp_string_len * 1, _flick_abort250);
                                    flick_khazana_decode_new_chunk(1 * _t133_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t133_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort250);
                                      *_local_b = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, *_local_b, 1 * _t133_temp_string_len);
                                    flick_khazana_decode_end_chunk(1 * _t133_temp_string_len);
                                    flick_khazana_decode_end_glob(1 * _t133_temp_string_len);
                                    _local_c = (longstr *)(&_t134_storage);
                                    _ev = (CORBA_Environment *)(&_t135_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test_LongString(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort255);
                                      flick_khazana_encode_new_glob(8, _flick_abort255);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t139_temp_string_len;
                                            flick_unsigned32_t _t140_temp_string_len;
                                            flick_unsigned32_t _t141_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t139_temp_string_len);
                                            flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t140_temp_string_len);
                                            flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t141_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t139_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_khazana_encode_new_glob(1 * _t139_temp_string_len, _flick_abort266);
                                            flick_khazana_encode_new_chunk(1 * _t139_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t139_temp_string_len);
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_khazana_encode_end_chunk(1 * _t139_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t139_temp_string_len);
                                            flick_khazana_encode_new_glob(7, _flick_abort266);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t140_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            flick_khazana_encode_new_glob(1 * _t140_temp_string_len, _flick_abort266);
                                            flick_khazana_encode_new_chunk(1 * _t140_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_b, 1 * _t140_temp_string_len);
                                            CORBA_flick_free(*_local_b);
                                            *_local_b = 0;
                                            flick_khazana_encode_end_chunk(1 * _t140_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t140_temp_string_len);
                                            flick_khazana_encode_new_glob(7, _flick_abort266);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t141_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            flick_khazana_encode_new_glob(1 * _t141_temp_string_len, _flick_abort266);
                                            flick_khazana_encode_new_chunk(1 * _t141_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_c, 1 * _t141_temp_string_len);
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = 0;
                                            flick_khazana_encode_end_chunk(1 * _t141_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t141_temp_string_len);
                                            break;
                                            {
                                            _flick_abort266:
                                              goto _flick_abort255;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort273);
                                            break;
                                            {
                                            _flick_abort273:
                                              goto _flick_abort255;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort274);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort274:
                                              goto _flick_abort255;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort255:
                                      CORBA_flick_free(*_local_b);
                                    _flick_abort250:
                                      goto _flick_abort249;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort249:
                                    goto _flick_abort46;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                                  flick_khazana_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t142_switch_tag;

          flick_khazana_check_span(16, _flick_abort46);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t142_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t142_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned int _t143_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t143_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t143_switch_tag)
                  {
                  case /* tStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1951626354):
                    {
                      unsigned int _t144_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t144_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t144_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              unsigned int _t145_principal_len;
                              shortstr _return;
                              shortstr _local_a;
                              flick_unsigned32_t _t146_temp_string_len;
                              shortstr *_local_b;
                              shortstr _t147_storage;
                              flick_unsigned32_t _t148_temp_string_len;
                              shortstr *_local_c;
                              shortstr _t149_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t150_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort276);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t145_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_decode_new_glob(_t145_principal_len);
                              flick_khazana_check_span(_t145_principal_len * 1, _flick_abort276);
                              flick_khazana_decode_new_chunk(_t145_principal_len);
                              flick_khazana_decode_end_chunk(_t145_principal_len);
                              flick_khazana_decode_end_glob(_t145_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(66);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort276);
                              flick_cdr_decode_unsigned32(0, _t146_temp_string_len, flick_unsigned32_t );
                              if (_t146_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort276);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(1 * _t146_temp_string_len * 1, _flick_abort276);
                              flick_khazana_decode_new_chunk(1 * _t146_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t146_temp_string_len);
                              _local_b = (shortstr *)(&_t147_storage);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort276);
                              flick_cdr_decode_unsigned32(0, _t148_temp_string_len, flick_unsigned32_t );
                              if (_t148_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort276);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(1 * _t148_temp_string_len * 1, _flick_abort276);
                              flick_khazana_decode_new_chunk(1 * _t148_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort276);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, *_local_b, 1 * _t148_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t148_temp_string_len);
                              _local_c = (shortstr *)(&_t149_storage);
                              _ev = (CORBA_Environment *)(&_t150_storage);
                              flick_khazana_decode_end_glob(66);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_ShortString(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort281);
                                flick_khazana_encode_new_glob(100, _flick_abort281);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t154_temp_string_len;
                                      flick_unsigned32_t _t155_temp_string_len;
                                      flick_unsigned32_t _t156_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t154_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t155_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t156_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4 + 1 * _t154_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t154_temp_string_len, flick_unsigned32_t );
                                      if (_t154_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort292);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t154_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t154_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(4 + 1 * _t155_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t155_temp_string_len, flick_unsigned32_t );
                                      if (_t155_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort292);
                                      flick_cdr_encode_bcopy(4, *_local_b, 1 * _t155_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t155_temp_string_len);
                                      flick_khazana_encode_new_chunk_align(4 + 1 * _t156_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t156_temp_string_len, flick_unsigned32_t );
                                      if (_t156_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort292);
                                      flick_cdr_encode_bcopy(4, *_local_c, 1 * _t156_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      flick_khazana_encode_end_chunk(4 + 1 * _t156_temp_string_len);
                                      flick_khazana_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort292:
                                        goto _flick_abort281;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(100);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort299);
                                      break;
                                      {
                                      _flick_abort299:
                                        goto _flick_abort281;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort300);
                                      flick_khazana_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort300:
                                        goto _flick_abort281;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort281:
                                CORBA_flick_free(*_local_b);
                              _flick_abort276:
                                goto _flick_abort275;
                              }
                            }
                            break;
                            {
                            _flick_abort275:
                              goto _flick_abort46;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t157_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t157_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t157_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t158_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t158_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t158_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t159_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t160_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t161_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort302);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t159_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_decode_new_glob(_t159_principal_len);
                        flick_khazana_check_span(_t159_principal_len * 1, _flick_abort302);
                        flick_khazana_decode_new_chunk(_t159_principal_len);
                        flick_khazana_decode_end_chunk(_t159_principal_len);
                        flick_khazana_decode_end_glob(_t159_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort302);
                        flick_cdr_decode_unsigned32(0, _t160_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t160_temp_string_len);
                        flick_khazana_check_span(1 * _t160_temp_string_len * 1, _flick_abort302);
                        flick_khazana_decode_new_chunk(1 * _t160_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t160_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t160_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t161_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort302);
                          flick_khazana_encode_new_glob(5, _flick_abort302);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort310);
                                break;
                                {
                                _flick_abort310:
                                  goto _flick_abort302;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort311);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort311:
                                  goto _flick_abort302;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort302:
                          goto _flick_abort301;
                        }
                      }
                      break;
                      {
                      _flick_abort301:
                        goto _flick_abort46;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort46:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort45);
  _flick_abort45:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

