#include "nest-refs-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t9_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t9_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test _obj;
            ReferenceData *_return;
            CORBA_Environment *_ev;
            CORBA_Environment _t10_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort54);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t10_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test__get_id(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort54);
              flick_trapeze_encode_new_glob(8, _flick_abort54);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                    flick_trapeze_server_encode_array(_return->_buffer, 1 * _return->_length);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_end_glob(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort63);
                    flick_trapeze_encode_end_glob(8);
                    break;
                    {
                    _flick_abort63:
                      goto _flick_abort54;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort54:
              goto _flick_abort53;
            }
          }
          break;
          {
          _flick_abort53:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            test _obj;
            ReferenceData *_local_id;
            ReferenceData _t11_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t12_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort65);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort65);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_id = (ReferenceData *)(&_t11_storage);
            flick_cdr_decode_unsigned32(4, _local_id->_length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_id->_buffer, 1 * _local_id->_length);
            _ev = (CORBA_Environment *)(&_t12_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            test__set_id(_obj, _local_id, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort65);
              flick_trapeze_encode_new_glob(4, _flick_abort65);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort72);
                    break;
                    {
                    _flick_abort72:
                      goto _flick_abort65;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort65:
              goto _flick_abort64;
            }
          }
          break;
          {
          _flick_abort64:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            test _obj;
            OctetSequence *_return;
            CORBA_Environment *_ev;
            CORBA_Environment _t13_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort74);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t13_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test__get_info(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort74);
              flick_trapeze_encode_new_glob(8, _flick_abort74);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                    flick_trapeze_server_encode_array(_return->_buffer, 1 * _return->_length);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_end_glob(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    flick_trapeze_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort83);
                    flick_trapeze_encode_end_glob(8);
                    break;
                    {
                    _flick_abort83:
                      goto _flick_abort74;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort74:
              goto _flick_abort73;
            }
          }
          break;
          {
          _flick_abort73:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            test _obj;
            OctetSequence *_local_info;
            OctetSequence _t14_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t15_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort85);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort85);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_info = (OctetSequence *)(&_t14_storage);
            flick_cdr_decode_unsigned32(4, _local_info->_length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_info->_buffer, 1 * _local_info->_length);
            _ev = (CORBA_Environment *)(&_t15_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            test__set_info(_obj, _local_info, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort85);
              flick_trapeze_encode_new_glob(4, _flick_abort85);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort92);
                    break;
                    {
                    _flick_abort92:
                      goto _flick_abort85;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort85:
              goto _flick_abort84;
            }
          }
          break;
          {
          _flick_abort84:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t16_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t17_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort94);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort94);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t16_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t16_temp_string_len);
            _ev = (CORBA_Environment *)(&_t17_storage);
            _par = flick_interface_parents_test;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort94);
              flick_trapeze_encode_new_glob(5, _flick_abort94);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                    break;
                    {
                    _flick_abort101:
                      goto _flick_abort94;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort94:
              goto _flick_abort93;
            }
          }
          break;
          {
          _flick_abort93:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

