#include "simple2-server.h"

POA_simple3::POA_simple3()
{}

POA_simple3::POA_simple3(const POA_simple3 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_simple3::~POA_simple3()
{}

simple3 *POA_simple3::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_simple3(this, stub);
}

CORBA::Boolean POA_simple3::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:simple:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:simple2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:simple3:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_simple3::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple3:1.0") == 0)
    return ACE_static_cast(POA_simple3_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple:1.0") == 0)
    return ACE_reinterpret_cast(POA_simple_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple2:1.0") == 0)
    return ACE_reinterpret_cast(POA_simple2_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_simple3::_interface_repository_id() const
{
  return "IDL:simple3:1.0";
}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_simple3_tie<T>::~POA_simple3_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_simple3_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_simple3_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_simple3_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_simple3_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_simple3_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_simple3_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(const POA_simple3_tie &c)
{}

template <class T>
  void POA_simple3_tie<T>::operator=(const POA_simple3_tie &c)
{}

template <class T>
  CORBA::Long POA_simple3_tie<T>::op3(/* POA_simple3 *this, */ CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (a, b, c, d, _ev);
}

template <class T>
  char *POA_simple3_tie<T>::op4(/* POA_simple3 *this, */ const char *x, char *&y, CORBA::String_out z, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (x, y, z, _ev);
}

template <class T>
  void POA_simple3_tie<T>::op5(/* POA_simple3 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op5 (_ev);
}

template <class T>
  CORBA::Long POA_simple3_tie<T>::op2(/* POA_simple3 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (a, b, c, _ev);
}

template <class T>
  CORBA::Long POA_simple3_tie<T>::op(/* POA_simple3 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->ptr_->op (a, b, c, _ev);
}

_tao_collocated_simple3::_tao_collocated_simple3(POA_simple3_ptr servant, TAO_Stub *stub)
  : simple3(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_simple3_ptr _tao_collocated_simple3::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_simple3::op3(CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev)
{
  return this->servant_->op3 (a, b, c, d, _ev);
}

char *_tao_collocated_simple3::op4(const char *x, char *&y, CORBA::String_out z, CORBA::Environment &_ev)
{
  return this->servant_->op4 (x, y, z, _ev);
}

void _tao_collocated_simple3::op5(CORBA::Environment &_ev)
{
  this->servant_->op5 (_ev);
}

CORBA::Long _tao_collocated_simple3::op2(CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  return this->servant_->op2 (a, b, c, _ev);
}

CORBA::Long _tao_collocated_simple3::op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->servant_->op (a, b, c, _ev);
}

CORBA::Boolean _tao_collocated_simple3::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(44, _flick_abort0);
  flick_iiopxx_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA::ULong );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    delete [] _data->_buffer;
  _data->_maximum = 0;
  _data->_release = 0;
  flick_iiopxx_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiopxx_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort3);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA::ULong );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_check_span(4 * _data->_length * 1, _flick_abort3);
  flick_iiopxx_decode_new_chunk(4 * _data->_length);
  {
    CORBA::Long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiopxx_decode_end_chunk(4 * _data->_length);
  flick_iiopxx_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  CORBA::ULong _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort6);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA::ULong );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort6);
  flick_iiopxx_decode_end_chunk(4);
  {
    CORBA::Long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_iiopxx_check_span(_data->_length * 4, _flick_abort6);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
    }
  flick_iiopxx_decode_end_glob(44);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, simple_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, simple , _flick_abort12);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, simple , _flick_abort13);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, simple , _flick_abort14);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_simple::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t31_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort17);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t31_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t31_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t32_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t32_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t32_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t33_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t33_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t33_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple *_local_this;
                        unsigned int _t34_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort81);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t34_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t34_principal_len);
                        flick_iiopxx_check_span(_t34_principal_len * 1, _flick_abort81);
                        flick_iiopxx_decode_new_chunk(_t34_principal_len);
                        flick_iiopxx_decode_end_chunk(_t34_principal_len);
                        flick_iiopxx_decode_end_glob(_t34_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort81);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t35_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t35_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort81);
                          flick_iiopxx_encode_new_glob(8, _flick_abort81);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t35_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t35_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort86);
                                flick_iiopxx_encode_new_glob(7, _flick_abort86);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort81;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort87);
                                break;
                                {
                                _flick_abort87:
                                  goto _flick_abort81;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort88);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort81;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort81:
                          goto _flick_abort80;
                        }
                      }
                      break;
                      {
                      _flick_abort80:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t36_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort17);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t36_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t37_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t37_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t37_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple *_local_this;
                        unsigned int _t38_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t39_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort90);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t38_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t38_principal_len);
                        flick_iiopxx_check_span(_t38_principal_len * 1, _flick_abort90);
                        flick_iiopxx_decode_new_chunk(_t38_principal_len);
                        flick_iiopxx_decode_end_chunk(_t38_principal_len);
                        flick_iiopxx_decode_end_glob(_t38_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort90);
                        flick_cdr_swap_decode_unsigned32(0, _t39_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t39_temp_string_len);
                        flick_iiopxx_check_span(1 * _t39_temp_string_len * 1, _flick_abort90);
                        flick_iiopxx_decode_new_chunk(1 * _t39_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t39_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort90);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t39_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t39_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t39_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t40_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t40_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort90);
                          flick_iiopxx_encode_new_glob(5, _flick_abort90);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t40_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t40_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort98);
                                break;
                                {
                                _flick_abort98:
                                  goto _flick_abort90;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort99:
                                  goto _flick_abort90;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort90:
                          goto _flick_abort89;
                        }
                      }
                      break;
                      {
                      _flick_abort89:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t11_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort17);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t11_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t11_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t12_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t12_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t12_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t13_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t13_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t13_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple *_local_this;
                        unsigned int _t14_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort40);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t14_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t14_principal_len);
                        flick_iiopxx_check_span(_t14_principal_len * 1, _flick_abort40);
                        flick_iiopxx_decode_new_chunk(_t14_principal_len);
                        flick_iiopxx_decode_end_chunk(_t14_principal_len);
                        flick_iiopxx_decode_end_glob(_t14_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort40);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t15_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t15_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort40);
                          flick_iiopxx_encode_new_glob(8, _flick_abort40);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t15_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t15_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort45);
                                flick_iiopxx_encode_new_glob(7, _flick_abort45);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort45:
                                  goto _flick_abort40;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort46);
                                break;
                                {
                                _flick_abort46:
                                  goto _flick_abort40;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort47);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort47:
                                  goto _flick_abort40;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort40:
                          goto _flick_abort39;
                        }
                      }
                      break;
                      {
                      _flick_abort39:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t16_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort17);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t16_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t16_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t17_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t17_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t17_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple *_local_this;
                        unsigned int _t18_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t19_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort49);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t18_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t18_principal_len);
                        flick_iiopxx_check_span(_t18_principal_len * 1, _flick_abort49);
                        flick_iiopxx_decode_new_chunk(_t18_principal_len);
                        flick_iiopxx_decode_end_chunk(_t18_principal_len);
                        flick_iiopxx_decode_end_glob(_t18_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort49);
                        flick_cdr_decode_unsigned32(0, _t19_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t19_temp_string_len);
                        flick_iiopxx_check_span(1 * _t19_temp_string_len * 1, _flick_abort49);
                        flick_iiopxx_decode_new_chunk(1 * _t19_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t19_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort49);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t19_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t19_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t19_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t20_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t20_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort49);
                          flick_iiopxx_encode_new_glob(5, _flick_abort49);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t20_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t20_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort57);
                                break;
                                {
                                _flick_abort57:
                                  goto _flick_abort49;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort58);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort58:
                                  goto _flick_abort49;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort49:
                          goto _flick_abort48;
                        }
                      }
                      break;
                      {
                      _flick_abort48:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort17:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort16);
  _flick_abort16:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, simple2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, simple2 , _flick_abort100);
  return 0;
  {
  _flick_abort100:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, simple2 , _flick_abort101);
  return 0;
  {
  _flick_abort101:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, simple2 , _flick_abort102);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_simple2::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t80_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort105);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t80_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t80_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t81_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t81_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t81_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_simple2 *_local_this;
                  unsigned int _t82_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  simple_ptr _local_b;
                  simple2_ptr _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort196);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t82_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t82_principal_len);
                  flick_iiopxx_check_span(_t82_principal_len * 1, _flick_abort196);
                  flick_iiopxx_decode_new_chunk(_t82_principal_len);
                  flick_iiopxx_decode_end_chunk(_t82_principal_len);
                  flick_iiopxx_decode_end_glob(_t82_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort196);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_cdr_swapxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort196);
                  flick_iiopxx_mark_port_for_cleanup(_local_b, 1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t83_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t83_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort196);
                    flick_iiopxx_encode_new_glob(8, _flick_abort196);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t83_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t83_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(8);
                          flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort201);
                          break;
                          {
                          _flick_abort201:
                            goto _flick_abort196;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(8);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort202);
                          break;
                          {
                          _flick_abort202:
                            goto _flick_abort196;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort203);
                          flick_iiopxx_encode_end_glob(8);
                          break;
                          {
                          _flick_abort203:
                            goto _flick_abort196;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort196:
                    goto _flick_abort195;
                  }
                }
                break;
                {
                _flick_abort195:
                  goto _flick_abort105;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t84_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t84_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t84_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t85_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t85_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t85_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple2 *_local_this;
                        unsigned int _t86_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort205);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t86_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t86_principal_len);
                        flick_iiopxx_check_span(_t86_principal_len * 1, _flick_abort205);
                        flick_iiopxx_decode_new_chunk(_t86_principal_len);
                        flick_iiopxx_decode_end_chunk(_t86_principal_len);
                        flick_iiopxx_decode_end_glob(_t86_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort205);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t87_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t87_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort205);
                          flick_iiopxx_encode_new_glob(8, _flick_abort205);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t87_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t87_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort210);
                                flick_iiopxx_encode_new_glob(7, _flick_abort210);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort210:
                                  goto _flick_abort205;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort211);
                                break;
                                {
                                _flick_abort211:
                                  goto _flick_abort205;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort212);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort212:
                                  goto _flick_abort205;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort205:
                          goto _flick_abort204;
                        }
                      }
                      break;
                      {
                      _flick_abort204:
                        goto _flick_abort105;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t88_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort105);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t88_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t88_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t89_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t89_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t89_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple2 *_local_this;
                        unsigned int _t90_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t91_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort214);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t90_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t90_principal_len);
                        flick_iiopxx_check_span(_t90_principal_len * 1, _flick_abort214);
                        flick_iiopxx_decode_new_chunk(_t90_principal_len);
                        flick_iiopxx_decode_end_chunk(_t90_principal_len);
                        flick_iiopxx_decode_end_glob(_t90_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort214);
                        flick_cdr_swap_decode_unsigned32(0, _t91_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t91_temp_string_len);
                        flick_iiopxx_check_span(1 * _t91_temp_string_len * 1, _flick_abort214);
                        flick_iiopxx_decode_new_chunk(1 * _t91_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t91_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort214);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t91_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t91_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t91_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t92_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t92_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort214);
                          flick_iiopxx_encode_new_glob(5, _flick_abort214);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t92_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t92_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort222);
                                break;
                                {
                                _flick_abort222:
                                  goto _flick_abort214;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort223);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort223:
                                  goto _flick_abort214;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort214:
                          goto _flick_abort213;
                        }
                      }
                      break;
                      {
                      _flick_abort213:
                        goto _flick_abort105;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t54_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort105);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t54_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t54_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t55_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t55_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t55_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_simple2 *_local_this;
                  unsigned int _t56_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  simple_ptr _local_b;
                  simple2_ptr _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort137);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t56_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t56_principal_len);
                  flick_iiopxx_check_span(_t56_principal_len * 1, _flick_abort137);
                  flick_iiopxx_decode_new_chunk(_t56_principal_len);
                  flick_iiopxx_decode_end_chunk(_t56_principal_len);
                  flick_iiopxx_decode_end_glob(_t56_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort137);
                  flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_cdrxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort137);
                  flick_iiopxx_mark_port_for_cleanup(_local_b, 1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t57_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t57_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort137);
                    flick_iiopxx_encode_new_glob(8, _flick_abort137);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t57_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t57_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(8);
                          flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort142);
                          break;
                          {
                          _flick_abort142:
                            goto _flick_abort137;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(8);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort143);
                          break;
                          {
                          _flick_abort143:
                            goto _flick_abort137;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort144);
                          flick_iiopxx_encode_end_glob(8);
                          break;
                          {
                          _flick_abort144:
                            goto _flick_abort137;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort137:
                    goto _flick_abort136;
                  }
                }
                break;
                {
                _flick_abort136:
                  goto _flick_abort105;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t58_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t58_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t59_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t59_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t59_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple2 *_local_this;
                        unsigned int _t60_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort146);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t60_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t60_principal_len);
                        flick_iiopxx_check_span(_t60_principal_len * 1, _flick_abort146);
                        flick_iiopxx_decode_new_chunk(_t60_principal_len);
                        flick_iiopxx_decode_end_chunk(_t60_principal_len);
                        flick_iiopxx_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort146);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t61_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t61_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort146);
                          flick_iiopxx_encode_new_glob(8, _flick_abort146);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t61_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t61_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort151);
                                flick_iiopxx_encode_new_glob(7, _flick_abort151);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort151:
                                  goto _flick_abort146;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort152);
                                break;
                                {
                                _flick_abort152:
                                  goto _flick_abort146;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort153);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort146;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort146:
                          goto _flick_abort145;
                        }
                      }
                      break;
                      {
                      _flick_abort145:
                        goto _flick_abort105;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t62_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort105);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t62_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t63_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t63_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t63_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple2 *_local_this;
                        unsigned int _t64_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t65_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort155);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t64_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t64_principal_len);
                        flick_iiopxx_check_span(_t64_principal_len * 1, _flick_abort155);
                        flick_iiopxx_decode_new_chunk(_t64_principal_len);
                        flick_iiopxx_decode_end_chunk(_t64_principal_len);
                        flick_iiopxx_decode_end_glob(_t64_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort155);
                        flick_cdr_decode_unsigned32(0, _t65_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t65_temp_string_len);
                        flick_iiopxx_check_span(1 * _t65_temp_string_len * 1, _flick_abort155);
                        flick_iiopxx_decode_new_chunk(1 * _t65_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t65_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort155);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t65_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t65_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t65_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t66_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t66_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort155);
                          flick_iiopxx_encode_new_glob(5, _flick_abort155);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t66_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t66_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort163);
                                break;
                                {
                                _flick_abort163:
                                  goto _flick_abort155;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort164);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort164:
                                  goto _flick_abort155;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort155:
                          goto _flick_abort154;
                        }
                      }
                      break;
                      {
                      _flick_abort154:
                        goto _flick_abort105;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort105);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort105:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort104);
  _flick_abort104:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, simple3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, simple3 , _flick_abort224);
  return 0;
  {
  _flick_abort224:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, simple3 , _flick_abort225);
  return 0;
  {
  _flick_abort225:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, simple3 , _flick_abort226);
  return 0;
  {
  _flick_abort226:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_simple3::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t240_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort229);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t240_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t240_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t241_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t241_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t241_switch_tag)
            {
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_simple3 *_local_this;
                  unsigned int _t242_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  simple3_ptr _local_b;
                  simple2_ptr _local_c;
                  simple_ptr _local_d;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort647);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t242_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t242_principal_len);
                  flick_iiopxx_check_span(_t242_principal_len * 1, _flick_abort647);
                  flick_iiopxx_decode_new_chunk(_t242_principal_len);
                  flick_iiopxx_decode_end_chunk(_t242_principal_len);
                  flick_iiopxx_decode_end_glob(_t242_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort647);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_a, _local_b, _local_c, _local_d, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t243_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t243_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort647);
                    flick_iiopxx_encode_new_glob(76, _flick_abort647);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t243_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t243_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(76);
                          flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple3 , _flick_abort671);
                          flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort671);
                          flick_cdrxx_encode_IOR(iiopxx, _local_d, 0, simple , _flick_abort671);
                          break;
                          {
                          _flick_abort671:
                            goto _flick_abort647;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(76);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort672);
                          break;
                          {
                          _flick_abort672:
                            goto _flick_abort647;
                          }
                        }
                      default:
                        {
                          flick_corbaxx_env _t249_temp_env;

                          flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t249_temp_env);

                          switch ((unsigned int )(1+strlen(_t249_temp_env._id)))
                            {
                            case (unsigned int) 25:
                              {
                                switch (*(unsigned int *)(_t249_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t249_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t249_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t249_temp_env._id + 12))
                                                    {
                                                    case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                                      {
                                                        switch (*(unsigned int *)(_t249_temp_env._id + 16))
                                                          {
                                                          case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                            {
                                                              switch (*(unsigned int *)(_t249_temp_env._id + 20))
                                                                {
                                                                case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                  {
                                                                    switch (*(char *)(_t249_temp_env._id + 24))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_unsigned32_t _t252_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA::Char *, ((simple3::OVERFLOW *)(_t249_temp_env._user_except))->msg, flick_unsigned32_t , _t252_temp_string_len);

                                                                          flick_iiopxx_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'V', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3::OVERFLOW *)(_t249_temp_env._user_except))->a, CORBA::Long );
                                                                          flick_cdr_encode_unsigned32(36, _t252_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiopxx_encode_end_chunk(40);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          flick_iiopxx_encode_new_glob(1 * _t252_temp_string_len, _flick_abort684);
                                                                          flick_iiopxx_encode_new_chunk(1 * _t252_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3::OVERFLOW *)(_t249_temp_env._user_except))->msg, 1 * _t252_temp_string_len);
                                                                          flick_iiopxx_encode_end_chunk(1 * _t252_temp_string_len);
                                                                          flick_iiopxx_encode_end_glob(1 * _t252_temp_string_len);
                                                                          break;
                                                                          {
                                                                          _flick_abort684:
                                                                            goto _flick_abort673;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                                    flick_iiopxx_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                              flick_iiopxx_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                        flick_iiopxx_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                  flick_iiopxx_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                            flick_iiopxx_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                      flick_iiopxx_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_t249_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t249_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t249_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t249_temp_env._id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_t249_temp_env._id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_t249_temp_env._id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_t249_temp_env._id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t253_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA::Char *, ((simple3::UNDERFLOW *)(_t249_temp_env._user_except))->msg, flick_unsigned32_t , _t253_temp_string_len);

                                                                          flick_iiopxx_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3::UNDERFLOW *)(_t249_temp_env._user_except))->b, CORBA::Long );
                                                                          flick_cdr_encode_unsigned32(36, _t253_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiopxx_encode_end_chunk(40);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          flick_iiopxx_encode_new_glob(1 * _t253_temp_string_len, _flick_abort687);
                                                                          flick_iiopxx_encode_new_chunk(1 * _t253_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3::UNDERFLOW *)(_t249_temp_env._user_except))->msg, 1 * _t253_temp_string_len);
                                                                          flick_iiopxx_encode_end_chunk(1 * _t253_temp_string_len);
                                                                          flick_iiopxx_encode_end_glob(1 * _t253_temp_string_len);
                                                                          break;
                                                                          {
                                                                          _flick_abort687:
                                                                            goto _flick_abort673;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                                    flick_iiopxx_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                              flick_iiopxx_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                        flick_iiopxx_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                  flick_iiopxx_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                            flick_iiopxx_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                      flick_iiopxx_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 23:
                              {
                                switch (*(unsigned int *)(_t249_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t249_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t249_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t249_temp_env._id + 12))
                                                    {
                                                    case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                                      {
                                                        switch (*(unsigned int *)(_t249_temp_env._id + 16))
                                                          {
                                                          case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                            {
                                                              switch (*(unsigned short int *)(_t249_temp_env._id + 20))
                                                                {
                                                                case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                                  {
                                                                    switch (*(char *)(_t249_temp_env._id + 22))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_iiopxx_encode_new_chunk(32 + 4 * ((simple3::BADNUM *)(_t249_temp_env._user_except))->c._length);
                                                                          flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'B', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'A', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'M', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(28, ((simple3::BADNUM *)(_t249_temp_env._user_except))->c._length, CORBA::ULong );
                                                                          if (((simple3::BADNUM *)(_t249_temp_env._user_except))->c._length > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort690);
                                                                          flick_cdr_encode_bcopy(32, ((simple3::BADNUM *)(_t249_temp_env._user_except))->c._buffer, 4 * ((simple3::BADNUM *)(_t249_temp_env._user_except))->c._length);
                                                                          if (((simple3::BADNUM *)(_t249_temp_env._user_except))->c._release)
                                                                            delete [] ((simple3::BADNUM *)(_t249_temp_env._user_except))->c._buffer;
                                                                          ((simple3::BADNUM *)(_t249_temp_env._user_except))->c._maximum = 0;
                                                                          ((simple3::BADNUM *)(_t249_temp_env._user_except))->c._release = 0;
                                                                          flick_iiopxx_encode_end_chunk(32 + 4 * ((simple3::BADNUM *)(_t249_temp_env._user_except))->c._length);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          break;
                                                                          {
                                                                          _flick_abort690:
                                                                            goto _flick_abort673;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                                    flick_iiopxx_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                              flick_iiopxx_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                        flick_iiopxx_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                                  flick_iiopxx_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                            flick_iiopxx_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                      flick_iiopxx_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort673);
                                flick_iiopxx_encode_end_glob(76);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort673:
                            goto _flick_abort647;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort647:
                    goto _flick_abort646;
                  }
                }
                break;
                {
                _flick_abort646:
                  goto _flick_abort229;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_simple3 *_local_this;
                  unsigned int _t254_principal_len;
                  char *_return;
                  char *_local_x;
                  flick_unsigned32_t _t255_temp_string_len;
                  char *_local_y;
                  flick_unsigned32_t _t256_temp_string_len;
                  char *_local_z;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort694);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t254_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t254_principal_len);
                  flick_iiopxx_check_span(_t254_principal_len * 1, _flick_abort694);
                  flick_iiopxx_decode_new_chunk(_t254_principal_len);
                  flick_iiopxx_decode_end_chunk(_t254_principal_len);
                  flick_iiopxx_decode_end_glob(_t254_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort694);
                  flick_cdr_swap_decode_unsigned32(0, _t255_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_iiopxx_decode_new_glob(1 * _t255_temp_string_len);
                  flick_iiopxx_check_span(1 * _t255_temp_string_len * 1, _flick_abort694);
                  flick_iiopxx_decode_new_chunk(1 * _t255_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t255_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort694);
                    _local_x = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _local_x, 1 * _t255_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t255_temp_string_len);
                  flick_iiopxx_decode_end_glob(1 * _t255_temp_string_len);
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort694);
                  flick_cdr_swap_decode_unsigned32(0, _t256_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_iiopxx_decode_new_glob(1 * _t256_temp_string_len);
                  flick_iiopxx_check_span(1 * _t256_temp_string_len * 1, _flick_abort694);
                  flick_iiopxx_decode_new_chunk(1 * _t256_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t256_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort694);
                    _local_y = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _local_y, 1 * _t256_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t256_temp_string_len);
                  flick_iiopxx_decode_end_glob(1 * _t256_temp_string_len);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t257_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t257_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort694);
                    flick_iiopxx_encode_new_glob(44, _flick_abort694);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t257_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t257_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t264_temp_string_len;
                          flick_unsigned32_t _t265_temp_string_len;
                          flick_unsigned32_t _t266_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t264_temp_string_len);
                          flick_cdr_stringlen(CORBA::Char *, _local_y, flick_unsigned32_t , _t265_temp_string_len);
                          flick_cdr_stringlen(CORBA::Char *, _local_z, flick_unsigned32_t , _t266_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t264_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(44);
                          flick_iiopxx_encode_new_glob(1 * _t264_temp_string_len, _flick_abort716);
                          flick_iiopxx_encode_new_chunk(1 * _t264_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return, 1 * _t264_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t264_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t264_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort716);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t265_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          flick_iiopxx_encode_new_glob(1 * _t265_temp_string_len, _flick_abort716);
                          flick_iiopxx_encode_new_chunk(1 * _t265_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_y, 1 * _t265_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t265_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t265_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort716);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t266_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          flick_iiopxx_encode_new_glob(1 * _t266_temp_string_len, _flick_abort716);
                          flick_iiopxx_encode_new_chunk(1 * _t266_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_z, 1 * _t266_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t266_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t266_temp_string_len);
                          break;
                          {
                          _flick_abort716:
                            goto _flick_abort694;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(44);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort723);
                          break;
                          {
                          _flick_abort723:
                            goto _flick_abort694;
                          }
                        }
                      default:
                        {
                          flick_corbaxx_env _t267_temp_env;

                          flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t267_temp_env);

                          switch ((unsigned int )(1+strlen(_t267_temp_env._id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_t267_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t267_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t267_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t267_temp_env._id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_t267_temp_env._id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_t267_temp_env._id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_t267_temp_env._id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t269_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA::Char *, ((simple3::UNDERFLOW *)(_t267_temp_env._user_except))->msg, flick_unsigned32_t , _t269_temp_string_len);

                                                                          flick_iiopxx_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3::UNDERFLOW *)(_t267_temp_env._user_except))->b, CORBA::Long );
                                                                          flick_cdr_encode_unsigned32(36, _t269_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiopxx_encode_end_chunk(40);
                                                                          flick_iiopxx_encode_end_glob(44);
                                                                          flick_iiopxx_encode_new_glob(1 * _t269_temp_string_len, _flick_abort729);
                                                                          flick_iiopxx_encode_new_chunk(1 * _t269_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3::UNDERFLOW *)(_t267_temp_env._user_except))->msg, 1 * _t269_temp_string_len);
                                                                          flick_iiopxx_encode_end_chunk(1 * _t269_temp_string_len);
                                                                          flick_iiopxx_encode_end_glob(1 * _t269_temp_string_len);
                                                                          break;
                                                                          {
                                                                          _flick_abort729:
                                                                            goto _flick_abort724;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort724);
                                                                          flick_iiopxx_encode_end_glob(44);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort724);
                                                                    flick_iiopxx_encode_end_glob(44);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort724);
                                                              flick_iiopxx_encode_end_glob(44);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort724);
                                                        flick_iiopxx_encode_end_glob(44);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort724);
                                                  flick_iiopxx_encode_end_glob(44);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort724);
                                            flick_iiopxx_encode_end_glob(44);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort724);
                                      flick_iiopxx_encode_end_glob(44);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort724);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort724:
                            goto _flick_abort694;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort694:
                    goto _flick_abort693;
                  }
                }
                break;
                {
                _flick_abort693:
                  goto _flick_abort229;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_simple3 *_local_this;
                  unsigned int _t270_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort733);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t270_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t270_principal_len);
                  flick_iiopxx_check_span(_t270_principal_len * 1, _flick_abort733);
                  flick_iiopxx_decode_new_chunk(_t270_principal_len);
                  flick_iiopxx_decode_end_chunk(_t270_principal_len);
                  flick_iiopxx_decode_end_glob(_t270_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op5(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t271_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t271_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort733);
                    flick_iiopxx_encode_new_glob(40, _flick_abort733);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t271_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t271_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(40);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(40);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort746);
                          break;
                          {
                          _flick_abort746:
                            goto _flick_abort733;
                          }
                        }
                      default:
                        {
                          flick_corbaxx_env _t275_temp_env;

                          flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t275_temp_env);

                          switch ((unsigned int )(1+strlen(_t275_temp_env._id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_t275_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t275_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t275_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t275_temp_env._id + 12))
                                                    {
                                                    case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                                      {
                                                        switch (*(unsigned int *)(_t275_temp_env._id + 16))
                                                          {
                                                          case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                            {
                                                              switch (*(unsigned int *)(_t275_temp_env._id + 20))
                                                                {
                                                                case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                                  {
                                                                    switch (*(unsigned short int *)(_t275_temp_env._id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t277_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA::Char *, ((simple3::USERERROR *)(_t275_temp_env._user_except))->reason, flick_unsigned32_t , _t277_temp_string_len);

                                                                          flick_iiopxx_encode_new_chunk(36);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'S', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(32, _t277_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiopxx_encode_end_chunk(36);
                                                                          flick_iiopxx_encode_end_glob(40);
                                                                          flick_iiopxx_encode_new_glob(1 * _t277_temp_string_len, _flick_abort752);
                                                                          flick_iiopxx_encode_new_chunk(1 * _t277_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3::USERERROR *)(_t275_temp_env._user_except))->reason, 1 * _t277_temp_string_len);
                                                                          flick_iiopxx_encode_end_chunk(1 * _t277_temp_string_len);
                                                                          flick_iiopxx_encode_end_glob(1 * _t277_temp_string_len);
                                                                          break;
                                                                          {
                                                                          _flick_abort752:
                                                                            goto _flick_abort747;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort747);
                                                                          flick_iiopxx_encode_end_glob(40);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort747);
                                                                    flick_iiopxx_encode_end_glob(40);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort747);
                                                              flick_iiopxx_encode_end_glob(40);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort747);
                                                        flick_iiopxx_encode_end_glob(40);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort747);
                                                  flick_iiopxx_encode_end_glob(40);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort747);
                                            flick_iiopxx_encode_end_glob(40);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort747);
                                      flick_iiopxx_encode_end_glob(40);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort747);
                                flick_iiopxx_encode_end_glob(40);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort747:
                            goto _flick_abort733;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort733:
                    goto _flick_abort732;
                  }
                }
                break;
                {
                _flick_abort732:
                  goto _flick_abort229;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_simple3 *_local_this;
                  unsigned int _t278_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  simple_ptr _local_b;
                  simple2_ptr _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort756);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t278_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t278_principal_len);
                  flick_iiopxx_check_span(_t278_principal_len * 1, _flick_abort756);
                  flick_iiopxx_decode_new_chunk(_t278_principal_len);
                  flick_iiopxx_decode_end_chunk(_t278_principal_len);
                  flick_iiopxx_decode_end_glob(_t278_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort756);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_cdr_swapxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort756);
                  flick_iiopxx_mark_port_for_cleanup(_local_b, 1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t279_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t279_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort756);
                    flick_iiopxx_encode_new_glob(8, _flick_abort756);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t279_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t279_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(8);
                          flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort761);
                          break;
                          {
                          _flick_abort761:
                            goto _flick_abort756;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(8);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort762);
                          break;
                          {
                          _flick_abort762:
                            goto _flick_abort756;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort763);
                          flick_iiopxx_encode_end_glob(8);
                          break;
                          {
                          _flick_abort763:
                            goto _flick_abort756;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort756:
                    goto _flick_abort755;
                  }
                }
                break;
                {
                _flick_abort755:
                  goto _flick_abort229;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t280_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t280_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t280_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t281_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t281_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t281_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple3 *_local_this;
                        unsigned int _t282_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort765);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t282_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t282_principal_len);
                        flick_iiopxx_check_span(_t282_principal_len * 1, _flick_abort765);
                        flick_iiopxx_decode_new_chunk(_t282_principal_len);
                        flick_iiopxx_decode_end_chunk(_t282_principal_len);
                        flick_iiopxx_decode_end_glob(_t282_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort765);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t283_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t283_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort765);
                          flick_iiopxx_encode_new_glob(8, _flick_abort765);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t283_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t283_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort770);
                                flick_iiopxx_encode_new_glob(7, _flick_abort770);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort770:
                                  goto _flick_abort765;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort771);
                                break;
                                {
                                _flick_abort771:
                                  goto _flick_abort765;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort772);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort772:
                                  goto _flick_abort765;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort765:
                          goto _flick_abort764;
                        }
                      }
                      break;
                      {
                      _flick_abort764:
                        goto _flick_abort229;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t284_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort229);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t284_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t284_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t285_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t285_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t285_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple3 *_local_this;
                        unsigned int _t286_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t287_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort774);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t286_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t286_principal_len);
                        flick_iiopxx_check_span(_t286_principal_len * 1, _flick_abort774);
                        flick_iiopxx_decode_new_chunk(_t286_principal_len);
                        flick_iiopxx_decode_end_chunk(_t286_principal_len);
                        flick_iiopxx_decode_end_glob(_t286_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort774);
                        flick_cdr_swap_decode_unsigned32(0, _t287_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t287_temp_string_len);
                        flick_iiopxx_check_span(1 * _t287_temp_string_len * 1, _flick_abort774);
                        flick_iiopxx_decode_new_chunk(1 * _t287_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t287_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort774);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t287_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t287_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t287_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t288_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t288_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort774);
                          flick_iiopxx_encode_new_glob(5, _flick_abort774);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t288_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t288_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort782);
                                break;
                                {
                                _flick_abort782:
                                  goto _flick_abort774;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort783);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort783:
                                  goto _flick_abort774;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort774:
                          goto _flick_abort773;
                        }
                      }
                      break;
                      {
                      _flick_abort773:
                        goto _flick_abort229;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t142_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort229);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t142_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t142_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t143_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t143_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t143_switch_tag)
            {
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_simple3 *_local_this;
                  unsigned int _t144_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  simple3_ptr _local_b;
                  simple2_ptr _local_c;
                  simple_ptr _local_d;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort370);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t144_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t144_principal_len);
                  flick_iiopxx_check_span(_t144_principal_len * 1, _flick_abort370);
                  flick_iiopxx_decode_new_chunk(_t144_principal_len);
                  flick_iiopxx_decode_end_chunk(_t144_principal_len);
                  flick_iiopxx_decode_end_glob(_t144_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort370);
                  flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_a, _local_b, _local_c, _local_d, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t145_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t145_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort370);
                    flick_iiopxx_encode_new_glob(76, _flick_abort370);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t145_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t145_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(76);
                          flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple3 , _flick_abort394);
                          flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort394);
                          flick_cdrxx_encode_IOR(iiopxx, _local_d, 0, simple , _flick_abort394);
                          break;
                          {
                          _flick_abort394:
                            goto _flick_abort370;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(76);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort395);
                          break;
                          {
                          _flick_abort395:
                            goto _flick_abort370;
                          }
                        }
                      default:
                        {
                          flick_corbaxx_env _t151_temp_env;

                          flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t151_temp_env);

                          switch ((unsigned int )(1+strlen(_t151_temp_env._id)))
                            {
                            case (unsigned int) 25:
                              {
                                switch (*(unsigned int *)(_t151_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t151_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t151_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t151_temp_env._id + 12))
                                                    {
                                                    case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                                      {
                                                        switch (*(unsigned int *)(_t151_temp_env._id + 16))
                                                          {
                                                          case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                            {
                                                              switch (*(unsigned int *)(_t151_temp_env._id + 20))
                                                                {
                                                                case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                  {
                                                                    switch (*(char *)(_t151_temp_env._id + 24))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_unsigned32_t _t154_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA::Char *, ((simple3::OVERFLOW *)(_t151_temp_env._user_except))->msg, flick_unsigned32_t , _t154_temp_string_len);

                                                                          flick_iiopxx_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'V', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3::OVERFLOW *)(_t151_temp_env._user_except))->a, CORBA::Long );
                                                                          flick_cdr_encode_unsigned32(36, _t154_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiopxx_encode_end_chunk(40);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          flick_iiopxx_encode_new_glob(1 * _t154_temp_string_len, _flick_abort407);
                                                                          flick_iiopxx_encode_new_chunk(1 * _t154_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3::OVERFLOW *)(_t151_temp_env._user_except))->msg, 1 * _t154_temp_string_len);
                                                                          flick_iiopxx_encode_end_chunk(1 * _t154_temp_string_len);
                                                                          flick_iiopxx_encode_end_glob(1 * _t154_temp_string_len);
                                                                          break;
                                                                          {
                                                                          _flick_abort407:
                                                                            goto _flick_abort396;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                                    flick_iiopxx_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                              flick_iiopxx_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                        flick_iiopxx_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                  flick_iiopxx_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                            flick_iiopxx_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                      flick_iiopxx_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_t151_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t151_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t151_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t151_temp_env._id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_t151_temp_env._id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_t151_temp_env._id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_t151_temp_env._id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t155_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA::Char *, ((simple3::UNDERFLOW *)(_t151_temp_env._user_except))->msg, flick_unsigned32_t , _t155_temp_string_len);

                                                                          flick_iiopxx_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3::UNDERFLOW *)(_t151_temp_env._user_except))->b, CORBA::Long );
                                                                          flick_cdr_encode_unsigned32(36, _t155_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiopxx_encode_end_chunk(40);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          flick_iiopxx_encode_new_glob(1 * _t155_temp_string_len, _flick_abort410);
                                                                          flick_iiopxx_encode_new_chunk(1 * _t155_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3::UNDERFLOW *)(_t151_temp_env._user_except))->msg, 1 * _t155_temp_string_len);
                                                                          flick_iiopxx_encode_end_chunk(1 * _t155_temp_string_len);
                                                                          flick_iiopxx_encode_end_glob(1 * _t155_temp_string_len);
                                                                          break;
                                                                          {
                                                                          _flick_abort410:
                                                                            goto _flick_abort396;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                                    flick_iiopxx_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                              flick_iiopxx_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                        flick_iiopxx_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                  flick_iiopxx_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                            flick_iiopxx_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                      flick_iiopxx_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 23:
                              {
                                switch (*(unsigned int *)(_t151_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t151_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t151_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t151_temp_env._id + 12))
                                                    {
                                                    case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                                      {
                                                        switch (*(unsigned int *)(_t151_temp_env._id + 16))
                                                          {
                                                          case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                            {
                                                              switch (*(unsigned short int *)(_t151_temp_env._id + 20))
                                                                {
                                                                case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                                  {
                                                                    switch (*(char *)(_t151_temp_env._id + 22))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_iiopxx_encode_new_chunk(32 + 4 * ((simple3::BADNUM *)(_t151_temp_env._user_except))->c._length);
                                                                          flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'B', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'A', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'M', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(28, ((simple3::BADNUM *)(_t151_temp_env._user_except))->c._length, CORBA::ULong );
                                                                          if (((simple3::BADNUM *)(_t151_temp_env._user_except))->c._length > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort413);
                                                                          flick_cdr_encode_bcopy(32, ((simple3::BADNUM *)(_t151_temp_env._user_except))->c._buffer, 4 * ((simple3::BADNUM *)(_t151_temp_env._user_except))->c._length);
                                                                          if (((simple3::BADNUM *)(_t151_temp_env._user_except))->c._release)
                                                                            delete [] ((simple3::BADNUM *)(_t151_temp_env._user_except))->c._buffer;
                                                                          ((simple3::BADNUM *)(_t151_temp_env._user_except))->c._maximum = 0;
                                                                          ((simple3::BADNUM *)(_t151_temp_env._user_except))->c._release = 0;
                                                                          flick_iiopxx_encode_end_chunk(32 + 4 * ((simple3::BADNUM *)(_t151_temp_env._user_except))->c._length);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          break;
                                                                          {
                                                                          _flick_abort413:
                                                                            goto _flick_abort396;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                                          flick_iiopxx_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                                    flick_iiopxx_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                              flick_iiopxx_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                        flick_iiopxx_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                                  flick_iiopxx_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                            flick_iiopxx_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                      flick_iiopxx_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort396);
                                flick_iiopxx_encode_end_glob(76);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort396:
                            goto _flick_abort370;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort370:
                    goto _flick_abort369;
                  }
                }
                break;
                {
                _flick_abort369:
                  goto _flick_abort229;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_simple3 *_local_this;
                  unsigned int _t156_principal_len;
                  char *_return;
                  char *_local_x;
                  flick_unsigned32_t _t157_temp_string_len;
                  char *_local_y;
                  flick_unsigned32_t _t158_temp_string_len;
                  char *_local_z;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort417);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t156_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t156_principal_len);
                  flick_iiopxx_check_span(_t156_principal_len * 1, _flick_abort417);
                  flick_iiopxx_decode_new_chunk(_t156_principal_len);
                  flick_iiopxx_decode_end_chunk(_t156_principal_len);
                  flick_iiopxx_decode_end_glob(_t156_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort417);
                  flick_cdr_decode_unsigned32(0, _t157_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_iiopxx_decode_new_glob(1 * _t157_temp_string_len);
                  flick_iiopxx_check_span(1 * _t157_temp_string_len * 1, _flick_abort417);
                  flick_iiopxx_decode_new_chunk(1 * _t157_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t157_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort417);
                    _local_x = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _local_x, 1 * _t157_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t157_temp_string_len);
                  flick_iiopxx_decode_end_glob(1 * _t157_temp_string_len);
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort417);
                  flick_cdr_decode_unsigned32(0, _t158_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_iiopxx_decode_new_glob(1 * _t158_temp_string_len);
                  flick_iiopxx_check_span(1 * _t158_temp_string_len * 1, _flick_abort417);
                  flick_iiopxx_decode_new_chunk(1 * _t158_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t158_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort417);
                    _local_y = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _local_y, 1 * _t158_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t158_temp_string_len);
                  flick_iiopxx_decode_end_glob(1 * _t158_temp_string_len);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t159_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t159_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort417);
                    flick_iiopxx_encode_new_glob(44, _flick_abort417);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t159_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t159_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t166_temp_string_len;
                          flick_unsigned32_t _t167_temp_string_len;
                          flick_unsigned32_t _t168_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t166_temp_string_len);
                          flick_cdr_stringlen(CORBA::Char *, _local_y, flick_unsigned32_t , _t167_temp_string_len);
                          flick_cdr_stringlen(CORBA::Char *, _local_z, flick_unsigned32_t , _t168_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t166_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(44);
                          flick_iiopxx_encode_new_glob(1 * _t166_temp_string_len, _flick_abort439);
                          flick_iiopxx_encode_new_chunk(1 * _t166_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return, 1 * _t166_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t166_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t166_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort439);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t167_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          flick_iiopxx_encode_new_glob(1 * _t167_temp_string_len, _flick_abort439);
                          flick_iiopxx_encode_new_chunk(1 * _t167_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_y, 1 * _t167_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t167_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t167_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort439);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t168_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          flick_iiopxx_encode_new_glob(1 * _t168_temp_string_len, _flick_abort439);
                          flick_iiopxx_encode_new_chunk(1 * _t168_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_z, 1 * _t168_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t168_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t168_temp_string_len);
                          break;
                          {
                          _flick_abort439:
                            goto _flick_abort417;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(44);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort446);
                          break;
                          {
                          _flick_abort446:
                            goto _flick_abort417;
                          }
                        }
                      default:
                        {
                          flick_corbaxx_env _t169_temp_env;

                          flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t169_temp_env);

                          switch ((unsigned int )(1+strlen(_t169_temp_env._id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_t169_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t169_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t169_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t169_temp_env._id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_t169_temp_env._id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_t169_temp_env._id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_t169_temp_env._id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t171_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA::Char *, ((simple3::UNDERFLOW *)(_t169_temp_env._user_except))->msg, flick_unsigned32_t , _t171_temp_string_len);

                                                                          flick_iiopxx_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3::UNDERFLOW *)(_t169_temp_env._user_except))->b, CORBA::Long );
                                                                          flick_cdr_encode_unsigned32(36, _t171_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiopxx_encode_end_chunk(40);
                                                                          flick_iiopxx_encode_end_glob(44);
                                                                          flick_iiopxx_encode_new_glob(1 * _t171_temp_string_len, _flick_abort452);
                                                                          flick_iiopxx_encode_new_chunk(1 * _t171_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3::UNDERFLOW *)(_t169_temp_env._user_except))->msg, 1 * _t171_temp_string_len);
                                                                          flick_iiopxx_encode_end_chunk(1 * _t171_temp_string_len);
                                                                          flick_iiopxx_encode_end_glob(1 * _t171_temp_string_len);
                                                                          break;
                                                                          {
                                                                          _flick_abort452:
                                                                            goto _flick_abort447;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort447);
                                                                          flick_iiopxx_encode_end_glob(44);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort447);
                                                                    flick_iiopxx_encode_end_glob(44);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort447);
                                                              flick_iiopxx_encode_end_glob(44);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort447);
                                                        flick_iiopxx_encode_end_glob(44);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort447);
                                                  flick_iiopxx_encode_end_glob(44);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort447);
                                            flick_iiopxx_encode_end_glob(44);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort447);
                                      flick_iiopxx_encode_end_glob(44);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort447);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort447:
                            goto _flick_abort417;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort417:
                    goto _flick_abort416;
                  }
                }
                break;
                {
                _flick_abort416:
                  goto _flick_abort229;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_simple3 *_local_this;
                  unsigned int _t172_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort456);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t172_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t172_principal_len);
                  flick_iiopxx_check_span(_t172_principal_len * 1, _flick_abort456);
                  flick_iiopxx_decode_new_chunk(_t172_principal_len);
                  flick_iiopxx_decode_end_chunk(_t172_principal_len);
                  flick_iiopxx_decode_end_glob(_t172_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op5(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t173_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t173_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort456);
                    flick_iiopxx_encode_new_glob(40, _flick_abort456);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t173_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t173_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(40);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(40);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort469);
                          break;
                          {
                          _flick_abort469:
                            goto _flick_abort456;
                          }
                        }
                      default:
                        {
                          flick_corbaxx_env _t177_temp_env;

                          flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t177_temp_env);

                          switch ((unsigned int )(1+strlen(_t177_temp_env._id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_t177_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t177_temp_env._id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_t177_temp_env._id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_t177_temp_env._id + 12))
                                                    {
                                                    case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                                      {
                                                        switch (*(unsigned int *)(_t177_temp_env._id + 16))
                                                          {
                                                          case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                            {
                                                              switch (*(unsigned int *)(_t177_temp_env._id + 20))
                                                                {
                                                                case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                                  {
                                                                    switch (*(unsigned short int *)(_t177_temp_env._id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t179_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA::Char *, ((simple3::USERERROR *)(_t177_temp_env._user_except))->reason, flick_unsigned32_t , _t179_temp_string_len);

                                                                          flick_iiopxx_encode_new_chunk(36);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'S', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(32, _t179_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiopxx_encode_end_chunk(36);
                                                                          flick_iiopxx_encode_end_glob(40);
                                                                          flick_iiopxx_encode_new_glob(1 * _t179_temp_string_len, _flick_abort475);
                                                                          flick_iiopxx_encode_new_chunk(1 * _t179_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3::USERERROR *)(_t177_temp_env._user_except))->reason, 1 * _t179_temp_string_len);
                                                                          flick_iiopxx_encode_end_chunk(1 * _t179_temp_string_len);
                                                                          flick_iiopxx_encode_end_glob(1 * _t179_temp_string_len);
                                                                          break;
                                                                          {
                                                                          _flick_abort475:
                                                                            goto _flick_abort470;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort470);
                                                                          flick_iiopxx_encode_end_glob(40);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort470);
                                                                    flick_iiopxx_encode_end_glob(40);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort470);
                                                              flick_iiopxx_encode_end_glob(40);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort470);
                                                        flick_iiopxx_encode_end_glob(40);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort470);
                                                  flick_iiopxx_encode_end_glob(40);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort470);
                                            flick_iiopxx_encode_end_glob(40);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort470);
                                      flick_iiopxx_encode_end_glob(40);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort470);
                                flick_iiopxx_encode_end_glob(40);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort470:
                            goto _flick_abort456;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort456:
                    goto _flick_abort455;
                  }
                }
                break;
                {
                _flick_abort455:
                  goto _flick_abort229;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_simple3 *_local_this;
                  unsigned int _t180_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  simple_ptr _local_b;
                  simple2_ptr _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort479);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t180_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t180_principal_len);
                  flick_iiopxx_check_span(_t180_principal_len * 1, _flick_abort479);
                  flick_iiopxx_decode_new_chunk(_t180_principal_len);
                  flick_iiopxx_decode_end_chunk(_t180_principal_len);
                  flick_iiopxx_decode_end_glob(_t180_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort479);
                  flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_cdrxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort479);
                  flick_iiopxx_mark_port_for_cleanup(_local_b, 1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t181_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t181_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort479);
                    flick_iiopxx_encode_new_glob(8, _flick_abort479);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t181_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t181_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(8);
                          flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort484);
                          break;
                          {
                          _flick_abort484:
                            goto _flick_abort479;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(8);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort485);
                          break;
                          {
                          _flick_abort485:
                            goto _flick_abort479;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort486);
                          flick_iiopxx_encode_end_glob(8);
                          break;
                          {
                          _flick_abort486:
                            goto _flick_abort479;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort479:
                    goto _flick_abort478;
                  }
                }
                break;
                {
                _flick_abort478:
                  goto _flick_abort229;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t182_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t182_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t182_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t183_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t183_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t183_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple3 *_local_this;
                        unsigned int _t184_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort488);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t184_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t184_principal_len);
                        flick_iiopxx_check_span(_t184_principal_len * 1, _flick_abort488);
                        flick_iiopxx_decode_new_chunk(_t184_principal_len);
                        flick_iiopxx_decode_end_chunk(_t184_principal_len);
                        flick_iiopxx_decode_end_glob(_t184_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort488);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t185_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t185_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort488);
                          flick_iiopxx_encode_new_glob(8, _flick_abort488);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t185_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t185_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort493);
                                flick_iiopxx_encode_new_glob(7, _flick_abort493);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort493:
                                  goto _flick_abort488;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort494);
                                break;
                                {
                                _flick_abort494:
                                  goto _flick_abort488;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort495);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort495:
                                  goto _flick_abort488;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort488:
                          goto _flick_abort487;
                        }
                      }
                      break;
                      {
                      _flick_abort487:
                        goto _flick_abort229;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t186_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort229);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t186_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t186_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t187_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t187_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t187_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple3 *_local_this;
                        unsigned int _t188_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t189_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort497);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t188_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t188_principal_len);
                        flick_iiopxx_check_span(_t188_principal_len * 1, _flick_abort497);
                        flick_iiopxx_decode_new_chunk(_t188_principal_len);
                        flick_iiopxx_decode_end_chunk(_t188_principal_len);
                        flick_iiopxx_decode_end_glob(_t188_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort497);
                        flick_cdr_decode_unsigned32(0, _t189_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t189_temp_string_len);
                        flick_iiopxx_check_span(1 * _t189_temp_string_len * 1, _flick_abort497);
                        flick_iiopxx_decode_new_chunk(1 * _t189_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t189_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort497);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t189_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t189_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t189_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t190_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t190_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort497);
                          flick_iiopxx_encode_new_glob(5, _flick_abort497);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t190_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t190_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort505);
                                break;
                                {
                                _flick_abort505:
                                  goto _flick_abort497;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort506);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort506:
                                  goto _flick_abort497;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort497:
                          goto _flick_abort496;
                        }
                      }
                      break;
                      {
                      _flick_abort496:
                        goto _flick_abort229;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort229);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort229:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort228);
  _flick_abort228:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

